<% 'Module: AssetsCSVRetireSurplus.asp

   'Description: This module is designed to read in a comma delimited csv file with serial numbers in it
   ' and will either move the assets with these serial numbers to surplus or retire them.  Code for
   ' retiring or setting to surplus is in RetireSurplus.inc.  It allows one to select a file which it
   ' then uploads to the temp directory (which must be configured before using this function).

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '04/30/12 CMB     Created from ImportAssetsRobust.asp
    '05/01/12  CMB   Use getElementByID for Internet Explorer, just using value only works Chrome.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
	<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
	<!-- #INCLUDE FILE="Reports.inc" -->
	<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
	<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<HTML>
<HEAD>
   <TITLE><%=wc_Import_assets%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<SCRIPT LANGUAGE="JavaScript">


function PreRetire()
{
	var s;
		s= 'DoUploadSerialNumberFile.asp';
		document.getElementById("ResultsView").value = 'RETIRE';
	//	ResultsView.value = 'RETIRE';
		location.replace(s);

}
function PreSurplus()
{
	var s;
		s= 'DoUploadSerialNumberFile';
 		document.getElementById("ResultsView").value = 'SURPLUS';

	//	ResultsView.value = 'SURPLUS';

		location.replace(s);

}
</SCRIPT>
</HEAD>

<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Import_assets%></td>
</tr>
</table>


<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>

<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6
	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		If rstemp.EOF   Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%
			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>
 <%
 	' FIRST Get the values from the configuration file and into variables

 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Configuration"

 	set rstemp=conntemp.execute(mySQL)

 	If rstemp.EOF = True  Then
 		Response.write "No Configuration file found"
 	Else

 		' Get the values from the configuration File

 		WCDateFormat = rstemp("Date_Display_Format")


 	End If

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

 %>

<form action="DoUploadSerialNumberFile.asp" ENCTYPE="multipart/form-data" method="post">
<P>
<INPUT TYPE=hidden Name="ResultsView" ID="ResultsView" >
<table><tr><td height=5></td></tr></table> <!-- a little spacer -->
<center>

	<Table class=SimpleWrapper align=center width=75%>

		  <tr>
		  <td valign=top width=100% >
			  <table width=100%>
					<tr>
					  <td class=InstructionTextBold align=left valign=top><img src=red_tri.gif> <%=wc_Step1%></td>
					</tr>
					<tr>
					  <td valign=top class=InstructionText>
					  Upload a file to the web server by using the 'choose file' button,<br>
					  <br>Cautions: <ul>
					  <li>Virtual directories must be configured by using
					  the administration menu (System Configuration, Other Configuration Options, File Upload Virtual Directory - wcFileDownloads).
					  <li>The file name must <b>NOT </b> contain spaces, number signs or any other
					  special characters.
					  <li>The file that is being imported must be a <b> comma-delimited</b> file with a file extension of <b>'.csv' and no header.</b>
					  <li>The contents of the file must <b>NOT </b>contain  apostrophes even if the field is delimited by quotes.
					  <li>If the file already exists in the
					  directory to which it is being uploaded, it will get overwritten.</ul>
<br>
					  After selecting the file, select  'Continue'.
					    </td>
					</tr>
					<TR>
						<TD valign=top ><FONT SIZE=-1>
								<br><B><%=wc_Attached_File%></b><br>
								<INPUT TYPE=FILE SIZE=50 NAME="FILE1">
								<br><br>
							</font>
							</TD>
						</TR>

						<TR>
<TD ALIGN=CENTER>
					<%	response.write "<input type=image src=retireAssets.jpg onClick=""javascript: PreRetire(); return true;"" >" %>
					&nbsp; &nbsp; &nbsp;
					<%	response.write "<input type=image src=movetosurplus.jpg onClick=""javascript: PreSurplus(); return true;"" >" %>
&nbsp; &nbsp; &nbsp;
	 				<a href=assets.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>

						</TD>
					</TR>
			  </table>
			</td>
		</tr>
	</table>
</td>
</tr>
</table>



</form>
</body>
</html>

