<% 'Module: DeleteAdvancedEscalationTimeFiler.asp

   'Description: This module prompt to delete an advanced escalation rule
   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '2/15/00		SAV		Created original Search page
    '4/26/01	AJS	Changed KB Options to be numbered properly there were two of option 2
    '5/28/02	SAV		Created EscalationConfig.asp from KBoptions page
    '3/25/13		SAV		Created EnhancedEscalationConfig.asp module from escalation module
    '03/27/13		SAV		Created DeleteAdvancedEscalationTimeFilter.asp module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins or configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteAdvancedEscalation.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<head>
<title><%=wc_Escalation_Options%></title>

<!-- #INCLUDE FILE="Stylesheet.inc" -->



</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Check if this file is being called with the ID parameter and if so, then we are
	' going to edit a rule


	EscalationRuleName = ""
'	EscalationInterval = ""
'	OriginalAssignedGroup = ""
'	AssignToNewGroup = ""
'	OriginalMinimumPriority = ""
'	NewPriority  = ""
'	OriginalStatus = ""
'	NewStatus = ""
'	EscalationEmail = ""
'	EscalationHistoryMessage = ""





	ID = Request.Querystring("ID")
	If ID <> "" Then

		mySQL2="SELECT * from EscalationTimeFilters where TimeFilterIndex = " & ID

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		if rstemp.eof <> True then

			TimeFilterName = rstemp("TimeFilterName")


		Else

			EscalationRuleName = "Invalid Time Filter"
		End If




		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Advanced_Escalation_Time_Filters%></FONT>
</B>
</TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>
<td width=align=center class=BP2minorformtitle> Do you wish to delete the following Time Filter?</td>
</tr>


<tr>
<td width=align=center class=tightbodytext>
<UL>

<B>Time Filter Name:</b> 	<%= TimeFilterName %> <p>
</ul>

</td>
</tr>

</table>
<br>
<br>



<center>
<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<a href=DoDeleteAdvancedEscalationTimeFilter.asp?ID=<%=ID%>><image src="/<%=WCLanguageDirectory%>/ts_YES30x80.gif" border=0>

		</td><td  align=center width=50% valign=middle><a href="AdvancedEscalationTimeFilter.asp"><img src="/<%=WCLanguageDirectory%>/ts_NO30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
</center>


</form>

</BODY>
</HTML>

<%End If ' End of security checks %>


<%
Function GetGroupName(Group_Number)

' This function returns the Tech Group_name for the passed Group_Number

	If Group_Number = ""  or Group_Number = Null Then
		GetGroupName = "No Group or Records Found"
	Else
		mySQL2="select * from group_list where group_number = " & Group_Number

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then login fails.
		if rstemp2.EOF then
			GetGroupName = "<B>Group Name not found</b>"
		Else
			GetGroupName = rstemp2("Group_Name")

		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing



	End If
End Function
%>
