<% 'Module: DoAdvancedEscalationConfig.asp

   'Description: This module processes the Escalation configuration options
   ' and returns the user back to the escalation config page.
   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '6/10/02		SAV		Created original form submit page
   '3/27/13		SAV		Created DoAdvancedEscalationConfig.asp page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<% 'Get the Escalation Configuration options %>

<%

			EscalationRuleName = Request.Form("EscalationRuleName")
			EscalationInterval = Request.Form("EscalationInterval")
			OriginalAssignedGroup = Request.Form("OriginalAssignedGroup")
			AssignToNewGroup = Request.Form("AssignToNewGroup")
			OriginalMinimumPriority = Request.Form("OriginalMinimumPriority")
			NewPriority  = Request.Form("NewPriority")
			OriginalStatus = Request.Form("OriginalStatus")
			NewStatus = Request.Form("NewStatus")
			EscalationEmail = Request.Form("EscalationEmail")
			EscalationHistoryMessage = Request.form("EscalationHistoryMessage")



	' First checked for required fields and display a error page before adding or updating the record

		ErrorMessage = ""

		If EscalationRuleName = "" then
			ErrorMessage = ErrorMessage & " <LI> Escalation Rule Name is required"
		End If


		If EscalationInterval = "" then
			ErrorMessage = ErrorMessage & " <LI> Escalation Interval is required"
		End If


		If ErrorMessage <> "" Then
%>

html>

<head>
<title><%=wc_Escalation_Options%></title>

<!-- #INCLUDE FILE="Stylesheet.inc" -->



</head>
<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Advanced_Escalation_Options%></FONT>

</TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>

<UL>

We encounted an error creating or updating the Escalation Rule. Please use the browser back button
and resubmit your form with the corrected information.

<UL>
<%= ErrorMessage %>
</ul>

<ul>

</body>
</html>


<%
	Else ' Do Update


	ID = Request.Form("ID")

	If ID <> "" Then

		mySQL2="SELECT * from EscalationRules where EscalationRuleIndex = " & ID
	Else
		mySQL2="SELECT * from EscalationRules"
	End IF


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		If ID = ""  OR rstemp.EOF = True Then
				rstemp.AddNew
		End IF


			rstemp("EscalationRuleName") = EscalationRuleName

		If EscalationInterval <> "" Then
			 rstemp("EscalationInterval") = Cint(EscalationInterval)
		End If


		If OriginalAssignedGroup <> "" Then
			 rstemp("OriginalAssignedGroup") = OriginalAssignedGroup
		End If

		If IsNull(rstemp("OriginalAssignedGroup")) = False and OriginalAssignedGroup = "" Then
			rstemp("OriginalAssignedGroup") = Null ' Set to Null
		End If


		If AssignToNewGroup <> "" Then
			 rstemp("AssignToNewGroup") = AssignToNewGroup
		End If

		If IsNull(rstemp("AssignToNewGroup")) = False and AssignToNewGroup = "" Then
			rstemp("AssignToNewGroup") = Null ' Set to Null
		End If


		If OriginalMinimumPriority <> "" Then
			 rstemp("OriginalMinimumPriority") = OriginalMinimumPriority
		End If

		If IsNull(rstemp("OriginalMinimumPriority")) = False and OriginalMinimumPriority = "" Then
			rstemp("OriginalMinimumPriority") = Null ' Set to Null
		End If


		If NewPriority <> "" Then
			 rstemp("NewPriority") = NewPriority
		End If

		If IsNull(rstemp("NewPriority")) = False and NewPriority = "" Then
			rstemp("NewPriority") = Null ' Set to Null
		End If



		If OriginalStatus <> "" Then
			 rstemp("OriginalStatus") = OriginalStatus
		End If

		If IsNull(rstemp("OriginalStatus")) = False and OriginalStatus = "" Then
			rstemp("OriginalStatus") = Null ' Set to Null
		End If


		If NewStatus <> "" Then
			 rstemp("NewStatus") = NewStatus
		End If

		If IsNull(rstemp("NewStatus")) = False and NewStatus = "" Then
			rstemp("NewStatus") = Null ' Set to Null
		End If




		If EscalationEmail <> "" Then
			 rstemp("EscalationEmail") = EscalationEmail
		End If

		If IsNull(rstemp("EscalationEmail")) = False and EscalationEmail = "" Then
			rstemp("EscalationEmail") = Null ' Set to Null
		End If


		If EscalationHistoryMessage <> "" Then
			 rstemp("EscalationHistoryMessage") = EscalationHistoryMessage
		End If

		If IsNull(rstemp("EscalationHistoryMessage")) = False and EscalationHistoryMessage = "" Then
			rstemp("EscalationHistoryMessage") = Null ' Set to Null
		End If


				Rstemp.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conntemp.errors.count> 0 then
	   '   response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conntemp.errors.count
	    '  response.write "Error #" & conntemp.errors(counter).number & "<P>"
	    '  response.write "Error desc. -> " & conntemp.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if


		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If

%>

<%
	response.redirect ("AdvancedEscalationConfig.asp")
%>



