<%  ' Module: DoReportSearch1.asp
	'
	' Description: Submit Module For Search.asp module
	'
	' (C) 2000, 2001, 2002, 2003, 2004 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'04/30/12	CMB	Modified DoSearch1.asp removing text search stuff and adding join to customer table; this code has a lot that isn't being used; search again on dosearch2.asp should be removed if calling from here

	'---------Note:----------------------------------------------------
	' see explanatory discussion for how this module works near beginning of Search.asp module

	' This module was created because DoSearch1 didn't do a join on customer records, which was needed in
	' order to get the primary role which is stored in customer fax for SBCC.  It is currently only
	' called by AllCasesByRole.asp and calls DoSearch2.asp to display results.
	' ------------------------------------------------------------------
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the User Screen background color and database type from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQLSERVER or MYSQL
	End If
    DatabaseType2 = Database
	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	ResultsView = request.querystring("ResultsView")
	Tech_ID = Request.querystring("Tech_ID")
	Group_Number = Request.queryString("Group_Number")
	Case_Severity = Request.querystring("Case_Severity")
	Case_Status = Request.querystring("Case_Status")


		chunksize = Request.form("chunksize") ' this variable contains the number of lines/page to be shown in display
		if Not isNumeric(chunksize)  then chunksize = 15
        if chunksize = "" or chunksize = 0 then chunksize = 15

		Session("chunksize") = chunksize

		'response.write "Storing chunksize = " & chunksize & "<P>"
		'response.flush
		'response.end

		mySQL2 = "Select * from Cases LEFT join Customers on Cases.customer_ID = Customers.Customer_ID "
		ExtraWhere= ""

'	Wherestatement = query
	'mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.

	'response.write "Query = " & Query

	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.
		if query > "" then
			query = " WHERE " & query
		End iF
		mySQL2 = mySQL2 & Query

	End If

	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' Uncomment Line here to debug SQL statement
'	response.write mySQL2
	'response.write "<Br><b>Query=</b>" & Query
'	response.flush
'	 response.end

	set rstemp = Server.CreateObject("adodb.recordset")
    ' set up the array to hold casenumbers of qualifying records - but start it at 1 instead of zero to avoid later confusion

	DIM Array_casenumber()

	Xcounter = 0
	ReDim preserve Array_casenumber(XCounter)
	Array_casenumber(XCounter) = "empty"
    Xcounter = Xcounter + 1



	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(Query)

	' open a 2nd dtabase connection to be able to read up kbwords
	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN

do while not rstemp.eof

	' at this time we have read a record that meets selection criteria except fo any "AND" conditions.
	' so at this time we check to see of this record meets any specified AND conditions
	' if so - we put the case number in an array for later use in DoSearch2.asp

	ANDQualified = "Yes" ' means this record meets AND criteria - until proven otherwise
	        ' response.write " Any - so all qualified <p> "
			ReDim preserve Array_casenumber(XCounter)
			Array_casenumber(XCounter) = rstemp("case_number")
			XCounter = XCounter + 1
    ' response.write "<font color=red>readed case number" & rstemp("case_number") & "</font><P>"
	rstemp.movenext
	count = count + 1
loop


	rstemp.close
	set rstemp=nothing

  ' response.write "My Hit count is " & XCounter - 1 & "<P>"
   'response.flush
    'response.end

 If XCounter = 1  Then ' no records were found - bail out now
    %>
   <html>
   <head>
   <title>Search Engine</title>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->
   </head>
   <body class=rightwindow>
   <center>
   <Table class=BGWrapper >
   <tr>
   <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Case_Search%></td>
   </tr>
   </table>
    <p>
    &nbsp;
    <p>
    <%=wc_No_records_found%>
    </center>
    </body>
    </html>
    <%
    response.flush
    response.end
end if

' At this point we have the array of casenumbers prepared, but we still need to sort it either ascending or descending.
' Note - the array at this point is in the sequence as the recorde were retrieved from the database - usually ascending but not necessarily so.
' The "sort" technique we use is to perform multiple sweeps over the array of case numbers, in each sweep we locate
' the lowest still existing value... which is put into the next slot in the sorted aray and the original entry is clobbered to "empty"

	'For i = 0 to XCounter - 1
	 ' response.write "Presorted In array entry " & i & " I have stored case number " & Array_casenumber(i) & "<br>"
	'Next

    If SortOrder = "Ascending" then
        ' set up the receiving array
       	Sortedcounter = 0
	   	ReDim SortedArray_casenumber(XCounter - 1)
	   	SortedArray_casenumber(0) = "empty"
        Sortedcounter = Sortedcounter + 1
        Low_Value = 999999 '---- this is a high number close to Max(int)
        For iterations = 1 to XCounter - 1
            ' find and extract the lowest existing value and clobber original
			For i = 1 to XCounter - 1
			  If Array_casenumber(i) <> "empty" Then
				If Cdbl(Array_casenumber(i)) < Cdbl(Low_Value) Then
				  Low_Value = Array_casenumber(i)
				  position = i
				End If
			  End If
			Next
			  SortedArray_casenumber(Sortedcounter) = Low_Value
			  Sortedcounter = Sortedcounter + 1
			  Array_casenumber(position) = "empty"
			  'response.write "Extracted " & Low_Value & " from position " & position & "<BR>"
			  'response.flush
              Low_Value = 999999

       Next
    Else

    ' sort descending
        ' set up the receiving array
       	Sortedcounter = 0
	   	ReDim SortedArray_casenumber(XCounter - 1)
	   	SortedArray_casenumber(0) = "empty"
        Sortedcounter = Sortedcounter + 1
        Hi_Value = 0
        For iterations = 1 to XCounter - 1
            ' find and extract the highest existing value and clobber original
			For i = 1 to XCounter - 1
			  If Array_casenumber(i) <> "empty" Then
				If Cdbl(Array_casenumber(i)) > Cdbl(Hi_Value) Then
				  Hi_Value = Array_casenumber(i)
				  position = i
				End If
			  End If
			Next
			  SortedArray_casenumber(Sortedcounter) = Hi_Value
			  Sortedcounter = Sortedcounter + 1
			  Array_casenumber(position) = "empty"
			  'response.write "Extracted " & Hi_Value & " from position " & position & "<BR>"
			  'response.flush
              Hi_Value = 0
       Next
    End If

	'For i = 0 to XCounter - 1
	'  response.write "Postsorted In array entry " & i & " I have stored case number " & SortedArray_casenumber(i) & "<br>"
	'Next

   ' response.flush
   ' response.end

	session("case_numbers") = SortedArray_casenumber

	if request.form("e_search.x") <> nil then   ' switch to see what button was pressed CMB 05/02/2011
		if request.form("FormatType") = "" or isnull(request.form("FormatType")) then ' CMB 05/02/2011
				Mode="COMMA"
		else
			Mode=Request.Form("FormatType")
		end if


		vector = "DoGetCaseExport.asp?Mode=" & Mode '  NOPE & "&SortField=" & SortField & "&ExportSortOrder=" & ExportSortOrder ' CMB 05/02/2011
	else
	 	vector = "DoSearch2.asp?Page=1&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&FromReports=YES"
	end if
	 'response.write vector

	 'response.write "<a href=" & vector & "> click here </a>"

	 response.redirect vector

%>

</body>
</html>

