
<% 'Module: OtherCases.asp

   'Description: This module displays the OtherCases page (Other Cases Button).

   '(C) 1998,1999, 2000, 2001, 20002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/25/2000	SAV		Created original OtherCases.asp page
   '5/15/2002	SAV		Updated for Version 4.0 Languages
   '9/14/2007	JC		Updated to use stylesheets and new layout
   '11/05/12   CMB      Nicer styles

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow valid techs to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "OtherCases.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<HTML>
<HEAD>
   <TITLE>Other Cases</TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>


<% ' Display the Table Headers %>

<center>
<table cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper width=35%>
<tr>
<td align=center class=bp2minorformtitle>
<b>
Show Other Cases</b>
</td>
</tr>
</TABLE>
<table width=35% cellspacing=1  class=TightTableWrapper >
<tr>
  <td colspan=2 ></td>

  <td align=center class=BoxBodyText>Top<br> &nbsp;Panel&nbsp; </td>

  <td align=center class=BoxBodyText>New<br>Window</td>

</tr>

<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>


<tr>
  <td colspan=2 class=BoxBodyHead><%=wc_View_All_Open_Cases%></td>
  <td align=center valign=center>
     <a href=DisplayAllOpenCases.asp target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center>
     <a href=DisplayAllOpenCases.asp Target=New><img src=newwindow.gif border=0></a>
  </td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>

<tr>
  <td colspan=2 class=BoxBodyHead>View all un-assigned open cases</td>
  <td align=center valign=center >
     <a href=DisplayAllUnAssignedCases.asp target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center>
     <a href=DisplayAllUnAssignedCases.asp Target=New><img src=newwindow.gif border=0></a>
  </td>
</tr>

<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>


<tr>
  <td colspan=4 class=BoxBodyHead><%=wc_Show_Individual_Open_Cases%></td>
</tr>

<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>





<tr>
<td width=30></td>
<td class=BoxBodyText>Sort List by  &nbsp;&nbsp;&nbsp; <a href="OtherCases.asp?SortBy=first_name"> <%=wc_First%></a>  &nbsp;&nbsp;&nbsp; <a href="OtherCases.asp?SortBy=last_name"><%=wc_Last%></a>
</td>
</tr>

<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>

<% ' Now display all of the techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff "

		SortOrder = Request.QueryString("SortBy")
		If SortOrder = "" Then
			SortOrder = " first_name "
		End If

		mySQL = mySQL & " Order by " & SortOrder


	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No Tech Contacts found"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined

	%>
	<tr>
	<td></td>
	<td class=BoxBodyText>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
			</td>
		<% ' Display links to pending_screen window and new window %>

	<td  align=center valign=center >
	<a href=MyCases.asp?TechID=<%=rstemp("Tech_ID")%> target="pending_screen">
				<img src=topframe.gif border=0></a>
			</td>

	<td  align=center valign=center >
	<a href=MyCases.asp?TechID=<%=rstemp("Tech_ID")%> target="New_pending_screen">
				<img src=newwindow.gif border=0></a>
			</td>
    </tr>
    <tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
	<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>


<tr>
  <td colspan=4 class=BoxBodyHead><%=wc_Show_Group_Open_Cases%></td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>


<% ' Display all of the groups arranged alphabetically %>


<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Group_list order by Group_Name "

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "<tr><td>No Groups Defined</font></td></tr>"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined

	%>
	<tr>
	<td></td>
	<td class=BoxBodyText>
				<%=rstemp("Group_Name")%>
			</td>
		<% ' Display links to pending_screen window and new window %>

	<td  align=center valign=center >
	<a href=GroupCases.asp?Group_Number=<%=rstemp("Group_Number")%> target="pending_screen">
				<img src=topframe.gif border=0> </a>
			</td>

	<td  align=center valign=center >
	<a href=GroupCases.asp?Group_Number=<%=rstemp("Group_Number")%> target="New_pending_screen">
				<img src=newwindow.gif border=0> </a>
			</td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
	<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>



<tr>
  <td colspan=4 class=BoxBodyHead>View Scheduled Cases</td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
<tr>
  <td> </td>
  <td class=BoxBodyText><%=wc_All_Opened_Scheduled_Cases%></td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=ALL target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=ALL target=New_pending_screen><img src=newwindow.gif border=0></a>
  </td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
<tr>
  <td> </td>
  <td class=BoxBodyText><%=wc_All_Single_Event_Scheduled_Cases%></td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=ONCE  target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=ONCE target=New_pending_screen><img src=newwindow.gif border=0></a>
  </td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
<tr>
  <td> </td>
  <td class=BoxBodyText><%=wc_All_Repeating_Scheduled_Cases%></td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=REPEATED target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=REPEATED target=New_pending_screen><img src=newwindow.gif border=0></a>
  </td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
<tr>
  <td> </td>
  <td class=BoxBodyText><%=wc_All_Late_Scheduled_Cases%></td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=LATE target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=LATE target=New_pending_screen><img src=newwindow.gif border=0></a>
  </td>
</tr>
<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>
<tr>
  <td> </td>
  <td class=BoxBodyText><%=wc_Todays_Scheduled_Cases%></td>
  <td  align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=TODAY target=pending_screen><img src=topframe.gif border=0></a>
  </td>
  <td align=center valign=center >
     <a href=DisplayScheduledCases.asp?ViewType=TODAY target=New_pending_screen><img src=newwindow.gif border=0></a>
  </td>
</tr>

<tr><td colspan=4 height=1 bgcolor=#AAAAAA></td></tr>



</table>


</td></tr></table> <!-- start outer framing table -->




<P>
<table class=simplewrapper>
<tr><td align=center>
<a href=ExportTechStaffTech.asp><%=wc_Export_Tech_Contact_Information%> </a> &nbsp;&nbsp;&nbsp;&nbsp; (<a href=PDAcustomers.asp><%=wc_Instructions%></a>)
</td>
</tr>
</table>









</BODY>
</HTML>



<%End If ' End of security checks %>
