<% 'Module: Search.asp


   'Description: This module is the search engine first page.
   '(C) 1999, 2000, 2001, 2002, 2003, 2004 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
'   03/12/13 CMB     created from Search.asp

   ' ---------Note:
   ' This is the first module of a set of three that work together, namely Search.asp DoSearch1.asp and DoSearch.asp
   ' The second two fo these were cloned from the old DoSearch.asp with extensive modifications
   ' This module is almost the same as before, except it now includes 2 radio buttons to allow the user
   ' to specify "Any" or "All" keywords must be present in a record to make it qualify (i.e. equivalent ot OR and AND )
   '
   ' Then the second module (DoSearch1.asp) generates an appropriate SQL statement - but the SQL statement is generated
   ' as if "Any" was specified by the user - no matter what the setting of the radio buttons. But then if "All" wa spewcified
   ' it performs this qualification itself after records have been retrieved by the SQL statement
   '
   ' Then - instead of displaying qualified records to the user, it stashes a list of the qualified case numbers
   ' in an array held in a session variable
   '
   ' The the third program (DoSearch2.asp) uses this array to retrieve the records and display them. This way it can
   ' show pages of 15 hits at a time and go back to the array fro subsequent pages without doing the database search again.

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks

    ClosingCase= Request.querystring("Case_number")
    MasterCase = Request.querystring("Dup_Case_num") ' 0 or blank or number
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "SearchForMaster.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<head>
<title><%=wc_Case_Search%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<%  spacerheight=0 %>

<%
chunksize = Session("chunksize")
'response.write "Chunksize picked up = " & chunksize & "<P>"
if chunksize = "" then chunksize = 15
if Not isNumeric(chunksize)  then chunksize = 15
Session("chunksize") = chunksize

%>

<body class=rightwindow>

<center>
<Table class=BGWrapper >
	<tr>
	<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Case_Search%></td>
	</tr>
</table>

<FORM METHOD=POST name="myform" ACTION=DoSearch1.asp>
	<input type=hidden name=ResultsView value="DETAILED">
    <input type=hidden name=ClosingCase value=<%=ClosingCase%>>
    <input type=hidden name=MasterCase value=<%=MasterCase%>>

        <table><tr><td>&nbsp;</td></tr></table>
  <!--
    <center>
 <INPUT type=image name=b_search src=SearchAndDisplay.gif border=0>
   <table><tr><td>&nbsp;</td></tr></table>
</center>-->
<table class=innerformwrapper cellspacing=0 cellpadding=0 width=100%>
	<tr><td height=1 ></td></tr>
	<tr><td class=minorformtitle align=center><%=wc_Search%></td></tr>
	<tr>
	<td align=center>


	<TABLE BORDER=0  cellpadding=0 cellspacing=2 width=100%>
		<TR>
			<TD  class=formboxholder  width=25%><span class=formlabelsuper><%=wc_Case_number%>:&nbsp;</span>
			</TD>
			<td  class=formboxholder width=25%><INPUT type=text name=case_number size=15 maxlength=15></td>

			<td  class=formboxholder width=50% rowspan=3 valign=Center align=center>
				<INPUT type=image name=b_search src=SearchAndDisplay.gif border=0>&nbsp;&nbsp;
				<a href="TCaseForm.asp?Case_number=<%= ClosingCase%>">
					 <img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></a>
            </a>
		</TR>

		<TR>
			<TD class=formboxholder><span class=formlabelsuper><%=wc_Search_Line_Line%>:</span>
			</td>
			<td  class=formboxholder  align=left> <INPUT type=text name=one_line size=30 maxlength=50></td>


		</TR>

		<TD class=formboxholder><span class=formlabelsuper><%=wc_Customer_ID%>:&nbsp;</span></TD>
      <TD class=formboxholder  align=left  >
			<% ' The customerID field can either be a drop down box if that option is selected
				' or it can be a text box for large customer databases

				CustomerDropDown = "YES"

				'--AKS<-- Conversion to INT required
				Customer_Id_List = CInt(Customer_Id_List)

				If Customer_Id_List = 1 Then
					Response.write "<SELECT size=1 name=customer_id>"
					Response.write "<OPTION selected value="""">Ignore</OPTION>"

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from Customers Order by Contact_lname"
				set rstemp=conntemp.execute(mySQL)

				Do While not rstemp.EOF
					response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
					rstemp.MoveNext
				Loop
				response.write "</select>"

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

			 ' End of Display the Customer_List

			End If

			If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
						%>
						<font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
					 <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
					 <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
			End If  ' End of If using on-click and Javascript sub-window

			 If Customer_Id_List = 0 Then' If using copy/paste sub-window
					%>
						<font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
					 <a href=Customer_Id_Copy_Paste.asp target=subwindow>
					 <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
					<%
			  End If ' End of If using copy/paste sub-window

		%>

		</TD>

		</TR>
	</TABLE>

	<TR>
	<TD ALIGN=CENTER>
	<TABLE BORDER=0 cellspacing=2 CELLPADDING=2 WIDTH="100%" >
	<TR>
<tr><td class=minorformtitle align=center><%=wc_Search_By_Attribute%></td></tr>
<tr>
<td>

<% ' ----------------Display the  Categories

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	'mySQL="select * from Categories where  State <> 0 Order by Category_Number, item_number"
	mySQL="select * from Categories where  State <> 0 Order by Category_index ASC"

	set rstemp=conntemp.execute(mySQL)

	If not  rstemp.eof then ' Check to see any Categories exist
 %>
<center>

<table   border=0 cellspacing=2 cellpadding=2 width=100%><tr>
<%
		Category_name = rstemp("Category_name")
		Category_number = rstemp("Category_number")
%>
		<td align=center width=50% class=formboxholder><span class=formlabelsuper>

<%
				response.write Category_name & "</span><br>"
				response.write "<select name=c" & rstemp("category_number") & " size = 3>"
				response.write "<option selected value= >Ignore</option>"
				response.write "<option value=""" & wc_Category_Not_Set & """>" & wc_Category_Not_Set & "</option>"
		Odd = 1

		Do While rstemp.EOF <> True
			'-->AKS<-- Numeric conversion to INT.
			Category_number = CInt(Category_number)

			if CInt(rstemp("Category_number")) <> Category_number THEN
				response.write "</select></td>"
				If Odd = 1 Then
					Odd = 2
					Response.write "<td align=center class=formboxholder><span class=formlabelsuper>"
					Response.write rstemp("Category_Name") & "</span><br>"  & chr(10)
					response.write "<select name=c" & rstemp("category_number") & " size = 3>" & chr(10)
					response.write "<option selected value= >Ignore</option>"
					response.write "<option value=""" & wc_Category_Not_Set & """>" & wc_Category_Not_Set & "</option>"

				Else
					Odd = 1
					response.write "</tr></tr>"
					Response.write "<td align=center class=formboxholder><span class=formlabelsuper>"
					Response.write rstemp("Category_Name") & "</span><br>" & chr(10)
					response.write "<select name=c" & rstemp("category_number") & " size = 3>" & chr(10)

					response.write "<option selected value= >Ignore</option>"
					response.write "<option value=""" & wc_Category_Not_Set & """>" & wc_Category_Not_Set & "</option>"

				End If
				Category_number = rstemp("Category_number")
			End If

				response.write "<option value=" & rstemp("item_number") & ">" & rstemp("item_name") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop
		response.write "</select></td>"

		If Odd = 1 Then 'fill out with a blank entry
		  response.write "<td class=formlabel></td>"
		End If

		response.write "</tr></table></center>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
' ****************** end categories

%>
</td>
</tr>
<tr><td  class=lightline align=center height=3></td></tr>
<tr>
<td>

<% ' Display the Form questions at the bottom of the page %>
<center>
<table  border=0 cellspacing=0 cellpadding=0  width=100%>
</td>
</tr>

<tr><td class=lightline align=center height=3></td></tr>
<tr>
<td>


</TABLE>


</td>
</tr>


</table> <!-- end of inner form wrapper -->

</td>
</tr>
</table> <!-- end of outer form wrapper -->

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
