<% 'Module: SearchRetireSurplusAssets.asp

   'Description: This module allows one to search for assets and then either retire or move to
   ' surplus for the resultant assets.  The code for retire or move to surplus is set in retireSurplus.inc file.
   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
    '04/30/12  CMB   Created from SearchSetValues.asp
    '05/01/12  CMB   Use getElementByID for Internet Explorer, just using value only works Chrome.

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<% ' To customize the Asset labels, edit the file called AssetLabels.inc
PERPAGE = 100
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' configurator only

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			Tech_Level = rstemp("Tech_Level")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Assets.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title><%=wc_Asset_Search%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<SCRIPT LANGUAGE="JavaScript">
function PreRetire()
{
	var s;
	//	s= 'DoAssets.asp?ResultsView=RETIRE';
	   s= 'DoAssets.asp';
	//	ResultsView.value = 'RETIRE';
		document.getElementById("ResultsView").value = 'RETIRE';

		location.replace(s);

}
function PreSurplus()
{
	var s;
	//	s= 'DoAssets.asp?ResultsView=SURPLUS';
		s= 'DoAssets.asp';
 		document.getElementById("ResultsView").value = 'SURPLUS';
	//	ResultsView.value = 'SURPLUS';

		location.replace(s);

}

</script>

</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_SearchRetireSurplus%></td>
</tr>
</table>
<p>
<Center>


<FORM METHOD=POST name="myform" ACTION=DoAssets.asp>


<br>
<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<!-- COLUMN 1 -->

	<Table class=innerformwrapper cellspacing=1 cellpadding=0>

    <tr><td class=MinorFormTitle align=center ><%=wc_Asset_Assignments%></td></tr>

    <tr>
    <td>

			<Table  width=100% cellpadding=0 cellspacing=2>
			<TR>

			<TD class=formlabelsuper ><%=Asset_Number_Label%>:<br><span class=formboxholder> <INPUT type=text name=asset_number size=8 maxlength=10></span></TD>

			<TD class=formlabelsuper >Customer:&nbsp;
			<BR><span class=formboxholder>
			<% ' The customerID field can either be a drop down box if that option is selected
				' or it can be a text box for large customer databases
				CustomerDropDown = "YES"
				'--AKS<-- Conversion to INT required
				Customer_Id_List = CInt(Customer_Id_List)

				If Customer_Id_List = 1 Then
					Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
					Response.write "<OPTION selected value="""">Ignore</OPTION>"
					Response.write "<OPTION value=""Unassigned"">None Assigned</OPTION>" ' 2/1/12 unassigned '

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN
				mySQL="select * from Customers Order by Contact_lname"
				set rstemp=conntemp.execute(mySQL)

					Do While NOT rstemp.EOF
						if isnull(rstemp("contact_fname")) then
							FirstName = ""
						else
							FirstName = rstemp("contact_Fname")
						end if

						if isnull(rstemp("contact_lname")) then
							LastName = ""
						else
							LastName = rstemp("contact_lname")
						end if
						sCustomer = trim(LastName) & ", " & Trim(FirstName)

				'		response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
						response.write "<option value=" & rstemp("customer_id") & ">" &  sCustomer & "</option>" & chr(10) & chr(13)

							rstemp.MoveNext
					Loop
					response.write "</select>"
				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing
			 ' End of Display the Customer_List
			 End If

			   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
						%>
						<input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				  End If  ' End of If using on-click and Javascript sub-window

				  If Customer_Id_List = 0 Then' If using copy/paste sub-window
						%>
						<font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href=Customer_Id_Copy_Paste.asp target=subwindow>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				 End If

			%>
            </span>
			</TD>

			<TD class=formlabelsuper valign=top ><%=wc_tech%>&nbsp;
			<span class=formboxholder><BR>
			<SELECT size=1 name=tech_id>
			<OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION>
			<OPTION value="ALL"><FONT SIZE=-1>All Assigned</OPTION>

			<% ' Display the List of Techs

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from Tech_staff Order by Last_Name"
				set rstemp=conntemp.execute(mySQL)

				' Check to see if any records are returned

				If  rstemp.eof then

				Else
					Do While rstemp.EOF <> True
							response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)

						rstemp.MoveNext

					Loop

					response.write "</select></td>"
				End IF

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

			%>
            </span>

			<TD class=formlabelsuper>Other Asset:<br>
			<span class=formboxholder>
			<INPUT type=text name=assigned_asset_number size=10 maxlength=10></span></TD>

			</TR>

			</table> <!-- end 2nd table END OF ROW 1-->

<!-- ROW 2 -->
<tr>
  <td align=center class=minorformtitle>Asset Values</td>
</tr>

<tr>
<td>

<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 >
<tr>
<td>
<table border=0 cellpadding=5 cellspacing=2 >

<TR>
<TD valign=top class=formlabelsuper>

<% If Serial_Number_Label <> "" Then %>
<%=Serial_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=serial_number size=20 maxlength=25></span>

<% End If %>

</td>


<TD valig=top class=formlabelsuper>

<% If Description_Label <> "" Then %>


<%=Description_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Equipment_Type size=20 maxlength=20> &nbsp;&nbsp;

		    <a href='javascript:var w=window.open("Asset_Description_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
</span>

<% End If %>


</td>
<TD valign=top class=formlabelsuper>

<!-- COMPUTER ID -->
	<% If Computer_ID_Label <> "" THen %>
	<%=Computer_ID_Label%>:<br>
	<span class=formboxholder>
	<INPUT type=text name=computer_id size=20 maxlength=25></span>

			<%  ' Uncomment this next line to have computer_id field as a dropdown
				' Note: This field defaults to unique and keyed and its design must be changed to use
				' this popup properly.

				Computer_ID_Popup = "YES"

				If Computer_ID_Popup = "YES" Then
			%>

			<a href='javascript:var w=window.open("Asset_Computer_ID_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>

			<% End IF %>
<% End IF %>
</td>



</tr>
<!-- ROW 3 STARTS -->
<TR>
	 <%  Call DisplayFieldOrDropDown(Lease_Or_Purchase_Label, "Lease_or_Purchase",8,25) %>
 	<% call DisplayFieldOrDropDown(Monitor_model_Label,"monitor_model",20,25)%>
	 <%  Call DisplayFieldOrDropDown(Location_Label, "location",20,25) %>

</tr>

<TR>
	 <%  Call DisplayFieldOrDropDown(Monitor_Serial_Number_Label, "Monitor_serial_num",8,25) %>
	<TD class=formlabelsuper>Age:
	&nbsp;&nbsp;
	<br>
	 			<span class=formboxholder>
	 			<INPUT type=text name=age1 size=10 maxlength=10> to <INPUT type=text name=age2 size=10 maxlength=10> years</span><br>
	 			as of: <br><span class=formboxholder>
	 			<INPUT type=text name=AgeAsOf size=12 maxlength=12 value=<%=Date()%> > (mm/dd/yy)</span>
	 			</TD>
	 <%  Call DisplayFieldOrDropDown(Date_Assigned_Label, "Date_Assigned",15,15) %>

</TR>

<TR>
	 <% Call GetOperatingSystem %>  <! -- SBCC CUSTOM -->
	 <%  Call DisplayFieldOrDropDown(Custom_Field_2_Label, "Custom_Field2",20,25) %>
	 <%  Call DisplayFieldOrDropDown(Custom_Field_3_Label, "Custom_Field3",20,25) %>
</tr>

<TR>

	 <%  Call DisplayFieldOrDropDown(Purchase_Order_Number_Label, "purchase_order_num",20,25) %>
	 <%  Call DisplayFieldOrDropDown(Acquired_From_Label, "Acquired_from",20,20) %>
	 <%  Call DisplayFieldOrDropDown(IP_Address_Label, "ip_Address",20,20) %>


</tr>
<!-- ROW 4 STARTS -->
<TR>
	 <%  Call DisplayFieldOrDropDown(Processor_Speed_Label, "Processor_Speed",20,25) %>
<TD class=formlabelsuper valign=top><%=wc_Asset_Notes%><br><span class=formboxholder><input type=textbox name=Asset_Notes></span> 	</TD><!-- fuzzy asset notes search -->
<TD class=formlabelsuper><br>	<span class=formboxholder>	&nbsp;</span>	</TD>
</tr>

</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->

</td>
</tr>

			</td>
			</TR>
			</TABLE>

</td></tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR><td align=center>
<INPUT TYPE=hidden Name="ResultsView" ID="ResultsView" >
<TD ALIGN=CENTER>

					<%	response.write "<input type=image src=retireassets.jpg onClick=""javascript: PreRetire(); return true;"" >" %>
					&nbsp; &nbsp; &nbsp;
					<%	response.write "<input type=image src=movetosurplus.jpg onClick=""javascript: PreSurplus(); return true;"" >" %>
&nbsp; &nbsp; &nbsp;
	 				<a href=<%=SearchURL%> ><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
&nbsp; &nbsp; &nbsp;
<A HREF="searchRetireSurplusAssets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_clear30x80.gif" BORDER=0 ></A>            <!-- &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;  -->
</TR>
</TABLE>

<!-- ------------------------- end buttons ----------------------------- -->
</td></tr>

</td>
	</table>

</CENTER>

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

<% '*************** NEW ASSET SUBS *********************** %>

<% Function DropDownID(AssetCategoryName) ' CMB 09/13/11
' returns 0 if not a dropdown or AssetCategoryID if it is for use in filling drop down box
	Dim nReturn
	nReturn = 0

	'This function gets the values of the drop down plus blank
	 If Version7point5 = "YES" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select AssetCategoryID from AssetCategories where AssetCategory = '" & AssetCategoryName & "'"

			set rstemp2=conntemp.execute(mySQL2)
			'response.write "SQL" & mySQL2
			'response.flush
			'response.end
			if not rstemp2.eof then
				nReturn = rstemp2("AssetCategoryID")
			end if

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
			DropDownID = nReturn
		End  If

	End Function
	%>

<% Sub GetDropDownValuesForSearch(CatID, ColName) ' CMB 09/13/11
	'This function gets the values of the drop down plus blank plus anything already in the assets table for this column, plus blank

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		'select assetcategoryItem from assetcategoryitems where assetcategoryid = 1
		'union
		'select distinct(lease_or_Purchase) from assets
		'where lease_or_Purchase is not null
		'and lease_or_purchase not in (Select assetcategoryItem from assetcategoryitems where assetcategoryid = 1)
		'order by assetcategoryitem

		mySQL2="Select assetcategoryItem from AssetCategoryItems where AssetCategoryID = " & CatID
		mySQL2=mySQL2 & " UNION Select distinct(" & ColName & ") From Assets where " & ColName & " is not null "
		mySql2=mySql2 & " and " & ColName & " NOT IN (Select assetcategoryItem from assetcategoryitems where assetcategoryid = " & CatID & ") "
		mySql2=mySql2 & " ORDER BY AssetCategoryItem "

		'response.write "SQL" & mySql2
		'response.flush
		'response.end

		set rstemp2=conntemp.execute(mySQL2)
		'response.write "<Option value=></OPTION>"   ' blank
		Response.write "<OPTION selected value="""">Ignore</OPTION>"  ' blank use this for consistency

		Do While not rstemp2.eof
			if trim(rstemp2("AssetCategoryItem")) > "" Then ' 02/12/2012 added trim
				response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategoryItem") & "</OPTION>"
			End If
			RsTemp2.MoveNext
		Loop

		rstemp2.close
		set rstemp2=nothing
		conntemp.Close
		Set conntemp = nothing

	End Sub
	%>

	<%
Sub DisplayFieldOrDropDown(LabelName,ColName,nSize,nMax) ' send value of the label name

	 Response.write "<TD valign=top class=formlabelsuper>"
	 If LabelName <> "" Then
		Response.write LabelName & ":<br>"
		Response.write "<span class=formboxholder>"

		n = DropDownID(LabelName)
		if n > 0 then
			Response.write "<SELECT MULTIPLE size=3 name=" & ColName & ">"
			Call GetDropDownValuesForSearch(n,ColName)
			Response.write "</SELECT>"
		 else
			Response.write "<INPUT type=text name=" & ColName & " size=nSize maxlength=nMax></span>"
		End if

	End If
	Response.write "</TD>"

 End Sub
%>

<% Sub GetOperatingSystem()


		 ' Display all operating systems in both fields
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		'select distinct(assetcategoryItem) from assetcategoryitems where assetcategoryid IN
		'(Select assetcategoryID from AssetCategories where
		'assetcategory like '%operating sy%')
		'union
		'select distinct(operating_system1) from assets
		'where operating_system1 is not null
		'union select distinct(operating_system2) from assets
		'where operating_system2 is not null

		mySQL2="Select assetcategoryItem from AssetCategoryItems where AssetCategoryID IN "
		mySQL2=mySQL2 & "(Select AssetCategoryID from AssetCategories where AssetCategory Like '%Operating Sy%') "
		mySQL2=mySQL2 & " UNION Select distinct(operating_system1) From Assets where operating_system1 is not null "
		mySQL2=mySQL2 & " UNION Select distinct(operating_system2) From Assets where operating_system2 is not null "
		mySql2=mySql2 & " ORDER BY AssetCategoryItem "

		'response.write "SQL" & mySql2
		'response.flush
		'response.end

		set rstemp2=conntemp.execute(mySQL2)
		Response.write "<TD class=formlabelsuper valign=top >Operating System:<span class=formboxholder><br>"
		Response.write "<SELECT MULTIPLE size=3  name=OperatingSystem>"
		Response.write "<OPTION selected value="""">Ignore</OPTION>"

		Do While not rstemp2.eof
			response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategoryItem") & "</OPTION>"
			RsTemp2.MoveNext
		Loop

		rstemp2.close
		set rstemp2=nothing
		conntemp.Close
		Set conntemp = nothing
           response.write "</span></SELECT></TD>"

 end sub
 %>



	<% Sub FillOptionBox() %>
	<%  ' NO Call DropDownOrText(Asset_Number_Label, "Asset_Number",monitor_model,30,100,false) %>

		 <% ' must be unique  Call DropDownOrText2(Serial_Number_Label, "Serial_Number",monitor_model,30,100,false) %>

	 <%  Call DropDownOrText2(Lease_Or_Purchase_Label, "Lease_or_Purchase",monitor_model,30,100,false) %>
	 <%  Call DropDownOrText2(Acquired_From_Label, "Acquired_from",monitor_model,30,100,false) %>
	 <%  Call DropDownOrText2(Location_Label, "location",monitor_model,30,100,false) %>
	 <%  Call DropDownOrText2(Wall_Port_Number_Label, "wall_port_number",monitor_model,30,100,false) %>
			<%  Call DropDownOrText2(Monitor_model_Label,"monitor_model",monitor_model,30,100,false) %>
			<%  Call DropDownOrText2(Monitor_Serial_Number_Label,"monitor_serial_num",monitor_serial_num,30,100,false) %> <!--SBCC MOVED -->
			<%	Call DropDownOrText2(Date_Assigned_Label,"date_assigned",date_assigned,30,100,false) ' date WARRANTY SBCC%>
			<%  Call DropDownOrText2(Hard_Drive_Size_Label,"hd_size",hd_size,30,100,false) %>
			<%  Call DropDownOrText2(Operating_System_1_Label,"operating_system1",operating_system1,30,100,false) %>
			<%  Call DropDownOrText2(Operating_System_2_Label,"operating_system2",operating_system2,30,100,false) %>


	 <%  Call DropDownOrText2(Custom_Field_1_Label, "Custom_Field1",monitor_model,30,100,false) %>
	 <%  Call DropDownOrText2(Custom_Field_2_Label, "Custom_Field2",monitor_model,30,100,false) %>
	 <%  Call DropDownOrText2(Custom_Field_3_Label, "Custom_Field3",monitor_model,30,100,false5) %>
			<%  Call DropDownOrText2(Custom_Field_4_Label,"custom_field4",custom_field4,30,100,false) %>

			<%  Call DropDownOrText2(Custom_Field_5_Label,"custom_field2",custom_field5,30,100,false) %>

			<% If App_1_Label <> "" Then %>
				<%  Call DropDownOrText2(App_1_Label,"app1",app1,20,20,false) %>
				<%  Call DropDownOrText2(App_1_product_ID_Label,"app1_product_id",app1_product_id,25,25,false) %>
				<%  Call DropDownOrText2(App_1_installation_date_Label,"app1_install_date",app1_install_date,15,15,false) %>

			<% End If %>

			<% If App_2_Label <> "" Then %>
				<%  Call DropDownOrText2(App_2_Label,"app2",app2,20,20,false) %>
				<%  Call DropDownOrText2(App_2_product_ID_Label,"app2_product_id",app2_product_id,25,25,false) %>
				<%  Call DropDownOrText2(App_2_installation_date_Label,"app2_install_date",app2_install_date,15,15,false) %>

			<% End If %>

			<% If App_3_Label <> "" Then %>
				<%  Call DropDownorText2(App_3_Label,"app3",app3,20,20,false) %>
				<%  Call DropDownorText2(App_3_product_ID_Label,"app3_product_id",app3_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_3_installation_date_Label,"app3_install_date",app3_install_date,15,15,false) %>

			<% End If %>

			<% If App_4_Label <> "" Then %>

				<%  Call DropDownorText2(App_4_Label,"app4",app4,20,20,false) %>
				<%  Call DropDownorText2(App_4_product_ID_Label,"app4_product_id",app4_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_4_installation_date_Label,"app4_install_date",app4_install_date,15,15,false) %>

			<% End If %>

			<% If App_5_Label <> "" Then %>

				<%  Call DropDownorText2(App_5_Label,"app5",app5,20,20,false) %>
				<%  Call DropDownorText2(App_5_product_ID_Label,"app5_product_id",app5_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_5_installation_date_Label,"app5_install_date",app5_install_date,15,15,false) %>

			<% End If %>

			<% If App_6_Label <> "" Then %>
				<%  Call DropDownorText2(App_6_Label,"app6",app6,20,20,false) %>
				<%  Call DropDownorText2(App_6_product_ID_Label,"app6_product_id",app6_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_6_installation_date_Label,"app6_install_date",app6_install_date,15,15,false) %>

			<% End If %>

			<% If App_7_Label <> "" Then %>

				<%  Call DropDownorText2(App_7_Label,"app7",app7,20,20,false) %>
				<%  Call DropDownorText2(App_7_product_ID_Label,"app7_product_id",app7_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_7_installation_date_Label,"app7_install_date",app7_install_date,15,15,false) %>

			<% End If %>

			<% If App_8_Label <> "" Then %>

				<%  Call DropDownorText2(App_8_Label,"app8",app8,20,20,false) %>
				<%  Call DropDownorText2(App_8_product_ID_Label,"app8_product_id",app8_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_8_installation_date_Label,"app8_install_date",app8_install_date,15,15,false) %>

			<% End If %>
			<% If App_9_Label <> "" Then %>


				<%  Call DropDownorText2(App_9_Label,"app9",app9,20,20,false) %>
				<%  Call DropDownorText2(App_9_product_ID_Label,"app9_product_id",app9_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_9_installation_date_Label,"app9_install_date",app92_install_date,15,15,false) %>

			<% End If %>

			<% If App_10_Label <> "" Then %>

				<%  Call DropDownorText2(App_10_Label,"app10",app10,20,20,false) %>
				<%  Call DropDownorText2(App_10_product_ID_Label,"app10_product_id",app10_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_10_installation_date_Label,"app10_install_date",app10_install_date,15,15,false) %>

			<% End If %>
			<% If App_11_Label <> "" Then %>

				<%  Call DropDownorText2(App_11_Label,"app11",app11,20,20,false) %>
				<%  Call DropDownorText2(App_11_product_ID_Label,"app11_product_id",app11_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_11_installation_date_Label,"app11_install_date",app11_install_date,15,15,false) %>

			<% End If %>
			<% If App_12_Label <> "" Then %>

				<%  Call DropDownorText2(App_12_Label,"app12",app12,20,20,false) %>
				<%  Call DropDownorText2(App_12_product_ID_Label,"app12_product_id",app12_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_12_installation_date_Label,"app12_install_date",app12_install_date,15,15,false) %>

			<% End If %>
			<% If App_13_Label <> "" Then %>

				<%  Call DropDownorText2(App_13_Label,"app13",app13,20,20,false) %>
				<%  Call DropDownorText2(App_13_product_ID_Label,"app13_product_id",app13_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_13_installation_date_Label,"app13_install_date",app13_install_date,15,15,false) %>

			<% End If %>
			<% If App_14_Label <> "" Then %>

				<%  Call DropDownorText2(App_14_Label,"app14",app14,20,20,false) %>
				<%  Call DropDownorText2(App_14_product_ID_Label,"app14_product_id",app14_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_14_installation_date_Label,"app14_install_date",app14_install_date,15,15,false) %>

			<% End If %>
			<% If App_15_Label <> "" Then %>

				<%  Call DropDownorText2(App_15_Label,"app15",app15,20,20,false) %>
				<%  Call DropDownorText2(App_15_product_ID_Label,"app15_product_id",app15_product_id,25,25,false) %>
				<%  Call DropDownorText2(App_15_installation_date_Label,"app15_install_date",app15_install_date,15,15,false) %>
		<% End if %>


		<%	Call DropDownorText2( Assigned_Group_Label,"assigned_group",assigned_group,30,100,false) %>
		<%	' must be unique Call DropDownorText2(IP_Address_Label,"ip_address",ip_address,30,100,false) %>

		<%  Call DropDownorText2(Purchase_Order_Number_Label,"purchase_order_num",purchase_order_num,30,100,false) %>
		<%  Call DropDownorText2(Date_Put_into_Service_Label,"date_in_service",date_in_service,30,100,false) %>
		<%  Call DropDownorText2(Monitor_Size_Label,"monitor_size",monitor_size,30,100,false) %>
		<%  Call DropDownorText2(Processor_Speed_Label,"processor_speed",processor_speed,30,100,false) %>
		<%  Call DropDownorText2(RAM_size_Label,"ram_size",ram_size,30,100,false) %>
		<%  Call DropDownorText2(Description_Label,"Equipment_Type",ram_size,30,100,false) %>
		<%  ' must be unique Call DropDownorText2(Computer_ID_Label,"Computer_ID",ram_size,30,100,false) %>
		<%  ' must be unique Call DropDownorText2(Property_Tag_Label,"Property_Tag",ram_size,30,100,false) %>
<%
End Sub
%>

	<%
Sub DropDownOrText2(LabelName,ColName,nNotUsed1,nNotUsed2,nSize,nMax) ' send value of the label name

	 If LabelName <> "" Then
		'Response.write "<option value=" & ColName & ">" & LabelName & "</option>"
	%>	<option value="<%=ColName%>:<%=LabelName%>"><%=labelname%></option> <%
		'		Response.write "<option value=" & ColName & ":" & LabelName & ">" & LabelName & "</option>"

	End If

 End Sub
%>
<% Sub FillWithCategoryItems()
	'This function gets the values of the drop down plus blank plus anything already in the assets table for this column, plus blank

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here


		mySQL2="Select assetcategory,assetcategoryItem from AssetCategoryItems LEFT OUTER JOIN assetcategories on assetcategoryItems.assetcategoryid = assetcategories.assetcategoryid"
		mySql2=mySql2 & " ORDER BY assetcategory, AssetCategoryItem " ' changed 02/06/12

		set rstemp2=conntemp.execute(mySQL2)
		'response.write "<Option value=></OPTION>"   ' blank
	'	Response.write "<OPTION selected value="""">Ignore</OPTION>"  ' blank use this for consistency
		Response.write "<OPTION value="""">Use value from textbox</OPTION>"  ' blank use this for consistency

		Do While not rstemp2.eof
			if trim(rstemp2("AssetCategoryItem")) > "" Then ' 02/12/2012 added trim
				response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategory") & " - " & rstemp2("AssetCategoryItem") & "</OPTION>"
			End If
			RsTemp2.MoveNext
		Loop

		rstemp2.close
		set rstemp2=nothing
		conntemp.Close
		Set conntemp = nothing

	End Sub
	%>

	<% Sub FillTechs()

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select * from tech_Staff"
			mySql2=mySql2 & " ORDER BY last_name, first_name"

			set rstemp2=conntemp.execute(mySQL2)
			Do While not rstemp2.eof
				sTechName = rstemp2("Last_Name") & ", " & rstemp2("First_name")
				response.write "<OPTION VALUE=" & rstemp2("Tech_ID") & ">" & sTechName & "</OPTION>"
				RsTemp2.MoveNext
			Loop

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End Sub
	%>
