<% 'Module: DoAccountMobile.asp

   'Description: This module add or updates the customer table
   ' and prompts them whether they want to add or update a case now.
   '(C) 2000,2001,2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'3/4/13		SAV		Fixed problem with emails showing ***** for password updates
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>


<% 'Get the KB Configuration options %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Encodepwd.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateCustomerRegistration.inc" -->


<% ' Get Configuration settings

	OrganizationFromName = "" ' Default to Blank for Global

	GetDatabaseConfiguration MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, NewRegistration, EncryptPasswords

' Call this dtabase configuratin inline to set globals
		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"

		'**** Major problem with SQL*Server and Conntemp.execute when getting
		' configuration data.  One should use: recordset.open DSN connection 1, 3

		' Cursor type needs to be specified and use rstemp.open

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")
			EncryptPasswords = rstemp2("EncryptPasswords") ' Option to encrypt passwords
			OrganizationFromNameInternal = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out
			OrganizationFromName = OrganizationFromNameInternal

			SMTP_User_Name = rstemp2("SMTP_User_Name")
			SMTP_Password = rstemp2("SMTP_Password")

			SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value

			If SendHTMLEmail = True Then
				HTMLEmail = "YES"
			Else
				HTMLEmail = ""
			End IF
		End If

		rstemp2.close
		set rstemp2=nothing

		' Get the Email Head that will sent infront of the email msg

		' ***** Now get the part of the email message that should be sent out when cases are created

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			NewRegistration = ""
		Else
			NewRegistration = rstemp2("customer_registration")
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
%>


<% 'Get the form data

		Customer_Password = Trim(Request.form("customer_password"))
		contact_fname = Trim(Request.form("contact_fname"))
		contact_lname = Trim(Request.form("contact_lname"))
		company = Trim(Request.form("company"))
		address = Trim(Request.form("address"))
		mailstop = Trim(Request.form("mailstop"))
		city = Trim(Request.form("city"))
		state = Trim(Request.form("state"))
		Zip = Trim(Request.form("Zip"))
		Country = Trim(Request.form("Country"))
		email = Trim(Request.form("email"))
		phone1 = Trim(Request.form("phone1"))
		phone2 = Trim(Request.form("phone2"))
		fax = Trim(Request.form("fax"))
		contact_method = Trim(Request.form("contact_method"))
	'	contact_times = Trim(Request.form("contact_times"))
		customer_username = Trim(Request.form("customer_username"))
		Confirm_Password = Trim(Request.form("Confirm_Password"))
		Customer_ID = Trim(Request.form("customer_ID")) ' For updates

		' make sure no spaces in first name or last name

		contact_fname = replace(contact_fname," ","-")
      contact_lname = replace(contact_lname," ","-")

		' Now we check certain fields for suspected injection attempts - namely those fields which might later be used to retrive records in a Select statement
		Field_Validation_Check "Customer Password", Customer_Password
		Field_Validation_Check "Customer Username", customer_username
		Field_Validation_Check "Customer Id", Customer_ID
      Field_Validation_Check "Email", email

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message

		If Customer_Password = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Password_Required_Block
		End If

		If Customer_Password <> Confirm_Password  Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Confirm_Password_Block
		End If

		' The password can only contain letters and numbers so check it for
		' any other characters.

		If Customer_Password <> "*****" Then
			For i = 1 to len(customer_password)

				EncodeDecimal = ASC(Mid(Customer_Password, i, 1))

				If (EncodeDecimal > 47 AND EncodeDecimal < 58) OR (EncodeDecimal > 64 AND EncodeDecimal < 91) OR  (EncodeDecimal > 96 AND EncodeDecimal < 123) Then
				' It is a valid number
				Else
					ErrorMessage = ErrorMessage & "<LI> " & wc_Password_Error_Block
				End If

			Next
		End IF

		If contact_fname = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_First_Name &  wc_Is_A_Required_Field
		End If

		If contact_lname = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Last_name &  wc_Is_A_Required_Field
		End If

		If customer_username = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Username &  wc_Is_A_Required_Field
		End If


		' *********************** USER CUSTOMIZATIONS ********************
		' If you want to develop a system where no password or blank passwords
		' are allowed, then  comment out these checks below

		If len(customer_UserName) < 5 Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Username_Error_Block
		End If

		If len(customer_password) < 5 Then
			ErrorMessage = ErrorMessage & "<LI> " &  wc_Password_Error_Block2
		End If

		' *********************** END USER CUSTOMIZATIONS ********************

		' Check for unique values for registrations

		If Customer_ID = "" Then
			UniqueEmail = CheckForUniqueTableValues("Customers", "email", email)
			If UniqueEmail <> "UNIQUE" Then
				ErrorMessage = ErrorMessage & "<LI> " & wc_Email_In_use_Block
			End If

			' Check for unique username
			If CheckForUniqueTableValues("Customers", "customer_username", customer_username) <> "UNIQUE" Then
				ErrorMessage = ErrorMessage & "<LI> " & wc_Username_In_use_Block
			End If
		End If

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be display to ErrorMessage string variable.

	If ErrorMessage <> "" Then
		%>
<!-- #INCLUDE FILE="CustomerusererrorMobile.inc" -->

<% Else 'Otherwise save the customer information.


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If Customer_ID <> "" Then
			SQL = "Select * from Customers where customer_ID = '" & customer_ID & "'"
		Else
			SQL = "Select * from Customers"
	   End If

		NewRecord.Open SQL,Conn,3,3

			If Customer_ID = "" Then ' If customerID is blank then creat new one
				NewRecord.AddNew
				' for New records we create the customer_ID
				' by taking the Lastname + "_" +  First.  If
				' there are more than 20 characters, then we take
				' just the first 20 characters of this and call
				' it the Customer_ID.

				' We must first remove all single quote characters
				' or double quote characters from the Customer_ID since
				' this field is used as a URL link.

				' This is required for names like O'Malley.  Just the
				' Customer_ID is modified, not the name record.

				Fixed_Contact_lname = replace(Contact_lname, "'", "")
				Fixed_Contact_fname = replace(Contact_fname, "'", "")

				' Also remove any spaces from Fname and Lname when creating Customer_Id

				Fixed_Contact_lname = replace(Fixed_Contact_lname, " ", "-")
				Fixed_Contact_fname = replace(Fixed_Contact_fname, " ", "-")

				Customer_ID = Fixed_Contact_lname & "_" & Fixed_contact_fname

				If Len(customer_ID) > 20 Then
					Customer_ID = Left(Customer_ID, 20)
				End If

				' The Customer_ID must be unique verify this combination
				' of Last_First is not already used.  If it is, then
				' add an 3 digit random number to the end of the ID.

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If

				' Run this test again incase we have duplicates

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If

				NewRecord("Customer_ID") = Customer_ID

				' IMPORTANT - DO NOT RESET THIS EVEN IF THEY
				' CHANGE THEIR NAMES.  There is an option within
				' the tech+center that will allow techs to
				' change the customer_id.

			End If

			' Set all of the variables the same for either new/update

			If EncryptPasswords = True Then
				Decode = "YES"
			Else
				Decode = "NO"
			End If

			If Customer_password <> "*****" Then
				' Decode the password before placing it into the database
				EncodedPassword = EncodePassword(Customer_Password)
				NewRecord("customer_password") = EncodedPassword
				RealPassword = Customer_Password
			Else
				RealPassword = NewRecord("customer_password")


			End IF


		NewRecord("contact_fname") = contact_fname
		NewRecord("contact_lname") = contact_lname

		If Company <> "" Then
			NewRecord("company") = company
		End If

		If Address <> "" Then
			NewRecord("address") = address
		End If

		If Mailstop <> "" Then
		NewRecord("mailstop") =	mailstop
		End If

		If City <> "" then
			NewRecord("city") = city
		End If

		If State <> "" Then
			 NewRecord("state") = state
		End If

		If Zip <> "" Then
			NewRecord("Zip") = Zip
		End If

		If Country <> "" Then
			NewRecord("Country") = Country
		End If

		If Email <> "" then
			NewRecord("email") = email
		End If

		If Phone1 <> "" Then
			NewRecord("phone1") = phone1
		End If

		If Phone2 <> "" Then
			NewRecord("phone2") = phone2
		End If

		If Fax <> "" Then
			NewRecord("fax") = fax
		End If

		If Contact_Method <> "" then
			NewRecord("contact_method") = contact_method
		End If

		If Contact_Time <> "" Then
			 NewRecord("contact_times") = contact_times
		End If

		If customer_Username <> "" Then
			NewRecord("customer_username") = customer_username
		End If

				NewRecord.Update
	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
	      response.write "Database Errors Occured" & "<P>"
			for counter= 0 to conn.errors.count
					response.write "Error #" & conn.errors(counter).number & "<P>"
					response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
			next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Conn.Close
	Set NewRecord = Nothing

' Now send out an email to the customer with their Login information for
' future reference.
	' Create the body of the email message

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = NewRegistration ' Put in the configurable part of the message
		Message = Message & vbCRLF & " Thank you for registering with the support center." & vbCRLF
		Message = Message & "To log into this site in the future, please use the information to Login. " & vbCRLF & "Login ID: " & Customer_Username & vbCRLF
		Message = Message & "Password: " & realpassword & vbCRLF


		' *********************** END OF USER CUSTOMIZATIONS**********************

		' Do not remove this line.
		Message = Message & EmailChecksum



		' IF HTML messages are enabled then replace the message strng with an HTML message and send it out

		IF HTMLEmail = "YES" Then
			Message = 	CreateHTMLCustomerRegistration (Email, Customer_Username, RealPassword, NewRegistration)
		End If


		SubjectLine = "Registration Confirmation"

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		ToEmail = Email
		ToFullName = Contact_fname & " " & Contact_lname

		'-->AKS<-- Changed 1=Cusomter_case_notify to 1=1 below.
		If ToEmail <> ""  And 1 = CInt(Customer_Case_notify)  Then
		   If MyOs = "Windows" Then
			   SendEmail ToEmail, ToFullName, SubjectLine, Message
		   Else
		       SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
		   End if
		End If
%>

<% ' Display the page now %>

<% ' First set the cookie for this user so they can go directly to
	' the customer options page.

		Response.Cookies("ISS_CUSTOMER") = Customer_ID
		Response.Cookies("ISS_CUSTOMER").Path = "/"
	   Response.Cookies("ISS_CUSTOMER").Secure = FALSE
%>

<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
    <body>
        <!-- Home -->
        <div data-role="page" id="PageDoAccount">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
                   Registration Confirmation
                </CENTER></h3>
Your registration has been successfully entered.  You will receive a
confirmation email with your Login information.  Please keep this email for
future reference.
<CENTER>
 <A href="AccountMobile.asp" data-role="button" data-mini="true">Review Registration</a>
 </CENTER>
            </div>
        </div>
    </body>
</html>

<% End if ' End of I ErrorMessage <> ""%>


<% Sub GetDatabaseConfiguration(MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, NewRegistration, EncryptPasswords)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"

		'**** Major problem with SQL*Server and Conntemp.execute when getting
		' configuration data.  One should use: recordset.open DSN connection 1, 3

		' Cursor type needs to be specified and use rstemp.open

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' ****** OLD CALL *************
		'set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")
			EncryptPasswords = rstemp2("EncryptPasswords") ' Option to encrypt passwords
			OrganizationFromNameInternal = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out
			OrganizationFromName = OrganizationFromNameInternal

' Newer SMTP Authentication information

			SMTP_User_Name = rstemp2("SMTP_User_Name")
			SMTP_Password = rstemp2("SMTP_Password")

			SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value

			If SendHTMLEmail = True Then
				HTMLEmail = "YES"
			Else
				HTMLEmail = ""
			End IF
		End If

		rstemp2.close
		set rstemp2=nothing

	' Get the Email Head that will sent infront of the email msg

	' Now get the part of the email message that should be sent out when cases are created

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			NewRegistration = ""
		Else
			NewRegistration = rstemp2("customer_registration")
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "'"

		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			CheckForUniqueTableValues = "NONUNIQUE"
		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function ' End of CheckForUniqueTableValues
	%>



