<% 'Module: DoCAssetSearch.asp

   'Description: This module is the Asset search engine submit page.
   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '4/3/00	SAV		Created original Search page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
	' and then copy the edited file to customercenter directory
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<% ' Get the form data
ErrorMessage = ""
	Customer_ID =  Request.Cookies("ISS_Customer")

		' Get the form fields
		Asset_Number = Request.form("asset_Number")
		Field_Validation_Check "Asset Number", Asset_Number

		Computer_ID = Request.form("computer_ID")
		Field_Validation_Check "Computer Id", Computer_ID

		Property_tag = Request.form("Property_tag")
		Field_Validation_Check "Property Tag", Property_tag

		Equipment_Type = Request.form("Equipment_type")
		Field_Validation_Check "Equipment Type", Equipment_Type

		Serial_number = request.form("serial_number")
		Field_Validation_Check "Serial Number", Serial_number

		Location = request.form("Location")
		Field_Validation_Check "Location", Location

		Case_Number = request.form("case_number") ' Maybe =0 for new case
		Field_Validation_Check "Case Number", Case_Number

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.


		If Asset_Number = "" AND Computer_ID = "" ANd Property_tag = "" and Equipment_Type = "" and Serial_number = "" AND location = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Required_Asset_Search_Fields
		End If

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="CustomerusererrorMobile.inc" -->

	<% Else ' Perform the asset search with the passed information
	%>

	<% 'First create the SQL statement from the passed variables

	mySQL = "select * from Assets where "

	If Asset_number <> "" then
		mySQL = mySQL & AndValue & " Asset_number = " & Asset_number
		AndValue = " AND "
	End If

	If Property_tag <> "" Then
		mySQL = mySQL & AndValue & " Property_tag like '%" &  Property_tag & "%'"
		AndValue = " AND "
	End If

	If Serial_Number <> "" Then
		mySQL = mySQL & AndValue & " Serial_number like '%" &  Serial_number & "%'"
		AndValue = " AND "
	End If

	If Computer_Id <> "" Then
		mySQL = mySQL & AndValue & " Computer_ID like '%" &  Computer_Id & "%'"
		AndValue = " AND "
	End If

	If Equipment_Type <> "" Then
		mySQL = mySQL & AndValue & " Equipment_type like '%" &  Equipment_Type & "%'"
		AndValue = " AND "
	End If

	If Location <> "" Then
		mySQL = mySQL & AndValue & " Location like '%" &  Location & "%'"
		AndValue = " AND "
	End If

	' Now perform the query and display the results in a table

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
%>
<! NOTE THIS IS THE SAME AS Showcustomerassetsmobile -->
<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
    <body>
        <!-- Home -->
        <div data-role="page" id="DoCAssetSearch75Mobile">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
                	 <%=wc_Asset_Search_Results%></center>
                </h3>

		<%	if rstemp.eof then %>
				<center>
					<font face=arial color=red>
					<%=wc_No_Matching_Assets_Found%>
					</font>

					 <p>
				<div class="ui-block-b"><a href="CAssetSearch75Mobile.asp" data-role="button" data-icon="arrow-r" data-mini="true" >Search Again?</a></div>

				</center>
		<%	else %>



<%
		Do While rstemp.EOF <> True
			%>
					<div class="ui-grid-a">
					<a href="AssetInfoMobile.asp?Case_Number=<%=Case_Number%>&Asset_number=<%=rstemp("asset_number")%>">
					   <div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong><%=Description_Label%>:</strong></div></div>
						<div class="ui-block-b"><div class="ui-bar ui-bar-d"><%=rstemp("Equipment_Type")%></div></div></a>

						<div class="ui-block-a"><strong><%=Property_Tag_Label%>:</strong></div>
						<div class="ui-block-b"><%=rstemp("Property_tag")%> </div>

					<!--	<div class="ui-block-a"><strong><%=Description_Label%>:</strong></div>
						<div class="ui-block-b"><%=rstemp("Equipment_Type")%></div>-->

						<div class="ui-block-a"><strong><%=Computer_ID_Label%>:</strong></div>
						<div class="ui-block-b"><%=rstemp("Computer_ID")%></div>

						<div class="ui-block-a"><strong>	<%=Serial_Number_Label%> </strong></div>
						<div class="ui-block-b"><%=rstemp("Serial_Number")	%></div>
		      </div>
<%
			rstemp.movenext
		loop

   End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>
</div>
		<div class="ui-grid-a" width=100%><!-- back button casees you to lose data -->
				<div class="ui-block-a"><a href="CAssetSearch75Mobile.asp" data-role="button" data-icon="arrow-r" data-mini="true" >Search Again</a></div>
			<!--		<div class="ui-block-b"> <a href="" data-role="button" data-icon="arrow-l" data-rel="back" data-mini="true">Return</a></div>-->
					<div class="ui-block-c"><a href="default.asp" data-role="button" data-icon="arrow-r" data-mini="true" >Cancel</a></div>
		</div>

</div></div></body></HTML>
<% End If  ' End if  ErrorMessage <> "" %>


