<%  ' Module: MobileTextChatThread.asp
	'
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/25/13 SAV		Created SiteInfo.asp as a way to show site information from Customer+Center message board
   '02/11/13 	SAV	Created MobileTextChatThread.asp as the first page for the mobile chat application



%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
Call GetCustomerConfig()
%>

<% ' Checked for Customer+Center Logged in Cookie

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie
If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
End If

%>

<% ' **************** START OF Mobile HTML jquery code   ********************* %>

<% '*************************** UI **************************' %>
<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>
     <!-- #INCLUDE FILE="cheaderMobile.inc" -->
    <body>

</div>


		<div role="main" class="ui-corner-bottom ui-content ui-body-c" data-role="content" data-theme="c">
			<h5>Text Messaging</h5>
			<p>This is a regular page, styled as a dialog. To create a dialog, just link to a normal page and include a transition and <code>data-rel="dialog"</code> attribute.</p>
			<a class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-c" data-wrapperels="span" data-iconshadow="true" data-shadow="true" data-corners="true" href="dialog/index.html" data-role="button" data-rel="back" data-theme="c"><span class="ui-btn-inner ui-btn-corner-all"><span class="ui-btn-text">Cancel</span></span></a>
		</div>

    </body>
</html>


