<% 	' Module: Version.inc
	'
	' Description: This INC (ASP include module) contains the Current Version
	' number of the software.
	' This is displayed in the Tech+Center/Business+Center options panel.
	'
	' (C) 1999, 2000, 2001 , 2002-2012 Internet Software Sciences
	'
	'History:
	
	'Date		Who		What
	'-----		-----	-------------------------------------------------
	'01/09/01	SAV		Created original File
	'03/02/01	SAV		Updated to version 3.2.2 with changed noted below.
	'12/20/01	SAV		Added date to version like 3.5.12.20.01
	'02/16/05	SAV		Updated Version
	'03/06/12	SAV		Moved to language directory to be shared by tech, business, reservation
	'
%>
<% ' This file is used to control whether the code should run 7.0 or 7.5 code
%>

<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%	' Set the whole version HTML string
	'Version = "Ver. 5.0 - 9.19.05"
	Version = "Ver. 5.0 - 03.13.06"
	Version = "Ver. 5.0 - 05.07.06"
	Version = "Ver. 5.0 - 06.15.06"
	Version = "Ver. 5.0 - 09.07.06"
	Version = "Ver. 6.0 - 09.11.07"
	Version = "Ver. 6.0 - Beta 01/08"
	Version = "Ver. 6.0 - Beta 02/08"
	Version = "Ver. 6.0 - 05.14.08"
	Version = "Ver. 6.0 - 02.27.08"
	Version = "Ver. 6.0 - 05.14.08"
	Version = "Ver. 6.0 - 05.30.08"
	Version = "Ver. 6.0 - 07.14.08"
	Version = "Ver. 6.1 - 08.22.08"
	Version = "Ver. 6.1 - 11.21.08"

	Version = "Ver. 6.1 - 02.06.09"
	Version = "Ver. 6.1 - 02.12.09"
	Version = "Ver. 6.1 - 03.11.09"
	Version = "Ver. 6.1 - 04.08.09"
	Version = "Ver. 6.1 - 06.01.09"
	Version = "Ver. 6.1 - 07.28.09"
	Version = "Ver. 6.1 - 08.31.09"
	Version = "Ver. 6.1 - 11.05.09"
	Version = "Ver. 6.1 - 11.16.09"
	Version = "Ver. 6.1 - 01.05.10"
	Version = "Ver. 6.1 - 01.07.10"
	Version = "Ver. 6.1 - 01.22.10"
	Version = "Ver. 6.1 - 02.02.10"
	Version = "Ver. 6.1 - 03.02.10"
	Version = "Ver. 6.1 - 05.10.10"

	Version = "Ver. 6.1 - 07.10.10"
	Version = "Ver. 6.1 - 08.23.10"
	Version = "Ver. 6.1 - 10.01.10"
	Version = "Ver. 6.1 - 11.04.10"
	Version = "Ver. 7.0 - Beta 1"
	Version = "Ver. 7.0 - 04.27.11"
	Version = "Ver. 7.0 - 05.06.11"
	Version = "Ver. 7.0 - 06.10.11"
	Version = "Ver. 7.0 - 07.17.11"
	Version = "Ver. 7.0 - 08.12.11"
	Version = "Ver. 7.0 - 08.22.11"
	Version = "Ver. 7.0 - 09.12.11"
	Version = "Ver. 7.0 - 01.17.12"

	IF Version7point5 = "YES"  THEN
		Version = "Ver. 7.5 - 4.22.13"
	Else
		Version = "Ver. 7.0 - 4.22.13"
	End IF
	

	' NOTES BELOW THIS POINT*********************************************
	' Notes: This version differs from verison 3.1 by offer PDA Export functions
	' No Database changes are required between 3.1 and 3.2
	' Other bug fixes have been done on a few modules.
	' Version 3.2.1 includes new code to handle Staff Member Deletes and 
	' functions to reassign case customer ID values.
	' Version 3.2.2 - This version now calls the new UserScreen.asp module
	' instead of calling TechSupp.dll?UserScreen function
	' Version 3.2.3 - This version has 3 tech User Free versions
	' Version 3.5.0 - Several New Configuration Features - Changes to Configuration table.
	' Version 4.0 Beta 1 September 16, 2002
	' Version 4.0 Production on January 27, 2003
	' Version 4.01 Includes the addition of Pocket+Center and new security checks
	' Version 4.5 Has no new features but has major internal changes to allow it to operate under Linux.
	' Version 5.0 Has a whole bunch of features...
	' Version 5.0 6.13.05 - New version date changed
	' Version 5.0 8.26.05 - New version data changed
	' Version 5.0 03-13.06 - New version data changed
	' Version 5.0 9-7-2006 - Several new Pocket and asset upgrades and some LDAP and fixes
	' Version 6.0 9-11-2007 - Developing version 6.0 code
	' Version 6.0 12-06-2007 - Developing version 6.0 code
	' Version 6.0.- 12.27.08 - Production release of 6.0
	' Version 6.0 - 05.30.08  - Added delete event functions
	' Version 6.0 - 07.14.08  - Fixed to Program files folder default.htm file
	' Version 6.1 - 07.14.08  - Numerous fixes and changed the way the tech license keys are created - no longer using the DLL
	' version 6.1 -11.21/08 - Includes CrossLoop Remote additiona and related files.
	' Version 6.1 - 02.06.09 - Some fixes and parameters for reservations to send emails to administrators
	' Version 6.1 - 2.12.09 - Some major updates for several directories.
	' Version 5.1 03.11.09 - Added new features to display time spent info on customers pages and configure customer page text
	' Version 6.1.04.08.09 - Added some new reports, license manager and new DoSystem COnfigurationOptions.asp
	' Version 6.1.06.01.09 - Added new Email caase in HTML and some other smaller changes
	' Version 6.1.08.31.09 - Removed the setting of HOSTED=YES and has some version 7.0 code in there
	' Version 6.1.11.05.09 - Some new reports and few small changes.. included 64 bit DLLs in release
	' Version 6.1.11.16.09 - Updates to TCaseform.asp and DoTCaseForm.asp for UK customers and extended time spent.
	' Version 6.1.01.05.10 - Several fixes to reports that incorrectly user the open date instead of the last modified date for searches.
	' Version 6.1.01.07.10 - Fixed problem with MyCases and ExportMyEvents when you have no events
	' Version 6.1.01.22.10  - Upgraded Pocket+Center to better support iPod and Iphone browsers
	' Version 6.1.02.02.10 - Added feature for customer+center message board
	' Version 6.1.03.02.10 - Major new changes to Extended Time Spent reports in tech+center with email feature and fixed other issues
	' Version 6.1.05.10.10 - Added Asset Search feature to Tech+Center Case Form and Search engine
	' Version 6.1.07.10.10 - Found some missing modules and fixes for CR and the BR tags
	' Version 6.1.08.23.10 - Fixed some tag issues with Replace for 2008 and some reports for UK date problems
	' Version 6.1.11.04.10 - Added some new customer survey reports that appear on the admin menu.
	' Version 7.0 - Beta 1 - Created new 7.0 tree! - SAV
	' Version 7.0 -05.06.11 - Created Production Version for 7.0	
	' Version 7.0 -08.12.11 - Updated with new reports from Cynthia
	' Version 7.0 -09.12.11 - Updated DoAttachFileToCase and DoCDownload.asp to send notification messages
	' Version 7.X - 12.15.11 - New Asset send emails and attach files codes
	' New inspection report code with inspection closed state code.
	' moved to language directory.. 03.16.12 - new 7.5 release with new asset code
	' A substaintial new version created for 7.0 and 7.5.
	' 5.02.12 - Some new minor fixes
	' 5.08.12 - Some new updated fixes
	' version 7.5 - 11/01/2012 - Added WP integration
	' 7.5 - 12.17.2012 - removed 1 customer from default access database and fixed Reservation+center items for logos and lost username
	' 7.5 - 1.24.2013 - Some new fixes for exporting to CSV files and added back companies to New Customer page.
	' 7.5 - 3.5.2013 - Fixed again DoTCaseForm.asp problem with code to note asset number changes.
	' 7.5 - 4.4.2013 - Some 8.0 options and mobile code fixes
	' 7.5 - 4.17.2013 - Some newer files and finally releasing code
%>

	