<% 'Module: EnhancedEscalationConfig.asp

   'Description: This module sets the AUTO-Escalation features
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '2/15/00		SAV		Created original Search page
    '4/26/01	AJS	Changed KB Options to be numbered properly there were two of option 2
    '5/28/02	SAV		Created EscalationConfig.asp from KBoptions page
    '3/25/13		SAV		Created EnhancedEscalationConfig.asp module from escalation module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins or configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EnhancedEscalationConfig.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<head>
<title><%=wc_Escalation_Options%></title>

<!-- #INCLUDE FILE="Stylesheet.inc" -->



</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Check if this file is being called with the ID parameter and if so, then we are
	' going to edit a rule


	EscalationRuleName = ""
'	EscalationInterval = ""
'	OriginalAssignedGroup = ""
'	AssignToNewGroup = ""
'	OriginalMinimumPriority = ""
'	NewPriority  = ""
'	OriginalStatus = ""
'	NewStatus = ""
'	EscalationEmail = ""
'	EscalationHistoryMessage = ""





	ID = Request.Querystring("ID")
	If ID <> "" Then

		mySQL2="SELECT * from EscalationRules where EscalationRuleIndex = " & ID

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		if rstemp.eof <> True then

			EscalationRuleName = rstemp("EscalationRuleName")
			EscalationInterval = rstemp("EscalationInterval")
			OriginalAssignedGroup = rstemp("OriginalAssignedGroup")
			AssignToNewGroup = rstemp("AssignToNewGroup")
			OriginalMinimumPriority = rstemp("OriginalMinimumPriority")
			NewPriority  = rstemp("NewPriority")
			OriginalStatus = rstemp("OriginalStatus")
			NewStatus = rstemp("NewStatus")
			EscalationEmail = rstemp("EscalationEmail")
			EscalationHistoryMessage = rstemp("EscalationHistoryMessage")


		Else

			EscalationRuleName = "Invalid Escalation Rule"
		End If




		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Advanced_Escalation_Options%></FONT>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<a href=StartAdvancedEscalation.asp><%=wc_Start_Advanced_Escalation%></a>)</B></TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>
<td width=align=center class=BP2minorformtitle> Advanced Escalation Rule </td>
<td width=align=center class=BP2minorformtitle> Edit Rule </td>
<td width=align=center class=BP2minorformtitle> Delete Rule </td>
</tr>


<%  'Display all of the existing rules if any exist


	mySQL2="SELECT * from EscalationRules"

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	do while not rstemp.eof

%>

<tr>
<td width=align=center class=tightbodytext><%=rstemp("EscalationRuleName") %></td>

<td width=align=center class=tightbodytext><a href=AdvancedEscalationConfig.asp?ID=<%=rstemp("EscalationRuleIndex")%>>Edit Rule</a></td>
<td width=align=center class=tightbodytext><a href=DeleteAdvancedEscalation.asp?ID=<%=rstemp("EscalationRuleIndex")%>>Delete Rule</a></td>
</tr>
<%			rstemp.MoveNext
			loop


	' Finished with Database so close record set and connection
	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

</table>
<br>
<br>


<form action = DoAdvancedEscalationConfig.asp method=post>

<% If ID <> "" Then
%>
<input type=hidden name=ID value=<%=ID%>>


<% End If %>




<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>

<% If ID <> "" Then
%>
<td align=center class=BP2minorformtitle width=90% colspan = 2> Edit Rule
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=AdvancedEscalationConfig.asp>+ Add New Rule</a></td>

<% Else
%>
<td align=center class=BP2minorformtitle colspan=2> Create New Rule </td>
<% End IF
%>

</tr>

<tr>
<td align=right class=BP2minorformtitle > Rule Name </td>
<td align=left class=BP2minorformtitle > <input type=text name=EscalationRuleName size=30 value="<%=EscalationRuleNAme%>"></td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Escalation Interval </td>
<td align=left class=BP2minorformtitle > <input type=text name=EscalationInterval size=5 value="<%=EscalationInterval%>"> (Minutes)</td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Escalate If assigned to this group </td>
<td align=left class=BP2minorformtitle >

 <SELECT size=1 name=OriginalAssignedGroup>
 <option value="""">No Group Selected</option>

 <% ' Get the Groups from the database

 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Group_list Order by Group_Name"
 	set rstemp=conntemp.execute(mySQL)

 	' Check to see if any records are returned
 	' if none found then login fails.

 	If  rstemp.eof then ' Check to see any Groups exist

 	Else
 		Do While rstemp.EOF <> True
 			If rstemp("Group_Number") = OriginalAssignedGroup Then
 				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>"
 			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>"
			End If

 			rstemp.MoveNext

 		Loop

 		response.write "</select>"
 	End IF

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

  ' End of Display the Group List
  %>
 (optional)


</td>
</tr>

<tr>
<td align=right class=BP2minorformtitle >Re-assign Group To</td>
<td align=left class=BP2minorformtitle >

 <SELECT size=1 name=AssignToNewGroup>
 <option value="""">No Group Selected</option>

 <% ' Get the Groups from the database

 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Group_list Order by Group_Name"
 	set rstemp=conntemp.execute(mySQL)

 	' Check to see if any records are returned
 	' if none found then login fails.

 	If  rstemp.eof then ' Check to see any Groups exist

 	Else
 		Do While rstemp.EOF <> True
 			If rstemp("Group_Number") = AssignToNewGroup Then
 				response.write "<option value=" & rstemp("group_number") & " SELECTED>" & rstemp("group_name") & "</option>"
 			Else
				response.write "<option value=" & rstemp("group_number") & ">" & rstemp("group_name") & "</option>"
			End If

 			rstemp.MoveNext

 		Loop

 		response.write "</select>"
 	End IF

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

  ' End of Display the Group List
  %>

 (optional)
</td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Minimum Priority to Escalate </td>
<td align=left class=BP2minorformtitle >

<SELECT size=1 name=OriginalMinimumpriority>
<OPTION value=""><%=wc_Any_Priority%></OPTION>

<% ' Display the List of Priorities

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by Priorityid"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
		    if CInt(rstemp("PriorityID")) > 0 Then
		    	If Cint(rstemp("PriorityID")) = OriginalMinimumPriority then
					response.write "<option value=" & CInt(rstemp("PriorityID")) & " SELECTED>" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				Else
					response.write "<option value=" & CInt(rstemp("PriorityID")) & ">" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				End If

			end if
			rstemp.MoveNext
		Loop
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

</select>

 (optional)

</td>
</tr>


<tr>
<td align=right class=BP2minorformtitle > Change Priority To </td>
<td align=left class=BP2minorformtitle >

<SELECT size=1 name=NewPriority>
<OPTION value="">No Priority Set</OPTION>

<% ' Display the List of Priorities

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by Priorityid"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
		    if CInt(rstemp("PriorityID")) > 0 Then
		    	If Cint(rstemp("PriorityID")) = NewPriority then
					response.write "<option value=" & CInt(rstemp("PriorityID")) & " SELECTED>" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				Else
					response.write "<option value=" & CInt(rstemp("PriorityID")) & ">" & rstemp("ShortDesc") & "</option>" & chr(10) & chr(13)
				End If

			end if
			rstemp.MoveNext
		Loop
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

</select>

 (optional)

</td>
</tr>




<tr>
<td align=right class=BP2minorformtitle > Escalate if Original Status is </td>
<td align=left class=BP2minorformtitle >
<SELECT size=1 name=originalStatus>

<% ' Use a status setting of 4 to represent any open status value
%>

<% If OriginalStatus <> 0 And OriginalStatus <> 2 and OriginalStatus <> 3 Then
%>
<OPTION value="4" ><%=wc_Any_Open_Status%></OPTION>
<%Else %>
<OPTION value="4"><%=wc_Any_Open_Status%></OPTION>
<%End If %>

<% If OriginalStatus = 0 Then %>
<OPTION value=0 SELECTED><%=wc_Open_Active%></OPTION>
<%Else %>
<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End If %>

<% If OriginalStatus = 2 Then %>
<OPTION value=2 SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>


<% If OriginalStatus = 3 Then %>
<OPTION value=3 SELECTED><%=wc_Open_On_Hold%></OPTION>
<%Else %>
<OPTION value=3><%=wc_Open_On_Hold%></OPTION>
<%End IF %>

</SELECT>
(optional)</td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Change Status To </td>
<td align=left class=BP2minorformtitle >

<SELECT size=1 name=NewStatus>

<% ' Use a status setting of 4 to represent any open status value %>

<%If NewStatus <> 0 And NewStatus <> 2 and NewStatus <> 3 Then %>
<OPTION value="4" ><%=wc_Any_Open_Status%></OPTION>
<%Else %>
<OPTION value="4"><%=wc_Any_Open_Status%></OPTION>
<%End If %>

<% If NewStatus = 0 Then %>
<OPTION value=0 SELECTED><%=wc_Open_Active%></OPTION>
<%Else %>
<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End If %>

<% If NewStatus = 2 Then %>
<OPTION value=2 SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>


<% If NewStatus = 3 Then %>
<OPTION value=3 SELECTED><%=wc_Open_On_Hold%></OPTION>
<%Else %>
<OPTION value=3><%=wc_Open_On_Hold%></OPTION>
<%End IF %>

</SELECT>

 (optional)</td>
</tr>



<tr>
<td align=right class=BP2minorformtitle > Escalation Notifcation Email</td>
<td align=left class=BP2minorformtitle > <input type=text name=EscalationEmail size=40 value="<%=EscalationEmail%>"></td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Escalation History Message </td>
<td align=left class=BP2minorformtitle ><textarea wrap=virtual rows=3 cols=40 name=EscalationHistoryMessage><%=EscalationHistoryMessage%></textarea></td>
</tr>


</table>






<center>
<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="ConfigAdmin.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
</center>


</form>

</BODY>
</HTML>

<%End If ' End of security checks %>
