<%  ' Module: DoAssetsBrief.asp
	'
	' Description: Submit Module For Assets.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'12/13/00	SAV		Created DoAssets.asp from DoSearch.asp module
	'09/13/11   CMB     Split DoAssets.asp into two modules
	'10/03/11   CMB     FIXED PAGE PROBLEM
	'10/14/11   CMB     Fixed paging problem again
	'01/31/2012 CMB     Added next button if > 20 pages
	'03/26/12   CMB     Error if more than one assignment for the asset
	'11/08/12   CMB     Added &nbsp; in results so cell borders show up in IE
%>

<% 'Define the DSN for this database %>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc

%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	If NOT IsNumeric(Page) then  ' 10/02/11
		Page = "1"
	End If

	ResultsView = request.querystring("ResultsView")
	Sortby=Request.querystring("SortBy")

	'******* NEW ASSETS
	PERPAGE = Request.querystring("PerPage")
	if perpage = "" or not isnumeric(PerPage) then
		nPERPAGE = 15
	Else
		nPerPage = Cint(PerPage)
	End if

	if sbcc = "YES" then
			MAXPAGES = 80  ' SBCC
		Else
			MAXPAGES = 20
	End If
	'******* END NEW ASSETS

	If SortBy = "" Then
		SortBy = "Assets.Asset_Number"
	End If

	If ResultsView = "" then
		ResultsView = "BRIEF" ' Default To Brief
	End IF


	If Page <> "" Then

		If SortBy = "" Then
			SortBy = Request.querystring("SortBy") ' Handle special case when called as link
		End If

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If

	End If

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Asset_Search_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Asset_Search_Results%></td>
</tr>
</table>


<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;


<%

	' Build the query based on the passed input fields

		mySQL2 = "SELECT Assets.asset_number, Assets.date_acquired, Assets.Custom_field1, Assets.Custom_field2 ,Assets.Custom_field3, Assets.Custom_field4, Assets.Custom_field5, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		'If TextSearchQuery = "" AND Query <> "" THEN
		If  Query <> "" THEN
			WhereStatement = " WHERE " & Query
		End IF

	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.



	mySQL2 = mySQL2  & " Order by " & SortBy

	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	'If Search_String <> "" AND TextSearchQuery = "" Then ' no matching words found 10/14/2011
	If Search_String <> ""  Then ' no matching words found
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	' already encoded Query = Server.URLEncode(WhereStatement) ' removed 10/14/11

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>
<center>
	<table class=BGWrapper>
	<tr>
	<td class=MinorScreenTitle><%=wc_Your_Search_Has_Found%> </td>
	<td class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</td>
	<td class=MinorScreenTitle><%=wc_matching_records%>. </td>
	</tr>

</table>

<P>

	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by PERPAGE.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
			NumOfPages = Int((RecordsFound-1)/nPERPAGE)  + 1  ' cmb actually subtract one first
			If NumOfPages > MAXPAGES Then ' changed 01/31/2012
				NumOfPagesShown = MAXPAGES      ' changed 01/31/2012
			Else
				NumofPagesShown = NumOfPages ' changed 01/31/2012
			End If
	End If

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = "1"
		End If

		CurrentPage = Page

		for i = 1 to NumOfPagesShown
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
			%>
				<a href="DoAssetsBrief.asp?Page=<%=i%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>" ><%=i%></a>
			<%
			End If
			response.write chr(10)& chr(13)
		next

	if cint(CurrentPage) > NumofPagesShown then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		If CInt(CurrentPage) < NumOfPages then 'dont show next if last page
			%>
			&nbsp;&nbsp;&nbsp; &nbsp;<a href="DoAssetsBrief.asp?Page=<%=CurrentPage+1%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>" ><%=wc_Next%>.. &gt;&gt; </a>
			<%
	'		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoAssets.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&"&Sortby="&SortBy& ">" & wc_Next & ".. &gt;&gt; </a>"
		End If
		response.write "<P></font>"
	End If

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" and Page <> "1" Then
			PageNum = ((CInt(Page)-1)*nPerPage)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

		If ResultsView = "BRIEF" Then
%>
		<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
		<tr>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Asset%></th>
		<th bgcolor=D0E0F0><font size=-1><%=wc_Assignment%></th>
		<th bgcolor=D0E0F0><font size=-1><%=Description_Label%></th>
		<th bgcolor=D0E0F0><font size=-1><%=Location_Label%></th>
		<th bgcolor=D0E0F0><font size=-1><%=Property_Tag_Label%></th>
		</tr>
<%
		End If ' End of if Resultsview = BRIEF

		do while not rstemp.eof AND Count < nPerPage

		' Start to display each case record summary
%>

	<% ' Check to see what type of results are to be displayed
		' Options are set with the ResultsView variable and
		' it is set to BRIEF or DETAILED.

		If ResultsView <> "BRIEF" THEN
	%>

<CENTER>

<TABLE BORDER=0 class=innerformwrapper  width=70% CELLSPACING=2 CELLPADDING=7  >
<tr>
<td colspan=2 class=InnerformWrapperTight align=center>
     <B>
     <%=wc_Asset%>:
     <A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>"><%=rstemp("asset_Number")%></A> &nbsp;&nbsp;&nbsp;&nbsp;
     </B>
     <A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newassetwindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</a>
</td>
</tr>





<TR>


<TD ALIGN=CENTER width=37% class=formlabel><B>

&nbsp;<%=rstemp("equipment_type")%>/
<I>
<%=rstemp("Property_tag")%>
</i>

</B></TD>


<TD ALIGN=CENTER width=37% class=formlabel>
<%
sCell = ""
 If rstemp("Customer_ID") <> ""   Then
	sCell = "<B>" & wc_Customer  & ":</b>  <A HREF=NewCustomer.asp?ID=" & rstemp("Customer_ID") & ">" & rstemp("Customer_ID") & "</A> "
End If

If rstemp("Tech_ID") <> "" then
	TechName = TechFullName(rstemp("Tech_ID"))

	sCell = sCell & "<B>" & wc_Tech & ":</b> " & TechName  & "  "
End If

If rstemp("Asset_Number2") <> "" Then
	sCell = sCell & "<B>" & wc_Other_Asset & "</B><a href=AssetInfo.asp?Asset_number=" &  rstemp("Asset_Number2") & ">" & rstemp("asset_number2") & "</a> "
End If

If rstemp("Asset_Number2") = "" and rstemp("Tech_ID") = "" and rstemp("Customer_ID") = "" then
	sCell = "<B>" & wc_No_Assignment & "</b>"
End IF
%>&nbsp;
<%=sCell%>
</TD>

</TR>

<TR>


<td width=37% class=formlabel>



<% IF Property_Tag_Label <> "" Then %>

<B><%=Property_Tag_Label%>:</b>&nbsp; <%=rstemp("Property_tag")%><br>

<% End IF %>


<% IF Computer_ID_Label <> "" Then %>

<B><%=Computer_ID_Label%>:</b>&nbsp; <%=rstemp("computer_id")%><br>

<% End IF %>

<% IF Serial_Number_Label <> "" Then %>

<B><%=Serial_Number_Label%>:</b>&nbsp; <%=rstemp("serial_number")%><br>

<% End IF %>

<% IF Purchase_Order_Number_Label <> "" Then %>

<B><%=Purchase_Order_number_Label%>:</b>&nbsp; <%=rstemp("purchase_order_num")%><br>

<% End IF %>


<% If Acquired_From_Label <> "" Then %>

<B><%=Acquired_From_Label%>:</b>&nbsp; <%=rstemp("acquired_from")%> <br>


<% End IF %>

<% IF Custom_Field_1_Label <> "" Then %>

<B><%=Custom_Field_1_Label%>:</b>&nbsp; <%=rstemp("custom_field1")%> <br>

<% End IF %>

<% IF Custom_Field_2_Label <> "" Then %>

<B><%=Custom_Field_2_Label%>:</b>&nbsp; <%=rstemp("custom_field2")%> <br>

<% End IF %>



</td>
<td width=37% class=formlabel>

<% IF Location_Label <> "" Then %>

<B><%=Location_Label%>:</b>&nbsp; <%=rstemp("location")%><br>

<% End IF %>

<% IF Assigned_Group_Label <> "" Then %>


<B><%=Assigned_Group_Label%>:</b>&nbsp; <%=rstemp("Assigned_group")%><Br>

<% End IF %>

<% IF Lease_Or_Purchase_Label <> "" Then %>

<B><%=Lease_Or_Purchase_Label%>:</b>&nbsp; <%=rstemp("lease_or_purchase")%><br>

<% End IF %>


<% IF Date_Acquired_Label <> "" Then %>

<B><%=Date_Acquired_Label%>:</b>&nbsp; <%=rstemp("Date_Acquired")%><br>

<% End IF %>


<% IF IP_Address_Label <> "" Then %>

<B><%=IP_Address_Label%>:</b>&nbsp; <%=rstemp("ip_address")%> <br>

<% End IF %>


<% IF Custom_Field_3_Label <> "" Then %>

<B><%=Custom_Field_3_Label%>:</b>&nbsp; <%=rstemp("custom_field3")%> <br>

<% End IF %>

<% IF Custom_Field_4_Label <> "" Then %>

<B><%=Custom_Field_4_Label%>:</b>&nbsp; <%=rstemp("custom_field4")%> <br>

<% End IF %>

<% IF Custom_Field_5_Label <> "" Then %>

<B><%=Custom_Field_5_Label%>:</b>&nbsp; <%=rstemp("custom_field5")%> <br>

<% End IF %>


</TD>
</TR>

</TABLE></CENTER>

<CENTER>&nbsp;</CENTER>

<% 	Else ' Display the results in Brief view mode %>

<TR>
<TD ALIGN=CENTER NOWRAP><FONT SIZE=-1><B><A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>"><%=rstemp("asset_Number")%></A>&nbsp;&nbsp;</B>
<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newcasewindow1">
<IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<TD ><FONT size=-1>
<%
sCell = ""
 If rstemp("Customer_ID") <> ""   Then
	sCell = "<B>" & wc_Customer  & ":</b>  <A HREF=NewCustomer.asp?ID=" & rstemp("Customer_ID") & ">" & rstemp("Customer_ID") & "</A> "
End If

If rstemp("Tech_ID") <> "" then
	TechName = TechFullName(rstemp("Tech_ID"))

	sCell = sCell & "<B>" & wc_Tech & ":</b> " & TechName  & "  "
End If

If rstemp("Asset_Number2") <> "" Then
	sCell = sCell & "<B>" & wc_Other_Asset & "</B><a href=AssetInfo.asp?Asset_number=" &  rstemp("Asset_Number2") & ">" & rstemp("asset_number2") & "</a> "
End If

If rstemp("Asset_Number2") = "" and rstemp("Tech_ID") = "" and rstemp("Customer_ID") = "" then
	sCell = "<B>" & wc_No_Assignment & "</b>"
End IF
%>
<%=sCell%>
&nbsp;</TD>



<TD>
<FONT SIZE=-1>&nbsp;<%=rstemp("Equipment_type")%><br></FONT></TD>

<TD>
<FONT SIZE=-1>&nbsp;<%=rstemp("Location")%><br></FONT></TD>

<TD>
<FONT SIZE=-1>&nbsp;<%=rstemp("Property_tag")%><br></FONT></TD>

</TR>


<% End if ' End If ResultsView = Detailed
%>


<%
			rstemp.movenext
			count = count + 1
		loop

		If ResultsView = "BRIEF" Then
			response.write "</table>"
		End If


	rstemp.close
	set rstemp=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>





<%End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>



<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>



<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
