<% 'Module: DoDeleteCase1.asp

   'Description: This module is the Page that requests confirmation to delete a case - and if so passes control
   '             on to DoDeleteCase2.asp to do the actual deleting


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/03/02	 JC		Created original ASP version based on previous dll?
   '02/24/12    CMB     Verbosed it up a bit.

%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->



<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>

<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Delete Case - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b><%=wc_Delete_a_Case%></b></font><br>
	</td>
</tr>
</table>

<p>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td>





<%

    case_number = request.form("case_number")

    ' --- Protect against garbage input from user to avoid SQL Select statement blowing

    If (case_number = "") or (Not isNumeric(case_number)) Then
     response.write "<font color=red size = +1><b>" & wc_Case_number_invalid & "</b></font></td></tr></table>"
     response.flush
     response.end
    End If

' First make sure the case exists - and if so ask for confirmatio
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL= "SELECT cases.*, topcases.case_number as TC, kbmap.case_number as KC, pnotes.case_Number as PC, "
	mySQL=  mySql & " survey_results.case_Number as SC, timespent.case_Number as TSC, Inspection.Case_Number as IC "
	if Version7point5 = "YES" then
		mySQL=  mySql & ", expenses.case_number as EC, projectcases.case_Number as PCC "
	End If

	mySQL=  mySql & "from "
	if  Version7point5 = "YES" then
	mySQL=  mySql & "(((((((Cases "
	Else
	mySQL=  mySql & "(((((Cases "
	End if

	mySQL=  mySql & "left join topcases on cases.case_number = topcases.case_Number) "
	mySQL=  mySql & "left join kbmap on cases.case_number = kbmap.case_Number) "
	mySQL=  mySql & "left join pnotes on cases.case_number = pnotes.case_number) "
	mySQL=  mySql & "left join survey_results on cases.case_number = survey_results.case_Number) "
	mySQL= mySql & "left join timespent on cases.case_number = timespent.case_number) "
	mySQL=  mySql & "left join inspection on cases.case_number = inspection.case_number "

	if Version7point5 = "YES" then
		mySQL=  mySql & ") left join projectcases on cases.case_number = ProjectCases.Case_Number) "
		mySQL=  mySql & "left join expenses on cases.case_number = expenses.case_number "
	End If
'SELECT *
'FROM (((((((cases LEFT JOIN topcases ON cases.case_number = topcases.Case_Number) LEFT JOIN kbmap ON cases.case_number = kbmap.Case_Number) LEFT JOIN Pnotes ON cases.case_number = Pnotes.Case_number) LEFT JOIN Survey_Results ON cases.case_number = Survey_Results.Case_Number) LEFT JOIN TimeSpent ON cases.case_number = TimeSpent.Case_Number) LEFT JOIN Inspection ON cases.case_number = Inspection.Case_Number) LEFT JOIN ProjectCases ON cases.case_number = ProjectCases.Case_Number) LEFT JOIN Expenses ON cases.case_number = Expenses.case_number;

	mySQL=  mySql & "WHERE cases.case_number = " & case_number

	set rstemp=conntemp.execute(mySQL)

    If rstemp.EOF then
       call abort_clean
    else ' 02/24/12
     	case_summary = rstemp("case_summary")
     	case_resolution = rstemp("case_resolution")

      If isnull(rstemp("TC")) then ' top cases
      	topcases = "NO"
      Else
      	topcases = "YES"
      end if

       If isnull(rstemp("KC")) then ' kbmap
		      	kbmap = "NO"
		      Else
		      	kbmap = "YES"
      end if

      If isnull(rstemp("PC")) then ' pnotes
      	pnotes = "NO"
      Else
      	pnotes = "YES"
      end if

      If isnull(rstemp("SC")) then ' survay results
      	survey_results = "NO"
      Else
      	survey_results = "YES"
      end if

      If isnull(rstemp("TSC")) then ' timespent
      	timespent = "NO"
      Else
      	timespent = "YES"
      end if


       If isnull(rstemp("IC")) then ' inspection
		      	inspection = "NO"
		      Else
		      	inspection = "YES"
      end if

      if Version7point5 = "YES" then
     		 If isnull(rstemp("PCC")) then
      		projectcases = "NO"
    	  Else
      		projectcases = "YES"
     		 end if

			If isnull(rstemp("EC")) then
				expenses = "NO"
			Else
				expenses = "YES"
			end if

      End If ' version 7.5 tables

    End If

rstemp.close
set rstemp = nothing

%>


      <p>
      <font size= +1><b><%=wc_Are_you_sure_you_want_to_do_this%></b>
      <p>
      <%=wc_Delete_this_case%> <font color=blue>

      <% target="TCaseForm.asp?customer_id=0&case_number=" & case_number %>

      <a href=<%=target%>> <%=case_number%> </font></font></a>
      <p>
      <%=wc_Case_Summary%>: <font color=blue> <%=case_summary%></font><br>
      <%=wc_Case_Resolution%>: <font color=blue><%=case_resolution%></font><br>
      Faqs: <font color=blue><%=topcases%></font><br>
      Knowledge Base Cases: <font color=blue><%=kbmap%></font><br>
      Personal Notes: <font color=blue><%=pnotes%></font><br>
      <%=wc_Customer_Survey%>: <font color=blue><%=survey_results%></font><br>
      <%=wc_Asset_Inspections%>: <font color=blue><%=inspection%></font><br>
      <%=wc_Time_Spent%>:  <font color=blue><%=timespent%></font><br>
      Expenses: <font color=blue><%=expenses%></font><br>
      <%=wc_Project%>: <font color=blue><%=projectcases%></font><br>



      <%
		  ' --- See if there is an associated FAQ - if so, caution about it

		   mySQL= "SELECT * from TopCases WHERE case_number = " & case_number

		   set rstemp=conntemp.execute(mySQL)

		   If rstemp.EOF then
			  ' Do nothing
		   Else
			  response.write "<br><Font color=red><b>" & wc_Caution_this_case_FAQ_block & "</b></font>"
		   End If
      %>
    <p>



	<table border=0 cellspacing=1 cellpadding=1 width=50% align=center>

	<tr>

      <FORM METHOD=POST ACTION=DoDeleteCase2.asp>
	  <td align=center>

			<input type=hidden name=case_number value="<%=case_number%>">
			<input type=image name=b_delete src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0>

	  </td>
	  </form>
	  <td align=center>
	     <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
	 </td>
	</tr>
	</table>




<%
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing



 %>
	</td>
</tr>
</table>

<center>

<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>


<td align=center>
  <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</td>
</tr>
</table>
</b>

<% end if ' this was (not) a valid user%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>

<% Sub Abort_Clean

   %>
   <p>
   <font size = +1 color=red><b> <%=wc_This_case_number_does_not_exist%> </b></font>
   <font size = +1> (<%=case_number%>)
   <p>
      </td>
     </tr>
   </table>
 <p>
	<table border=0 cellspacing=1 cellpadding=1 width=98%>
	<tr>
	<td align=center>
	  <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
	</td>
	</tr>
	</table>

    <%
   Response.flush
   response.end
   End Sub '
%>
</body>
</html>
