<% 'Module: DoExportAssets.asp

   'Description: This module is submit module for ExportAssets.asp
   ' and outputs all of the assets in some text delimited or screen output
   ' Note this file does not generate an HTML page... it output a new Mime type
   ' to allow for a direct file download when the page is submitted.

   '
   '(C)  2001,2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/28/02	SAV		Created DoExportAssets.asp Module
   '09/16/2011  CMB     Asset support for export from search screen
   '09/27/11    CMB     fixed exporting fields with comma problem
   '10/26/11   CMB     Added techlevel default for requesting form
   '10/27/11   CMB     Age As Of
   '02/06/12   CMB     Age calc in days
   '04/05/12   CMB     Potential for multiple asset assignments
   '01/14/13   CMB     Changed the way we export comma delimited files

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only Read techs and above  to access this function.
	if request.form("TechLevel") > "" then ' 10/26/11
		TechLevel = request.form("TechLevel")
	end if

If SBCC = "YES" then
	ReportAgeAsOf = Request.Form("ReportAgeAsOf")  ' 10/27/2011
	If ReportAgeAsOf = "" then
		' get last day of year
		ReportAgeAsOf = "12/31/" & DatePart("yyyy",Date())
	End If
End If
	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
	If TechLevel= 0 then ' called from AssetReport.asp form  ' 10/26/11
		ValidUser = "YES" ' 10/26/11
	Else	 ' 10/26/11
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If not rstemp.EOF  Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
	End If

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoExportMyCases.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' First Process the Form element choices

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)

	Query = request.form("Query") ' *** NEW ASSETS

	FormatType = Request.form("FormatType")

		If FormatTYpe = "TAB" Then '(Excel format)
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"
		Elseif FormatType = "OUTLOOK" Then
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-outlook"
			'Response.ContentType = "text/plain"
		Elseif FormatType = "COMMASCREEN" Then
			Delimiter = ","
			HTMLNEWLINE = "<BR>"
			'Response.ContentType = "text/plain"
		Else ' Plain Text screen output (HTML)
			Delimiter = "," ' Comma Delimited
			'Response.ContentType = "text/plain"
			'Modified the way the CSV output is handled using the AddHeader method rather than content
			' Customization - You can change the name of the file below

			' ***** USER CUSTOMIZATION ************ CaseSearchExport.csv can be modified
			Response.AddHeader "Content-Disposition","attachment;filename=ExportAssets.csv"

		End IF

	' Now Export the File information
	' First send the first line with the columns that will be exported
	' The AssetLabels.inc file is used to define the column header names and not the
	' database column names.  Refer to and modify is necessary the AssetLabels.inc file.

%>
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%

	 AssetExportOption = Request.form("AssetExportOption") ' Passed KEY, EQUIP, or ALL
	AssetAssignmentExport = Request.form("AssetAssignmentExport")

	' NOT YET Call WriteHeader(AssetExportOption,AssetAssignmentExport)

	' Now output all of the asset information

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


		mySQL2 = "SELECT Assets.* from Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		Sortby = Request.form("SortBy")

		' *** NEW AsSETS
		WhereStatement = Query ' Where Query passed from link  ' *** NEW AsSETS
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		If WhereStatement > "" then
			mySQL2 = mySQL2 & " WHERE " & WhereStatement
		End If

		'*** END NEW ASSETS
		If SortBy > "" then  ' added this NEW ASSETS
			MySql2 = MySQL2 & " Order By Assets." & SortBy
		End If

		PrimaryAscendingDescending = Request.form("PrimaryAscendingDescending")

		MySql2 = MySQL2 & " " & PrimaryAscendingDescending

		If Request.form("SecondarySort") <> "" and SortBy > "" and Request.form("SortBy") <> Request.form("SecondarySort")  Then
			MySql2 = MySQL2  &  ", Assets." & Request.form("SecondarySort") & " " & Request.form("SecondaryAscendingDescending")
		End IF

		' debugging
		'response.write "MySQL = " & mySQL2
		'response.write "OPTION" & AssetExportOption & "EXPORT" & AssetAssignmentExport
		'response.flush
		'response.end



	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursor for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic

	'set rstemp=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the

	If NOT rstemp.EOF  Then
		Call WriteHeader(AssetExportOption,AssetAssignmentExport) ' moved this so don't get header unless files

		RecordsFound = rstemp.recordcount

		'Response.write " Records Found = " & RecordsFound

		do while not rstemp.eof
			WriteRow

			rstemp.MoveNext
		loop

		Else ' No Assets so output page to browser

	  ' Reset header to HTML if no records found
		Response.ContentType = "text/html"
	%>

	<html>
	<head>
	<title>Open Cases Export </title>
	</head>
	<body bgcolor=FFFFFF>

<P><CENTER>No file was
created because there are no Assets.</B></CENTER>
</body>
</html>


		<%

		 ' Close the record set

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


	End If  ' End if No Open Cases for Tech

End If ' End of security check
%>

<% sub WriteHeader2(sLabel,sDelimiter,bFirst)
	If sLabel > "" then
		if bFirst = 1 then
			bFirst = 0
		Else
			Response.write  sDelimiter
		End If
		response.write  """" & sLabel & """"
	End If
end sub%>


<%
Sub WriteHeader(inAssetExportOption, inAssetAssignmentExport)
	Dim bFirst
	bFirst = 1

	' Export at least these four fields...
	call WriteHeader2(Asset_Number_label,Delimiter,bFirst)
	call WriteHeader2(computer_ID_Label,Delimiter,bFirst)
	call WriteHeader2(Property_Tag_Label,Delimiter,bFirst)
	call WriteHeader2(Description_Label,Delimiter,bFirst)
	call WriteHeader2(serial_number_Label,Delimiter,bFirst)

	If SBCC="YES" then  'also do two age fields ' 10/27/11
		call WriteHeader2("Age",Delimiter,bFirst)
		If ReportAgeAsOf > "" Then
			sLabel = "Age as of " & ReportAgeAsOf
			call WriteHeader2(sLabel,Delimiter,bFirst)
		End If
	End If

	'Response.write  """Asset_Number""" & Delimiter & """Computer_ID""" & Delimiter
	'Response.write  """" & Property_Tag_Label & """" & Delimiter
'	Response.write  """" & Description_Label & """" & Delimiter
'	Response.write  """" & serial_number_Label & """"

	If inAssetAssignmentExport = "YES" Then
		'Response.write  Delimiter & """" &	"Asset Assignment" & """"
		call WriteHeader2("Asset Assignment",Delimiter,bFirst)
	End If

	If inAssetExportOption = "EQUIP" OR inAssetExportOption = "ALL" OR inAssetExportOption = "EQUIPCUSTOM" Then
		call WriteHeader2(Assigned_Group_Label,Delimiter,bFirst)
		call WriteHeader2(Location_Label,Delimiter,bFirst)
		call WriteHeader2(Date_Assigned_Label,Delimiter,bFirst)
		call WriteHeader2(IP_Address_Label,Delimiter,bFirst)
		call WriteHeader2(Wall_Port_Number_Label,Delimiter,bFirst)

	'	Response.write  Delimiter & """" &	Assigned_Group_Label & """" & Delimiter
		'Response.write  """" &	Location_Label & """" & Delimiter
		'Response.write  """" &	Date_Assigned_Label & """" & Delimiter
		'Response.write  """" &	IP_Address_Label & """" & Delimiter
		'Response.write  """" &	Wall_Port_Number_Label & """" & Delimiter

	' Asset Details
		'Response.write  """" &	Computer_ID_Label & """" & Delimiter
		'Response.write  """" &	Lease_Or_Purchase_Label & """" & Delimiter
		'Response.write  """" &	Purchase_Order_Number_Label & """" & Delimiter
		call WriteHeader2(Computer_ID_Label,Delimiter,bFirst)
		call WriteHeader2(Lease_Or_Purchase_Label,Delimiter,bFirst)
		call WriteHeader2(Purchase_Order_Number_Label,Delimiter,bFirst)

	' Acquisition Fields
		'Response.write  """" &	Acquired_From_Label & """" & Delimiter
		'Response.write  """" &	Date_Acquired_Label & """" & Delimiter
		'Response.write  """" &	Date_put_into_service_Label & """" & Delimiter
		call WriteHeader2(Acquired_From_Label,Delimiter,bFirst)
		call WriteHeader2(Date_Acquired_Label,Delimiter,bFirst)
		call WriteHeader2(Date_put_into_service_Label,Delimiter,bFirst)

	' Specifications
	'	Response.write  """" &	Processor_Speed_Label & """" & Delimiter
	'	Response.write  """" &	RAM_Size_Label & """" & Delimiter
	'	Response.write  """" &	Hard_Drive_Size_Label & """" & Delimiter
	'	Response.write  """" &	Monitor_model_Label & """" & Delimiter
	'	Response.write  """" &	Monitor_size_Label & """" & Delimiter
	'	Response.write  """" &	Operating_System_1_Label & """" & Delimiter
	'	Response.write  """" &	Operating_System_2_Label & """" & Delimiter
	'	Response.write  """" &	Monitor_Serial_Number_Label & """"

		call WriteHeader2(Processor_Speed_Label,Delimiter,bFirst)
		call WriteHeader2(RAM_Size_Label,Delimiter,bFirst)
		call WriteHeader2(Hard_Drive_Size_Label,Delimiter,bFirst)
		call WriteHeader2(Monitor_model_Label,Delimiter,bFirst)
		call WriteHeader2(Monitor_size_Label,Delimiter,bFirst)
		call WriteHeader2(Operating_System_1_Label,Delimiter,bFirst)
		call WriteHeader2(Operating_System_2_Label,Delimiter,bFirst)
		call WriteHeader2(Monitor_Serial_Number_Label,Delimiter,bFirst)

	End IF


	' Custom Fields

	If inAssetExportOption = "EQUIPCUSTOM" OR inAssetExportOption = "ALL" Then
	'	Response.write  Delimiter & """" &	Custom_Field_1_Label & """" & Delimiter
	'	Response.write  """" & Custom_Field_2_Label & """" & Delimiter
	'	Response.write  """" & Custom_Field_3_Label & """" & Delimiter
	'	Response.write  """" & Custom_Field_4_Label & """" & Delimiter
	'	Response.write  """" & Custom_Field_5_Label & """"
		call WriteHeader2(Custom_Field_1_Label,Delimiter,bFirst)
		call WriteHeader2(Custom_Field_2_Label,Delimiter,bFirst)
		call WriteHeader2(Custom_Field_3_Label,Delimiter,bFirst)
		call WriteHeader2(Custom_Field_4_Label,Delimiter,bFirst)
		call WriteHeader2(Custom_Field_5_Label,Delimiter,bFirst)

	End IF


	If inAssetExportOption = "ALL" Then
		' Output the OS and applications values ' this is in there twice
		'Software Labels
		'Response.write  Delimiter & """" &	Operating_System_1_Label & """" & Delimiter
	'	Response.write  """" &	Operating_System_2_Label & """" & Delimiter
		'call WriteHeader2(Operating_System_1_Label,Delimiter,bFirst)
		'call WriteHeader2(Operating_System_2_Label,Delimiter,bFirst)
		'Call WriteHeader2(Monitor_Serial_Number_Label,Delimiter,bFirst)

		'Response.write  """" &	App_1_Label & """" & Delimiter
	'	Response.write  """" &	App_1_Product_ID_Label & """" & Delimiter
	'	Response.write  """" &	App_1_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_1_Label,Delimiter,bFirst)
		call WriteHeader2(App_1_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_1_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_2_Label & """" & Delimiter
	'	Response.write  """" &	App_2_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_2_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_2_Label,Delimiter,bFirst)
		call WriteHeader2(App_2_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_2_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_3_Label & """" & Delimiter
		'Response.write  """" &	App_3_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_3_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_3_Label,Delimiter,bFirst)
		call WriteHeader2(App_3_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_3_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_4_Label & """" & Delimiter
		'Response.write  """" &	App_4_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_4_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_4_Label,Delimiter,bFirst)
		call WriteHeader2(App_41_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_4_Installation_Date_Label,Delimiter,bFirst)

	'	Response.write  """" &	App_5_Label & """" & Delimiter
	'	Response.write  """" &	App_5_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_5_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_5_Label,Delimiter,bFirst)
		call WriteHeader2(App_5_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_5_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_6_Label & """" & Delimiter
		'Response.write  """" &	App_6_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_6_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_6_Label,Delimiter,bFirst)
		call WriteHeader2(App_6_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_6_Installation_Date_Label,Delimiter,bFirst)

	'	Response.write  """" &	App_7_Label & """" & Delimiter
	'	Response.write  """" &	App_7_Product_ID_Label & """" & Delimiter
	'	Response.write  """" &	App_7_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_7_Label,Delimiter,bFirst)
		call WriteHeader2(App_7_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_7_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_8_Label & """" & Delimiter
		'Response.write  """" &	App_8_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_8_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_8_Label,Delimiter,bFirst)
		call WriteHeader2(App_8_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_8_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_9_Label & """" & Delimiter
		'Response.write  """" &	App_9_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_9_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_9_Label,Delimiter,bFirst)
		call WriteHeader2(App_9_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_9_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_10_Label & """" & Delimiter
		'Response.write  """" &	App_10_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_10_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_10_Label,Delimiter,bFirst)
		call WriteHeader2(App_10_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_10_Installation_Date_Label,Delimiter,bFirst)

	'	Response.write  """" &	App_11_Label & """" & Delimiter
	'	Response.write  """" &	App_11_Product_ID_Label & """" & Delimiter
	'	Response.write  """" &	App_11_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_11_Label,Delimiter,bFirst)
		call WriteHeader2(App_11_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_11_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_12_Label & """" & Delimiter
		'Response.write  """" &	App_12_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_12_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_12_Label,Delimiter,bFirst)
		call WriteHeader2(App_12_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_12_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_13_Label & """" & Delimiter
		'Response.write  """" &	App_13_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_13_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_13_Label,Delimiter,bFirst)
		call WriteHeader2(App_13_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_13_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_14_Label & """" & Delimiter
		'Response.write  """" &	App_14_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_14_Installation_Date_Label & """" & Delimiter
		call WriteHeader2(App_14_Label,Delimiter,bFirst)
		call WriteHeader2(App_14_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_14_Installation_Date_Label,Delimiter,bFirst)

		'Response.write  """" &	App_15_Label & """" & Delimiter
		'Response.write  """" &	App_15_Product_ID_Label & """" & Delimiter
		'Response.write  """" &	App_15_Installation_Date_Label & """"
		call WriteHeader2(App_15_Label,Delimiter,bFirst)
		call WriteHeader2(App_15_Product_ID_Label,Delimiter,bFirst)
		call WriteHeader2(App_15_Installation_Date_Label,Delimiter,bFirst)


	End If


		Response.write  vbCRLF
		response.write HTMLNEWLINE ' If Comma to Screen then send BR tag
End Sub
%>
<% sub WriteRow2(sLabel, sField,sDelimiter,bFirst)
	If sLabel > "" then
		if bFirst = 1 then
			bFirst = 0
		Else
			Response.write  sDelimiter
		End If
		response.write  "" & sField & ""
	End If
end sub%>

<%
Sub WriteRow()
	Dim bFirst
	bFirst = 1
	'			Record = Record &  Delimiter & "" & rstemp("Phone1") & "" & Delimiter & "" & rstemp("Phone2") & ""

			'Response.write "" & rstemp("Asset_Number") & "" & Delimiter
			'Response.write "" & rstemp("computer_id") & "" & Delimiter
			'Response.write "" & rstemp("property_tag") & "" & Delimiter
			'Response.write "" & rstemp("equipment_type") & ""  & Delimiter
			'Response.write "" & rstemp("serial_number") & ""
			Call WriteRow2(Asset_Number_label,rstemp("Asset_Number"),Delimiter,bFirst)
			Call WriteRow2(computer_ID_Label,rstemp("computer_id"),Delimiter,bFirst)
			Call WriteRow2(Property_Tag_Label,rstemp("property_tag"),Delimiter,bFirst)
			Call WriteRow2(Description_Label,rstemp("equipment_type"),Delimiter,bFirst)
			Call WriteRow2(serial_number_Label,rstemp("serial_number"),Delimiter,bFirst)

			If SBCC="YES" then  'also do two age fields ' 10/27/11
				sAge = GetAgeAsOf(rstemp("App1"),Date(),DateDisplayFormat)
				call WriteRow2("Age",sAge,Delimiter,bFirst)
				If ReportAgeAsOf > "" Then
					sAge = GetAgeAsOf(rstemp("app1"),ReportAgeAsOf,DateDisplayFormat)
					call WriteRow2("AgeAsOf",sAge,Delimiter,bFirst)
				End If
			End If

			' Output asset assignment now
			If AssetAssignmentExport = "YES" Then
				mySQL3 = "Select * from AssetAssignment where Asset_Number = " & rstemp("Asset_number")

				'response.write "SQL=" & mySQL3 & "<br>"
				set rstemp2=Server.CreateObject("adodb.Recordset")
				'-->AKS<-- Need to specify cursor for record count to be correct.

				If DatabaseType <> "ACCESS97" Then
					rstemp2.CursorLocation = adUseClient
				End If

				rstemp2.open mySQL3, conntemp, adopenstatic
				If rstemp2.EOF <> True Then
					'Response.write "Record found"
					'Response.write "Customer" & rstemp2("Customer_id")

	' There should only be one assignment - either customer, tech or other asset NOT ANY MORE '04/05/12

					AssetAssignment = ""  ' 04/05/12
					AssetAssignmentSpace = ""
					If rstemp2("Customer_ID") <> "" And NOT IsNull(rstemp2("Customer_ID"))  Then
						AssetAssignment = "CUSTOMER:" & rstemp2("Customer_ID")
						AssetAssignmentSpace = " "
					End if

					If rstemp2("Tech_ID") <> "" AND NOT IsNull(rstemp2("tech_id"))  Then
						AssetAssignment = AssetAssignment & AssetAssignmentSpace & "TECH:" & rstemp2("Tech_ID")
						AssetAssignmentSpace = " "

					End if

					If rstemp2("Asset_Number2") <> "" and NOT IsNull(rstemp2("asset_number2")) Then
						AssetAssignment = AssetAssignment & AssetAssignmentSpace &  "OTHER ASSET:" & rstemp2("Asset_Number2")
						AssetAssignmentSpace = " "

					End if
					'Response.write "Asset Assigment=" & assetassignment

				Else
					AssetAssignment = ""
				End IF
				rstemp2.close
				set rstemp2=nothing

			'	Response.write Delimiter
			'	Response.write "" & AssetAssignment  & "" & Delimiter
				call WriteRow2("Asset Assignment",AssetAssignment,Delimiter,bFirst)


			End If

			If AssetExportOption = "EQUIP" OR AssetExportOption = "ALL"  OR AssetExportOption = "EQUIPCUSTOM" Then
			'	Response.write Delimiter
			'	Response.write rstemp("Assigned_Group") & Delimiter
			'	Response.write "" & rstemp("Location")   & "" & Delimiter
			'	Response.write "" & rstemp("Date_Assigned")   & "" & Delimiter
			'	Response.write "" & rstemp("IP_Address")  & "" & Delimiter
			'	Response.write "" & rstemp("Wall_Port_Number")   & "" & Delimiter
			'	Response.write "" & rstemp("Computer_ID")  & "" & Delimiter
			'	Response.write "" & rstemp("Lease_Or_Purchase")  & "" & Delimiter
			'	Response.write "" & rstemp("Purchase_Order_Num")  & "" & Delimiter
			'	Response.write "" & rstemp("Acquired_From")   & ""& Delimiter
			'	Response.write "" & rstemp("Date_Acquired")   & ""& Delimiter
			'	Response.write "" & rstemp("Date_in_service")  & "" & Delimiter
			'	Response.write "" & rstemp("Processor_Speed")  & "" & Delimiter
			'	Response.write "" & rstemp("RAM_Size")   & "" & Delimiter
			'	Response.write "" & rstemp("HD_Size")   & "" & Delimiter
			'	Response.write "" & rstemp("Monitor_model")  & "" & Delimiter
			'	Response.write "" & rstemp("Monitor_size")   & "" & Delimiter
			'	Response.write "" & rstemp("Operating_system1")   & "" & Delimiter
			'	Response.write "" & rstemp("Operating_system2")   & "" & Delimiter
			'	Response.write "" & rstemp("Monitor_Serial_Num")   & ""
				Call WriteRow2(Assigned_Group_Label,rstemp("Assigned_Group"),Delimiter,bFirst)
				Call WriteRow2(Location_Label,rstemp("Location"),Delimiter,bFirst)
				Call WriteRow2(Date_Assigned_Label,rstemp("Date_Assigned"),Delimiter,bFirst)
				Call WriteRow2(IP_Address_Label,rstemp("IP_Address"),Delimiter,bFirst)
				Call WriteRow2(Wall_Port_Number_Label,rstemp("Wall_Port_Number"),Delimiter,bFirst)
				Call WriteRow2(Computer_ID_Label,rstemp("Computer_ID"),Delimiter,bFirst)
				Call WriteRow2(Lease_Or_Purchase_Label,rstemp("Lease_Or_Purchase"),Delimiter,bFirst)
				Call WriteRow2(Purchase_Order_Number_Label,rstemp("Purchase_Order_Num"),Delimiter,bFirst)
				Call WriteRow2(Acquired_From_Label,rstemp("Acquired_From"),Delimiter,bFirst)
				Call WriteRow2(Date_Acquired_Label,rstemp("Date_Acquired"),Delimiter,bFirst)
				Call WriteRow2(Date_put_into_service_Label,rstemp("Date_in_service"),Delimiter,bFirst)
				Call WriteRow2(Processor_Speed_Label,rstemp("Processor_Speed"),Delimiter,bFirst)
				Call WriteRow2(RAM_Size_Label,rstemp("RAM_Size"),Delimiter,bFirst)
				Call WriteRow2(Hard_Drive_Size_Label,rstemp("HD_Size"),Delimiter,bFirst)
				Call WriteRow2(Monitor_model_Label,rstemp("Monitor_model"),Delimiter,bFirst)
				Call WriteRow2(Monitor_size_Label,rstemp("Monitor_size"),Delimiter,bFirst)
				Call WriteRow2(Operating_System_1_Label,rstemp("Operating_system1"),Delimiter,bFirst)
				Call WriteRow2(Operating_System_2_Label,rstemp("Operating_system2"),Delimiter,bFirst)
				Call WriteRow2(Monitor_Serial_Number_Label,rstemp("Monitor_Serial_Num"),Delimiter,bFirst)

			End if


			' Custom Fields

			If AssetExportOption = "EQUIPCUSTOM" OR AssetExportOption = "ALL" Then
				'Response.write Delimiter
				'Response.write "" & rstemp("Custom_Field1") & "" & Delimiter
				'Response.write "" & rstemp("Custom_Field2") & "" & Delimiter
				'Response.write "" & rstemp("Custom_Field3") & "" & Delimiter
				'Response.write "" & rstemp("Custom_Field4") & "" & Delimiter
				'Response.write "" & rstemp("Custom_Field5") & ""
				Call WriteRow2(Custom_Field_1_Label,rstemp("Custom_Field1"),Delimiter,bFirst)
				Call WriteRow2(Custom_Field_2_Label,rstemp("Custom_Field2"),Delimiter,bFirst)
				Call WriteRow2(Custom_Field_3_Label,rstemp("Custom_Field3"),Delimiter,bFirst)
				Call WriteRow2(Custom_Field_4_Label,rstemp("Custom_Field4"),Delimiter,bFirst)
				Call WriteRow2(Custom_Field_5_Label,rstemp("Custom_Field5"),Delimiter,bFirst)

			End if

			If AssetExportOption = "ALL" Then
				'Response.write Delimiter

				'Response.write "" & rstemp("App1")  & "" & Delimiter
				'Response.write "" & rstemp("App1_Product_ID") & ""  & Delimiter
				'Response.write "" & rstemp("App1_Install_Date") & ""  & Delimiter
				Call WriteRow2(App_1_Label,rstemp("App1"),Delimiter,bFirst)
				Call WriteRow2(App_1_Product_ID_Label,rstemp("App1_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_1_Installation_Date_Label,rstemp("App1_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App2") & ""  & Delimiter
			'	Response.write "" & rstemp("App2_Product_ID") & ""  & Delimiter
				'Response.write "" & rstemp("App2_Install_Date") & ""  & Delimiter
				Call WriteRow2(App_2_Label,rstemp("App2"),Delimiter,bFirst)
				Call WriteRow2(App_2_Product_ID_Label,rstemp("App2_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_2_Installation_Date_Label,rstemp("App2_Install_Date"),Delimiter,bFirst)

			'	Response.write "" & rstemp("App3") & ""  & Delimiter
			'	Response.write "" & rstemp("App3_Product_ID") & ""  & Delimiter
			'	Response.write "" & rstemp("App3_Install_Date") & ""  & Delimiter
				Call WriteRow2(App_3_Label,rstemp("App3"),Delimiter,bFirst)
				Call WriteRow2(App_3_Product_ID_Label,rstemp("App3_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_3_Installation_Date_Label,rstemp("App3_Install_Date"),Delimiter,bFirst)

			'	Response.write "" & rstemp("App4")  & "" & Delimiter
			'	Response.write "" & rstemp("App4_Product_ID") & ""  & Delimiter
				'Response.write "" & rstemp("App4_Install_Date") & ""  & Delimiter
				Call WriteRow2(App_4_Label,rstemp("App4"),Delimiter,bFirst)
				Call WriteRow2(App_4_Product_ID_Label,rstemp("App4_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_4_Installation_Date_Label,rstemp("App4_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App5")  & "" & Delimiter
				'Response.write "" & rstemp("App5_Product_ID")  & "" & Delimiter
				'Response.write "" & rstemp("App5_Install_Date") & ""  & Delimiter
				Call WriteRow2(App_5_Label,rstemp("App5"),Delimiter,bFirst)
				Call WriteRow2(App_5_Product_ID_Label,rstemp("App5_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_5_Installation_Date_Label,rstemp("App5_Install_Date"),Delimiter,bFirst)

			'	Response.write "" & rstemp("App6")  & "" & Delimiter
			'	Response.write "" & rstemp("App6_Product_ID")  & "" & Delimiter
			'	Response.write "" & rstemp("App6_Install_Date") & ""  & Delimiter
				Call WriteRow2(App_6_Label,rstemp("App6"),Delimiter,bFirst)
				Call WriteRow2(App_6_Product_ID_Label,rstemp("App6_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_6_Installation_Date_Label,rstemp("App6_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App7") & ""  & Delimiter
				'Response.write "" & rstemp("App7_Product_ID")  & "" & Delimiter
			'	Response.write "" & rstemp("App7_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_7_Label,rstemp("App7"),Delimiter,bFirst)
				Call WriteRow2(App_7_Product_ID_Label,rstemp("App7_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_7_Installation_Date_Label,rstemp("App7_Install_Date"),Delimiter,bFirst)

			'	Response.write "" & rstemp("App8")  & "" & Delimiter
			'	Response.write "" & rstemp("App8_Product_ID")  & "" & Delimiter
			'	Response.write "" & rstemp("App8_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_8_Label,rstemp("App8"),Delimiter,bFirst)
				Call WriteRow2(App_8_Product_ID_Label,rstemp("App8_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_81_Installation_Date_Label,rstemp("App8_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App9")  & "" & Delimiter
				'Response.write "" & rstemp("App9_Product_ID") & ""  & Delimiter
				'Response.write "" & rstemp("App9_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_9_Label,rstemp("App9"),Delimiter,bFirst)
				Call WriteRow2(App_9_Product_ID_Label,rstemp("App9_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_9_Installation_Date_Label,rstemp("App9_Install_Date"),Delimiter,bFirst)

			'	Response.write "" & rstemp("App10")  & "" & Delimiter
			'	Response.write "" & rstemp("App10_Product_ID")  & "" & Delimiter
			'	Response.write "" & rstemp("App10_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_10_Label,rstemp("App10"),Delimiter,bFirst)
				Call WriteRow2(App_10_Product_ID_Label,rstemp("App10_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_10_Installation_Date_Label,rstemp("App10_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App11")  & "" & Delimiter
				'Response.write "" & rstemp("App11_Product_ID")  & "" & Delimiter
				'Response.write "" & rstemp("App11_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_11_Label,rstemp("App11"),Delimiter,bFirst)
				Call WriteRow2(App_11_Product_ID_Label,rstemp("App11_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_11_Installation_Date_Label,rstemp("App11_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App12")  & "" & Delimiter
				'Response.write "" & rstemp("App12_Product_ID")  & "" & Delimiter
				'Response.write "" & rstemp("App12_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_12_Label,rstemp("App12"),Delimiter,bFirst)
				Call WriteRow2(App_12_Product_ID_Label,rstemp("App12_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_12_Installation_Date_Label,rstemp("App12_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App13")  & "" & Delimiter
				'Response.write "" & rstemp("App13_Product_ID")  & "" & Delimiter
				'Response.write "" & rstemp("App13_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_13_Label,rstemp("App13"),Delimiter,bFirst)
				Call WriteRow2(App_13_Product_ID_Label,rstemp("App13_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_13_Installation_Date_Label,rstemp("App13_Install_Date"),Delimiter,bFirst)

			'	Response.write "" & rstemp("App14")  & "" & Delimiter
			'	Response.write "" & rstemp("App14_Product_ID")  & "" & Delimiter
			'	Response.write "" & rstemp("App14_Install_Date")  & "" & Delimiter
				Call WriteRow2(App_14_Label,rstemp("App14"),Delimiter,bFirst)
				Call WriteRow2(App_14_Product_ID_Label,rstemp("App14_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_14_Installation_Date_Label,rstemp("App14_Install_Date"),Delimiter,bFirst)

				'Response.write "" & rstemp("App15")  & "" & Delimiter
				'Response.write "" & rstemp("App15_Product_ID")  & "" & Delimiter
				'Response.write "" & rstemp("App15_Install_Date") & ""
				Call WriteRow2(App_15_Label,rstemp("App15"),Delimiter,bFirst)
				Call WriteRow2(App_15_Product_ID_Label,rstemp("App15_Product_ID"),Delimiter,bFirst)
				Call WriteRow2(App_15_Installation_Date_Label,rstemp("App15_Install_Date"),Delimiter,bFirst)

			End If ' End of If All selected

			response.write  vbCRLF
			response.write HTMLNEWLINE ' If Comma to Screen then send BR tag

End Sub
%>
<%
  	Function GetAgeAsOf(sDate1,sDate2,DateFormat) ' returns age in years with one decimal place 10/27/2011
  		Dim sDate
  		Dim sAsOf

  		sDate = sDate1
		sAsOf = sDate2

  		Locale = GetLocale()
  		Call SetLocale (1033)

  		nAge = 0
  		on error resume next
		if isValidDateInput(sDate, DateFormat) and isValidDateInput(sAsOf, DateFormat) then
			if DateFormat = "DD/MM/YYYY" then
				sDate = SwitchMonthDate(sDate)
				'sAsOf = SwitchMonthDate(sDate2)
			End If
			d=datediff("d",sDate,sAsOf)
			nAge=formatNumber(d/365.25,2)  ' 1 decimal  '02/06/12
		End If
  		Call SetLocale(Locale)
  		GetAgeAsOf = nAge

  	End Function
%>