<%  ' Module: DoGetCase.asp
	'
	' Description: Submit Module For GetCase.asp module
	'
	' (C) 2000, 2001, 2002 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'11/13/00	SAV		Created from DoSearch.asp module
	'11/12/01	SAV		Added feature to search for Cases for companies
	'03/26/05   JC      Re-engineer completely to match layout and capabilities of MyCases.asp
	'03/27/12   CMB     Fixed number of page calc; don't display next if last page
	'10/03/12   CMB     If lines per page not set, put in 15.  This is because of an error message where
	'                   if you press the top search button, lines_per_page isn't in the form.
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/GetPriorityFontColor.inc" -->




<% ' This module operates in 3 phases
   ' ------------------------First Phase ---------------------
   ' If we arrive here as a result of being called from the form
   ' Then we first pick up the form variables and use them to create
   ' the base SQL statement which we then stash into persistent memory (session.sqlstring)
   ' and the elements of the SQL statement that may later be varied -
   ' specifically the sort field (session.orderby)
   ' as well as a second sort field (session.orderby2)
   ' and the ascending/descending parameter (session.ascdesc)
   '
   ' If we arrived here as a result of being called via URL *from*some*other*module
   ' then we pick up the URL parameter (customer_id) and formulate the appropriate base SQL stsatement
   ' which we then stash into persistent memory (session.sqlstring)
   ' and the elements of the SQL statement that may later be varied -
   ' specifically the sort field (session.orderby)
   ' as well as a second sort field (session.orderby2)
   ' and the ascending/descending parameter (session.ascdesc)
   '
   ' If on the other hand we arrive here as a result of calling *ourselves* via a URL with parameters (in which case URL parameter Self=Yes)
   ' This can happen in 2 different ways with different parameters provided
   '    a) The user clicked on a column heading asking for a different sort order
   '    b) The user clicked on a page number to go forward/backward in the set of selected records
   ' Then we adjust the appropriate parameters in the session variables accordingly to achieve the desired effect
   '
   ' ------------------------Second Phase ---------------------
   ' No matter whether we were called from the form or arrived here via  URL with parameters
   ' we now pick up the bits of the SQL statement as stashed in the session variable(s)
   ' and put the sql statement together and execute it.
   ' Note we use 2 sort keys (stashed in session.orderby and session.orderby2 as well as
   ' session.ascdesc to specify ascending/descending.) We need 2 sort keys sometimes so we
   ' can sort on e.g. case_number within some date or within a givencustomer etc. etc.
   '
   ' ------------------------Third Phase ---------------------
   ' We now display the records returned in the second phase, using the "page" to get to the right place
   ' in the set and the session.orderby variable to figure out which column to hilight as the sort key
   '
   ' ------------------------Special Cautionary Note------------
   ' This code does a lot of setting and comparing of sort keys in various statements all over the code
   ' i.e. references like "Case.Status" or "Customer.Company". Be darn carefull that references like
   ' this are spelled exactly correctly (case sensitive) otherwise crtitical IF statements will fail
   ' and cause very weird foobar - like invalid SQL statements, failure to sort as desired and all manner of grief.



' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing





    if ValidUser <> "YES" Then
		 ASPPage = "DoGetCase.asp"
		 %>
		<!-- #include file=Invaliduser.inc-->
		<%
		response.flush
		response.end
    end if  '  Valid User for this function

' NOW Get the values from the configuration file and into variables - we need this for wcdateformat

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp("Pending_Screen_Refresh_Rate")
		ts_pending_color = rstemp("ts_Pending_Color")
		WCDateFormat = rstemp("Date_Display_Format")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing




%>

<HTML>
<HEAD>
   <TITLE><%=wc_Case_Search_Results%> </TITLE>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
</HEAD>
<body class=rightwindow>



<%
If request.form("search_button.x") <> "" Then ' if the search button on the form was pressed

	'  First clobber any session variables still hanging around from prior use during this session - we are starting afresh

	session("sqlstring") = ""
	session("ascdesc") = ""
	session("lines_per_page") = ""
	session("orderby") = ""
	session("orderby2") = ""

   ' pick up the form variables

	Case_number = Request.form("Case_number")
	Case_Status = Request.form("Case_status")
	Company = Request.form("Company") ' Get the passed company
	Customer_ID = Request.form("customer_Id")
	Orderby = Request.form("SortOrder")
	Lines_per_page = Request.form("Lines_per_page")

	'response.write "Form variables are: <p>"
	'response.write "Case Num is: " & Case_number & "<br>"
	'response.write "Status is: " & Case_Status & "<br>"
	'response.write "Company is: " & Company & "<br>"
	'response.write "Customer_id  is: " & Customer_ID & "<br>"
	'response.write "Ordering is: " & Orderby & "<br>"
	'response.write "Lines/page is : " & 15 & "<br>"

   if trim(Lines_per_page) = "" then  ' 10/03/12
   	lines_per_page = 15
   End If
	If Not isNumeric(Lines_per_page)  Then
	   response.write "<font color=red size=+1><p>Lines per Page is set to an incorrect value<p>"
	   response.flush
	   response.end
	End If
	If Lines_per_page < 3  Then
	   response.write "<font color=red size=+1><p>Lines per Page must be set greater than 2<p>"
	   response.flush
	   response.end
	End If

	AndText = " "
    mySQL2 = "SELECT Customers.contact_fname, Customers.contact_lname, Customers.Customer_id, Customers.Company, Cases.Case_number, Cases.group_number, Cases.Open_date, Cases.Mod_date, Cases.mod_time, Cases.Due_date, Cases.due_time, Cases.open_time, Cases.case_one_line, Cases.Status, Cases.Modified_Flag, Cases.Severity FROM Cases INNER JOIN Customers ON Cases.Customer_id = Customers.customer_id"


		' Company Search
		If  Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company = '" & Company & "'"
			AndText = " AND "
		End IF


		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "CLOSED" Then ' Closed Cases
				WhereStatement = WhereStatement & AndText & " Cases.Status = 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.Status <> 1 "
			End If
			AndText = " AND "
		End IF


		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Customer_id = '" & Customer_id & "'"
			AndText = " AND "
		End IF




		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Case_number = " & Case_number
			AndText = " AND "
		End IF

        If WhereStatement <> "" Then
             mySQL2 = MySQL2 & " WHERE " & WhereStatement
        End If

        ' now store the components of the sql statement into session variables

        session("sqlstring") = MySQL2

        session("ascdesc") = "ASC"

        ' also store Lines_per_page for use during the rest of this session

        session("Lines_per_page") = Lines_per_page

        if orderby = "Cases.Case_number" then session("orderby") = "Cases.Case_number"
        if orderby = "Cases.Case_number desc" then
           session("orderby") = "Cases.Case_number"
           session("ascdesc") = "DESC"
        end if
        if orderby = "Cases.Customer_id" then session("orderby") = "Cases.Customer_id"
        if orderby = "Customers.Company" then session("orderby") = "Customers.Company"
        if orderby = "Cases.Status" then session("orderby") = "Cases.Status"

        if orderby = "Cases.Open_date" then
            session("orderby") = "Cases.Open_date"
            session("orderby2") = "Cases.open_time"
        end if

        if orderby = "Cases.Open_date desc" then
            session("orderby") = "Cases.Open_date"
            session("orderby2") = "Cases.open_time"
            session("ascdesc") = "DESC"
        End If

        if orderby = "Cases.Mod_date" then
            session("orderby") = "Cases.Mod_date"
            session("orderby2") = "Cases.mod_time"
        End If

        if orderby = "Cases.Mod_date desc" then
            session("orderby") = "Cases.Mod_date"
            session("orderby2") = "Cases.mod_time"
	        session("ascdesc") = "DESC"
	    End if

        if orderby = "Cases.Due_date" then
            session("orderby") = "Cases.Due_date"
            session("orderby2") = "Cases.due_time"
        end if

        if orderby = "Cases.Due_date desc" then
            session("orderby") = "Cases.Due_date"
            session("orderby2") = "Cases.due_time"
	        session("ascdesc") = "DESC"
	    End if



Else ' we were called  via clickable URL with parameters



       If request.Querystring("Self") = "" Then  ' we were not called by self via URL, rather we were called by another module via URL with parameter customer_id

	     AndText = " "
         mySQL2 = "SELECT Customers.contact_fname, Customers.contact_lname, Customers.Customer_id, Customers.Company, Cases.Case_number, Cases.group_number, Cases.Open_date, Cases.Mod_date, Cases.mod_time, Cases.Due_date, Cases.due_time, Cases.open_time, Cases.case_one_line, Cases.Status, Cases.Modified_Flag, Cases.Severity FROM Cases INNER JOIN Customers ON Cases.Customer_id = Customers.customer_id"
         Customer_ID = request.Querystring("customer_id")
         If  Customer_ID <> "" Then
		 			WhereStatement = WhereStatement & AndText & " Cases.Customer_id = '" & Customer_id & "'"
		 			AndText = " AND "
		 End IF
         If WhereStatement <> "" Then
             mySQL2 = MySQL2 & " WHERE " & WhereStatement
         End If
         'response.write  "Non-self called SQL is " & mySQL2
         ' response.flush
         ' response.end
         session("sqlstring") = MySQL2
         session("ascdesc") = "ASC"
         session("orderby") = "Cases.Case_number"
         session("orderby2") = ""
         session("Lines_per_page") = 15

       Else ' we *were*  called by self via URL

		   page = request.querystring("Page")
		   'response.write "<P>I am asked for page number " & page & "<P>"

		   sortby = request.querystring("orderby")
		   'response.write "<P>I am see sort by as" & sortby & "<P>"

		   If sortby = "no" Then
			  ' Then dont mess with changing session.sortby
		   Else
			   ' -------------- case number
			   If sortby = "case_number" Then
					 If session("orderby") = "Cases.Case_number" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Case_number"
					   session("orderby2") = ""
					   session("ascdesc") = "ASC"
					 End If
			   End If


			   ' -------------- severity
			   If sortby = "severity" Then
					 If session("orderby") = "Cases.Severity" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Severity"
					   session("orderby2") = ""
					   session("ascdesc") = "ASC"
					 End If
			   End If

			   ' -------------- status
			   If sortby = "status" Then
					 If session("orderby") = "Cases.Status" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Status"
					   session("orderby2") = ""
					   session("ascdesc") = "ASC"
					 End If
			   End If

			   ' -------------- opened_date
			   If sortby = "opened_date" Then
					 If session("orderby") = "Cases.Open_date" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Open_date"
					   session("orderby2") = "Cases.Open_time"
					   session("ascdesc") = "ASC"
					 End If
			   End If


			   ' -------------- modified_date
			   If sortby = "modified_date" Then
					 If session("orderby") = "Cases.Mod_date" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Mod_date"
					   session("orderby2") = "Cases.Mod_time"
					   session("ascdesc") = "ASC"
					 End If
			   End If


			   ' -------------- due_date
			   If sortby = "due_date" Then
					 If session("orderby") = "Cases.Due_date" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Due_date"
					   session("orderby2") = "Cases.Due_time"
					   session("ascdesc") = "ASC"
					 End If
			   End If


			   ' -------------- customer
			   If sortby = "customer" Then
					 If session("orderby") = "Cases.Customer_id" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Customer_id"
					   session("orderby2") = ""
					   session("ascdesc") = "ASC"
					 End If
			   End If



			   ' -------------- group
			   If sortby = "group_name" Then
					 If session("orderby") = "Cases.Group_number" Then
					   session("ascdesc") = flip(session("ascdesc"))
					 Else
					   session("orderby") = "Cases.Group_number"
					   session("orderby2") = ""
					   session("ascdesc") = "ASC"
					 End If
			   End If


		   End If
		   orderby = session("orderby")

      End If ' we were called by self via URL or called by another module via URL

End If ' if the search button was pressed on the form

' From this point on, the code doesnt care by which method it was invoked, whether from the form, or from itself
' via URL with parameters, or from a different module altogether via URL with (different) parameters.
' It assumes from here on that the necessary parameters required to "drive" it have been stashed in the requisite
' session variables, namely:
'    session("sqlstring")
'    session("ascdesc")
'    session("orderby")
'    session("orderby2")
'    session("Lines_per_page")

  ' pick up lines_per_page from the session variable

       Lines_per_page = Cint(session("Lines_per_page"))
       'response.write "<P>I see lines per page is  " & Lines_per_page & "<P>"

 ' The following second databse connection is set up so it is avalable for use in the function Derive(Group_Number)
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

        ' now build up the final sql statement

        MySQL = session("sqlstring")


          MySQL = MySQL & " ORDER BY " & session("orderby") & " " & session("ascdesc")





			  If session("orderby2") <> "" Then
				MySQL = MySQL & ", " & session("orderby2") & " " & session("ascdesc")
			  End If

			  If Instr(1,session("orderby"),"Case_Number",1) Then
				 'do not add case_number as last sort key
			  else
				 MySQL = MySQL & " " & ", Cases.Case_number" & " " & session("ascdesc")
			  end if


   '     response.write "SQL statement is <font color=red>" & mySQL & "</font><p>"
   '     response.flush
   '     response.end

        set rstemp = Server.CreateObject("adodb.recordset")
	    rstemp.open mySQL, myDSN, adopenstatic
        RecordsFound = rstemp.recordcount

' At this point, the SQL statement has been executed and we output the page


%>

<CENTER>
<Table class=BGWrapper >
<tr>
<td  align=center valign=center class=majorscreentitlefixed>
<%=wc_Case_Search_Results%>
<br>
 <span class=MinorScreenTitle><%=wc_Your_search_has_found%> </span>
 <span class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</span>
 <span class=MinorScreenTitle> <%=wc_matching_records%>.</span>
</td>
</tr>
<tr>
 <td ><span class=tinyprint><%=wc_Click_Heading_to_Sort%></span></td>
</tr>
</table>




 <TABLE BORDER=0 WIDTH="50%" >
 <TR>
 <TD ALIGN=CENTER><A HREF="GetCase.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

 <TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
 </TR>
 </TABLE>

<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->



	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by lines_per_page.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
		If RecordsFound = lines_per_page Then ' See if exactly 15 records are return
			NumOfPages = 1
		Else
			NumOfPages = Int((RecordsFound-1)/lines_per_page) + 1 ' 03/27/12 fixed
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
		End If
	End If

	If NumOfPages > 1 Then

		response.write "<center><span class=tinyprint>"
		response.write  wc_Result_Pages & ":</span> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<span class=tinyprint>" & i & "</span>"
			Else
				response.write "<a href=DoGetCase.asp?Self=Yes&Page=" & i & "&orderby=no>"  & "<span class=tinyprint>"& i& "</span></a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<span class=tinyprint>..." & CurrentPage & "</span>"
		End If
		If CInt(CurrentPage) <> 1 Then
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCase.asp?Self=Yes&Page=" & CurrentPage-1 & "&orderby=no>" & "<span class=tinyprint>" & wc_Prev & "..</a>"
		End If

		If CInt(CurrentPage) < NumOfPages then 'dont show next if last page  ' 0c/27/12 added
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCase.asp?Self=Yes&Page=" & CurrentPage+1 & "&orderby=no>" & "<span class=tinyprint>" & wc_Next & ".. &gt;&gt; </span></a>"
		End If

		response.write "<P></font></center>"
	End If

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*lines_per_page)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

%>
		<CENTER>
<TABLE class=TightTableWrapper cellspacing=1>

<TR>
<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=case_number"><%=wc_Case%></A></TD>

<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=severity"><%=wc_P%></A></TD>

<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=status"><%=wc_Status%></A></TD>


<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=opened_date"><%=wc_Opened%></A></TD>

<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=modified_date"><%=wc_Modified%></A></TD>

<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=due_date"><%=wc_Due_Date%></A></TD>


<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=customer"><%=wc_Customer%></a> / One Line Description</TD>

<TD  class=ColumnLabel align=center><A HREF="DoGetCase.asp?Self=Yes&orderby=group_name"><%=wc_Group%></A></TD>
</TR>


<%


		do while not rstemp.eof AND Count < lines_per_page





			If CInt(rstemp("Modified_Flag")) = 0 Then
				FontColor= "000000" ' Black font color
			Else
				FontColor = "FF0000" ' All Red
			End If

' New enhancement to have the font color based  on priority/severity

	Severity = rstemp("severity")

	' Comment out this line below to use the current modified flag red/black text

	FontColor = GetPriorityFontColor(Severity)





            column_hilight = session("orderby")

            ' response.write "col hilight is " & column_hilight  & "<P>"

		' Start to display each case record summary
%>


<TR>
<TD align=center
   <% If column_hilight <> "Cases.Case_number" Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>
WIDTH="4%">
<B>

<% ' If case_number is less than 1000, then fill to the left with extra zeros

	Case_Number = rstemp("Case_Number")

	If len(case_number) = 1 Then
		DisplayCaseNumber = "000" & Case_Number
	ElseIf LEn(case_number) = 2 Then
		DisplayCaseNumber = "00" & Case_Number
	Elseif Len(case_number) = 3 Then
		DisplayCaseNumber = "0" & Case_Number
	Else
		DisplayCaseNumber = Case_Number
	End If
%>


<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=Case_number%>" target="user_screen"><%=DisplayCaseNumber%></A></B>&nbsp;<BR><A HREF=TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%> target="newcasewindow<%=rstemp("Case_number")%>"><IMG SRC="newwindow.gif" BORDER=0 ></A>
</TD>

<TD
   <% If column_hilight <> "Cases.Severity" Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>

><FONT COLOR="#<%=FontColor%>"><%=rstemp("Severity")%></FONT></TD>

<TD
   <% If column_hilight <> "Cases.Status"  Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>

><FONT COLOR="#<%=FontColor%>">

<% ' Case Status Mappings
	' 0 = Active
	' 1 = closed
	' 2 = Waiting
	' 3 = On-Hold
%>
<%
	Case_status_value = CInt(rstemp("status"))
	If case_status_value = 0 THEN
		response.write wc_Active
	ElseIf case_status_value = 1 THEN
		response.write wc_closed
	ElseIf case_status_value = 2 THEN
		response.write wc_Waiting
	ElseIf case_status_value = 3 THEN
		response.write wc_On_Hold
	Else
		response.write "Unknown Status"
	End If
%>


<%

			If CInt(rstemp("Modified_Flag")) = 1 Then
				Response.write "<img src=red_tri.gif><br>"
			End If
%>




</FONT>

<% ' Now Display the Scheduled Case Status Too

		'  * * * * * * Time Zone Adjustment Calculation * * * * *

		' Late is computed by comparing the Date and time with the system time
		' A special date computation is needed if TimeZoneAdjustment is set.
		If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) = True Then
				TimeZoneAdjustmentInt = 0
			Else
				TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
		End If

		NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)
		NewDateDateOnly = DateValue(NewDate)
		NewTime = TimeValue(NewDate)

	Due_Date = rstemp("Due_Date")
	Due_Time = rstemp("Due_Time")

	If IsNull(Due_Date) = False AND IsNull(Due_Time) = False Then

	' Comment out these lines if you don't like the blink
	StartBlinkTag = "<Blink>"
	EndBlinkTag = "</Blink>"

		If Due_date < NewDateDateOnly Then
			response.write "<font color=RED>"
			response.write StartBlinkTag & "LATE" & EndBlinkTag & "</font>"
		Elseif Due_date = NewDateDateOnly AND  Due_Time <= NewTime Then
			response.write "<font  color=RED>"
			response.write StartBlinkTag & "LATE" & EndBlinkTag & "</font>"
		Else
			response.write "<font  color=GREEN>"
			response.write "OK</font>"
		End IF
	End IF

%>


</TD>

<TD ALIGN=CENTER WIDTH="9%"

   <% If column_hilight <> "Cases.Open_date"  Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>


>
<FONT COLOR="#<%=FontColor%>">


<% ' Date and Time must be reformatted from the internal Text format of:
	' YYYYMMDD to mm/dd/yyyy
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in db_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If WCDateFormat = "DDMMYYYY" Then
		ConvertedOpenDate =   mid(rstemp("open_date"),7,2) & "/" & mid(rstemp("open_date"),5,2) & "/" & mid(rstemp("open_date"),1,4)
	Else
		ConvertedOpenDate = mid(rstemp("open_date"),5,2) & "/" & mid(rstemp("open_date"),7,2) & "/" & mid(rstemp("open_date"),1,4)
	End IF

	ConvertedOpenTime = mid(rstemp("Open_time"), 1,2) & ":" & mid(rstemp("Open_time"),3,2)

	ConvertedHour = int(mid(rstemp("Open_time"),1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedOpenTime = CStr(ConvertedHour) & mid(ConvertedOpenTime, 3,3)
	Else

		If ConvertedHour = 12 Then
			AMPM = " PM"
		Else
			AMPM = " AM"
		End If

	End If


%>

<%=ConvertedOpenDate%><Br>
<%=ConvertedOpenTime%><%=AMPM%>



</FONT>
</TD>

<TD ALIGN=CENTER WIDTH="9%"

   <% If column_hilight <> "Cases.Mod_date"  Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>

>
<FONT COLOR="#<%=FontColor%>">

<% ' Date and Time must be reformatted from the internal Text format of:
	' YYYYMMDD to mm/dd/yyyy
	' And Time must be converted from: HHMMSS in 24 hour format to AM/PM formats

	' Depending upon the WCDateFormat Setting (set in db_define.inc) we will
	' display the date in
	' in MM/DD/YYYY (US Version and default) or DD/MM/YYYY for UK version

	If WCDateFormat = "DDMMYYYY" Then

		ConvertedmodDate = mid(rstemp("mod_date"),7,2) & "/" & mid(rstemp("mod_date"),5,2)  &  "/" & mid(rstemp("mod_date"),1,4)
	else ' Default to US version
		ConvertedmodDate = mid(rstemp("mod_date"),5,2) & "/" & mid(rstemp("mod_date"),7,2) & "/" & mid(rstemp("mod_date"),1,4)
	End IF

	ConvertedmodTime = mid(rstemp("mod_time"), 1,2) & ":" & mid(rstemp("mod_time"),3,2)

	ConvertedHour = int(mid(rstemp("mod_time"),1,2))
	If ConvertedHour > 12 then
		ConvertedHour = ConvertedHour -12
		AMPM = " PM"
		ConvertedmodTime = CStr(ConvertedHour) & mid(ConvertedmodTime, 3,3)
	Else
		If ConvertedHour = 12 Then
			AMPM = " PM"
		Else
			AMPM = " AM"
		End If

	End If


%>

<%=ConvertedModDate%><Br>
<%=ConvertedModTime%><%=AMPM%>


</FONT>
</TD>

<TD ALIGN=CENTER WIDTH="9%"
   <% If column_hilight <> "Cases.Due_date"  Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>
>
<FONT COLOR="#<%=FontColor%>">


<% ' Display the Date in UK or US formats depending upon configuration value %>
<% 	If WCDateFormat = "DDMMYYYY" Then ' Set to UK date formats
		DateDisplayString = Day(rstemp("Due_Date")) & "/" & Month(rstemp("Due_Date")) & "/" & Year(rstemp("Due_Date"))
	Else
		DateDisplayString = Month(rstemp("Due_Date")) & "/" & Day(rstemp("Due_Date")) & "/"  & Year(rstemp("Due_Date"))
	End IF

%>
<%=DateDisplayString%><br>

<%' Create Time Display String %>
<% ' Check if Due_Time is Null %>

<%
If ISNull(rstemp("Due_Time")) = False Then

	 DueHour = Hour(rstemp("Due_Time"))

	If DueHour > 12 Then
		DueHour = DueHour - 12
	End If


	DueHour = CStr(DueHour)
	If Len(DueHour) < 2 Then
		DueHour = "0" & DueHour
	End If
	DueMinute = CStr(Minute(rstemp("Due_Time")))
	If Len(DueMinute) < 2 Then
		DueMinute = "0" & DueMinute
	End If

	AMPM = Right(CStr(rstemp("Due_Time")),2)

	DisplayTimeString = DueHour & ":" & DueMinute & " " & AMPM
%>

<%=DisplayTimeString %>

<%	Else ' Display no time setting %>

--:--

<%End If %>

</font>
</TD>




<TD WIDTH="52%"
   <% If column_hilight <> "Cases.Customer_id"  Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>

>
<FONT COLOR="#<%=FontColor%>">

(
<a href=NewCustomer.asp?ID=<%=rstemp("Customer_ID")%> target= "user_screen">
<%=rstemp("Contact_fname")%>
<% response.write " " %>
<%=rstemp("Contact_lname")%></a>)

<% ' Display the company name only if it exists
	If rstemp("Company") <> "" Then
		Response.write " [" & rstemp("Company") & "]"
	End If
%>

<br>


<B><%=rstemp("Case_One_Line")%></b></FONT></TD>

<TD WIDTH="12%"
   <% If column_hilight <> "Cases.Group_number"  Then
          response.write "class=TightBodyText"
      Else
          response.write "class=TightBodyTextHilight"
      End If %>

><FONT COLOR="#<%=FontColor%>"><%=Derive(rstemp("Group_Number"))%>
</FONT>
</TD>
</TR>





<%
			rstemp.movenext
			count = count + 1
		loop

		response.write "</table>"


	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing

%>

<p>
	<div class=tinyprint>
<%
	If NumOfPages > 1 Then


		response.write "<center><span class=tinyprint>"
		response.write wc_Result_Pages & ":</span> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<span class=tinyprint>" & i & "</span>"
			Else
				response.write "<a href=DoGetCase.asp?Self=Yes&Page=" & i & "&orderby=no>"  & "<span class=tinyprint>"& i& "</span></a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<span class=tinyprint>..." & CurrentPage & "</span>"
		End If
		If CInt(CurrentPage) <> 1 Then
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCase.asp?Self=Yes&Page=" & CurrentPage-1 & "&orderby=no>" & "<span class=tinyprint>" & wc_Prev & "..</a>"
		End If

		If CInt(CurrentPage) < NumOfPages then 'dont show next if last page  ' 03/27/12 added
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCase.asp?Self=Yes&Page=" & CurrentPage+1 & "&orderby=no>" & "<span class=tinyprint>" & wc_Next & ".. &gt;&gt; </span></a>"
		End If

		response.write "<P></font></center>"
	End If


%>

</div>

</body>
</html>



<%



Function Derive(the_number)

   DeriveSQL = "Select group_name FROM Group_list Where Group_number = " & the_number
   set rstemp2=conntemp.execute(DeriveSQL)
   If rstemp2.EOF = True Then
     Derive = "Unknown Group"
   Else
     Derive = rstemp2("Group_name")
   End if
End Function

Function Flip(the_value)
  If the_value = "ASC" Then
     Flip = "DESC"
  Else
     Flip = "ASC"
  End If


End Function

%>
