<% 'Module: SupportOptions.asp

   'Description: This module is the page that launches the checkversions.asp scripts
   ' for each of the virtual directories.

   '(C) 2009 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original MyInfo.asp
   '8/16/04 JC      Cloned a variant for Tech+Center
   '10/10/08 SAV	Cloned this module from TMyOptions.asp
   '02/12/09  SAV	Created from Remotecontrol.asp
   '01/03/13  CMB  Changed links to new website

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "CheckForUpdates.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2004-2009 by Internet Software Sciences -->

<head>

<title>Remote Control Sessions</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>








<Center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
Support Options
</td>
</tr>
</table>


<P>
<table class=outerformwrapper >
 <tr>
 <td>

        <center>
        <table class=innerformwrapper cellspacing=1>
        <tr>

        <td class=formlabel>
        <B>Support Options:</b><Br>


<UL>
<LI> <a href=http://www.inet-sciences.com/support-4/support-options/ target=new>Web-based Support Options</a>  - SelfRegister and create new support tickets, FAQ<br><br>
<LI> <a href=http://www.inet-sciences.com/faq/  target=new>Web+Center FAQ </a> - Frequently Asked Questions<br><br>

<LI> <a href=http://www.inet-sciences.com/support-4/support-ticket/  target=new>Search Web+Center Knowledge Help Database by category or keywords</a><br><br>

<LI> Telephone
              Support - For existing customers, product evaluations or
              installations, please contact Internet Software Sciences telephone
              support at:<br>
              <br>
              <li><span class="isstextbold">Phone:(650) 949-0942 / Toll Free (888) 949-0942 9 AM to 5 PM (Pacific
                Standard Time - Los Altos , California, USA) </span><br>
              </li><li><span class="isstextbold">Fax :(650) 917-0913</span> </li>

<br><br>
<LI><span class="isstextbold">Email</span>
              - Support can be provided by email by sending an email to <a href="mailto:support@inet-sciences.com">support@inet-sciences.com</a>
              but we recommend using the web-based support option above to submit
              a trouble ticket so it can be routed through our support staff and
              properly logged into our support database.



		</td></tr>
		</table>
		</center>





</td>
</tr>
</table>

</form>

</body>
</html>

<% End If %>
