<% 'Module: CloseCustomerTextWindow.asp

   'Description: This module is called by a link to close the customer text window.


   '(C) 2000, 2001, 2002 - 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/26/06	SAV		Created original DoTechSEndTextMsg.asp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->



<%' Include this file for special database cursor constants %>


<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table


	' Check for Customer_ID cookie if it exists.

	Customer_ID =  Request.Cookies("ISS_Customer")

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		Dispatcher_Screen_Refresh_Rate = rstemp2("Dispatcher_screen_refresh_rate")

		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Now process the new Text message

	TextChatThread = Request.querystring("TextChatThread")


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If TextChatThread <> "" AND TextChatThread <> "NEW" Then

				SQL = "Select * from TextChat where TextChatThread = " & TextChatThread

		Else
				SQL = "Select * from TextChat"


		End IF

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		If TextChatThread <> "" And NewRecord.EOF = True then
			response.write " UPDATE ERROR - Existing record not found <br>"
			Response.write "SQL = " & SQL
			Response.flush
			Response.end
		End If



		If TextChatThread = "" Or  TextChatThread = "NEW" Then
			NewRecord.AddNew

			NewRecord("MessageStatus") = "NEW"
		End IF

			PastHistory = NewRecord("TextChatHistory")

			CustomerFullName = GetCustomerName(Customer_ID)

			NewHistory = vbCRLF & "{g[(" & CustomerFullName & ") ]g}"  &  "TEXT MSG WINDOW CLOSED BY USER" & vbCRLF

			NewRecord("TextChatHistory") = NewHistory  & pastHistory

			NewRecord("Tech_ID") = CookieID ' Set this field with the Customer_ID who made the last update.

			' We will need this to find the thread id once we submit it.
			CurrentEntryDateTime = Now()

			NewRecord("LastEntryDate") = CurrentEntryDateTime


		' Now add or update the record

		NewRecord.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if


	IF  conn.errors.count> 0 then
	    response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conn.errors.count
		      response.write "Error #" & conn.errors(counter).number & "<P>"
		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
		next
	else
	      'response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


' We need to get the most current TextChatThread

	If TextChatThread = "NEW" Then

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN

		' Check to see if case_number exists then this is an update

			Set NewRecord = Server.CreateObject("ADODB.Recordset")


					'SQL = "Select * from TextChat" where LastEntryDate = '#" & LastEntryDateTime & "#'"
					SQL = "Select * from TextChat"

			response.write SQL

			NewRecord.Open SQL,Conn,3,3

			NewRecord.MoveLast

			If TextChatThread <> "" And NewRecord.EOF = True then
				response.write " UPDATE ERROR - Existing record not found <br>"
				Response.write "SQL = " & SQL
				Response.flush
				Response.end
			End If

				TextChatThread = NewRecord("TextChatThread")

		NewRecord.Close
		Set NewRecord = Nothing

		Conn.Close
		Set Conn = Nothing

	End IF


%>

<% ' Close the whole window %>



<HTML>
<head>
</head>
<body>
<center>
<br>

<h5> Your messaging with support<br>
technicians has been canceled </h5>



		<a data-role="button" target="ChatWindow" href="Default.asp" data-inline="true" data-icon="plus" data-iconpos="left" data-mini="true">Customer+Mobile Menu</a>



</body>
</html>






<!--

 <script language="javascript">
     window.close();
 </script>

-->


<% '******************** FUNCTIONS ******************  %>

<% Function GetCustomerName(Customer_ID)
	'This function gets the full name of the Customer and company


		If Customer_ID = "" Then
			GetCustomerName = "User: Not Defined"
		Else

			set conntemp5=server.createobject("adodb.connection")
			conntemp5.open myDSN ' Open the connection once here


			mySQL5 = "select * from Customers where customer_ID = '" & Customer_ID & "'"

			set rstemp5=conntemp5.execute(mySQL5)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				GetCustomerName = "User: Not Defined"
			Else
				GetCustomerName = rstemp5("contact_fname") & " " & rstemp5("contact_lname")
				If rstemp5("Company") <> "" Then
					GetCustomerName = "User: " & GetCustomerName & "/(" & rstemp5("Company") & ")"
				End IF

			End If

			rstemp5.close
			set rstemp5=nothing
			conntemp5.Close
			Set conntemp5 = nothing

		End If


	End Function ' End of GetCustomerName
	%>






