<%  ' Module: DCF.asp (DisplayCaseForm.asp)  Shorter name version
	'
	' Description: This module is called from emails sent to customers.

	' (C) 2000, 2001 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'03/28/99	SAV		Created original ASP file
	'03/03/01	SAV		Created DisplayCaseForm.asp module
	'08/28/01	SAV		Created shorter name for module to prevent email wrapping
	'10/12/12   CMB      Wordpress integration
	'01/10/13   CMB       Cint to Clng on summary size etc
	'02/03/13   CMB      Redirect if mobile

%>

<%' Set Global application variables - must be done prior to anything else %>
<!-- #INCLUDE FILE="SetGlobal.asp" -->


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->
<!-- #INCLUDE FILE="DetectMobileBrowser.asp" -->

<% ' Load the Configuration data
Dim WP
WP = "NO"
WP=Request.querystring("WP")
InitialAction = "SHOWOPENCASES" ' set this so if logged in will get show all open cases page
 if WP <> "YES" then  ' 09/28/12 don't set this to no because the page gets called from elsewhere and don't want it to reset cookie
	'	Response.Cookies("WORDPRESS") = "NO"
	'	Response.Cookies("WORDPRESS").Path = "/"
	'	Response.Cookies("WORDPRESS").Secure = FALSE
 else
		Response.Cookies("WORDPRESS") = "YES"
		Response.Cookies("WORDPRESS").Path = "/"
		Response.Cookies("WORDPRESS").Secure = FALSE

 end if

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")



		MaxHistorySize =  CLng(rstemp("max_case_history_size"))
		MaxSummarySize =  CLng(rstemp("max_case_summary_size")) ' changed from cint 01/10/13
		MaxResolutionSize =  CLng(rstemp("max_case_resolution_size")) ' changed from cint 01/10/13

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		CustomerPasswordRequired = rstemp("CustomerPasswordRequired") ' Customer password required

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<% ' Verify the Username and password

   ' if the parameter "mode" exists in the URL, then this is new style, and we need to deobfuscate the user ID

	if request.querystring("Mode") = "" Then
		If username = "" Then
			username = request.QueryString("ID")
		End If
	else
		If username = "" Then
			username = DeObfuscate(request.QueryString("ID"))
		End If
	end if

    Field_Validation_Check "User Name", username


	Case_Number = Request.QueryString("N")
	Field_Validation_Check "Case Number", Case_Number

	CookieID = Request.Cookies("ISS_CUSTOMER")

	'response.write "Comparing Username= " & UserName & " AND  CookieID " & CookieID


	If CookieID = UserName Then
		'User is already logged in so go direct to the
		' redirect page for the case.
		If IsMobile() = true then '02/03/13
			ReDrectString = "../customermobile70/TicketMobile.asp?Case_Number=" & Case_Number '02/03/13
		Else
			ReDirectString = "DoCustomerOptions.asp?DisplayCase=" & Case_Number
		End If

		ReDirectString = "TicketMobile.asp?Case_Number=" & Case_Number '02/03/13


		response.redirect(ReDirectString)


	Else ' Otherwise display a simple password login page.

		' Check if Password required is disabled and if so
		' then log in the user directly and set their cookie

		' if customer password is not required OR the mode parameter indicates we were given an obfuscated user_id, then we can just log this user in straight away

		If CustomerPasswordRequired = False or request.querystring("Mode") <> "" Then

		' Set their cookie
		Response.Cookies("ISS_CUSTOMER") = Username
		Response.Cookies("ISS_CUSTOMER").Path = "/"
		Response.Cookies("ISS_CUSTOMER").Secure = FALSE



		' Redirect and display the page
		If IsMobile() = true then '02/03/13
				ReDirectString = "../customermobile70/TicketMobile.asp?Case_Number=" & Case_Number '02/03/13
		Else
				ReDirectString = "DoCustomerOptions.asp?DisplayCase=" & Case_Number
		End If

		ReDirectString = "TicketMobile.asp?Case_Number=" & Case_Number '02/03/13


		response.redirect(ReDirectString)

		Else
			If IsMobile() = true then '02/03/13
				ReDrectString = "../customermobile70/LoginTicketMobile.asp?Case_Number=" & Case_Number & "&UserName=" & UserName   '02/03/13
				response.redirect(ReDirectString)
	     Else

%>

<% ' Put all of your custom web site changes into CCHeader.inc %>

<HTML>
<head>
</head>
<body>



<center>
<br>
<font  face=arial> Case Login Form </font><P>
</font>

<font size= -1 face=arial>
<center>Please enter your password to view or update your support case.
</font><P>

<table width=80%><tr><td bgcolor=D0D0D0 align=center>
<font size=-1 face=arial>

<form action=DoDisplayCaseForm.asp method=post>
<input type=hidden name=Username value="<%=UserName%>">
<input type=hidden name=Case_Number value="<%=Case_Number%>">


<br>
<B>Password*:</b>  <input size=10 maxlength=20 name=password type=password><P>
<input type=image src="/<%=WCLanguageDirectory%>/c_login30x80.gif" name="b_submit" border=0>


</form>


</td></tr></table>
</center>

<br>
<br>
<br>
</font>
<font size=-1>
*If you have lost your registration password,
then enter the email address you registered below <br>
and press the <B>Lost ID</b> button
below to help recover  your Username and password.<P>

</font>

<font size=-1 face=arial>
<form action=DoLostInfo.asp method=post>
<B>Email:</b><input size=20 maxlength=80 name=LostEmail><P>
<input type=image src = "/<%=WCLanguageDirectory%>/c_lostid30x80.gif" name=submit border=0>
</form>

</body>
</html>



<% end if ' mobile %>

	<% End If ' End of If password is disabled %>

	<% End if ' End of If username and password fail %>


<%


Function DeObfuscate(thecode)

For I = 1 to 80 ' search for the string length value
	 ThisChar = Mid(thecode,I,1)
	 thisChar = Asc(thisChar) - 48
	 if Cint(thisChar) = Cint(I-1) Then
	  Strlength = I-1
	  Exit For
	 End if
Next
 'response.write "String length is " & Strlength & "<BR>"

Target = ""
For I = 1 to Strlength

  Offset =  Asc(Mid(thecode,I,1)) - 48
   ' response.write "Offset Number " & I & " has the value " & offset
  Target = Target & Mid(thecode,offset+1,1)
 ' Response.write " where the char I see is " & Mid(thecode,offset+1,1) & "<BR>"
Next
DeObfuscate = Target
End Function

%>

