<%  ' Module: ViewCaseMobile.asp
	'
	' Description: Display Case record from FAQ list for customer+center
	'
	' (C) 2000-2003 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'06/22/2000	SAV		Created original template file
	'09/28/2000	SAV		Added functionality to be called from Form submit too
	'11/36/2012 CMB      Formatting
%>

<% 'Define the DSN for this database %>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%	' Display the Main body of the page %>
<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
   <body >
        <!-- Home -->
        <div data-role="page" id="PageViewTicket">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
       Knowledge Base Detail
                </h3></CENTER>
<%

	' Handle both Form submit for query string parameter passing

	Case_Number = Request.Form("casenum")
	If Case_Number = "" Then
		Case_Number = Request.queryString("casenum")
	End If

    Field_Validation_Check "Case Number", Case_Number

	If Case_Number = "" Then
		Response.write " <font color=red>You must enter a case number.<P></font> "
	End IF

	ReturnPage = Request.querystring("ReturnPage")

	If Case_Number <> "" then

	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3
	'response.flush
	'response.end

	end if

	set rstemp2 = Server.CreateObject("adodb.recordset")
	rstemp2.open mySQL3, myDSN, adopenstatic

	If rstemp2.EOF  then
	%>
		<font color=red>Case Record Not Found ... Invalid case number<P></font>
		</div></div></body></HTML>

		<%
		rstemp2.close ' Close the record set and exit
		set rstemp2=nothing

   Else

		 Case_History = rstemp2("case_History")
		 Case_Summary = rstemp2("Case_Summary")
		 Case_Resolution = rstemp2("Case_Resolution")
		 CaseNumber = rstemp2("Case_Number")
		 OpenDateUnformatted = rstemp2("Open_date")
		 ModDateUnformatted = rstemp2("mod_date")
		 OpenDateFormatted = Mid(OpenDateUnformatted, 5,2) & "/" & Mid(OpenDateUnformatted, 7,2) & "/" & Mid(OpenDateUnformatted, 1,4)
		 ModDateFormatted = Mid(modDateUnformatted, 5,2) & "/" & Mid(modDateUnformatted, 7,2) & "/" & Mid(modDateUnformatted, 1,4)

	  ' Replace CR with <BR> characters
		New_Summary = ""
		if Case_Summary <> "" Then
			New_summary = Format_Case_Text(Case_summary)
		End If
		If New_Summary = "" Then
			New_Summary = wc_No_Summary_defined
		End If

	  ' Replace CR with <BR> characters and handle special tags
		New_Resolution = ""
		If Case_Resolution <> "" Then
			New_Resolution = Format_Case_Text( Case_Resolution)
		End If

		If New_Resolution = "" then
			New_Resolution = wc_No_Resolution_Defined
		End If
	     %>

	     	<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">
		  			<li data-role="list-divider" role="heading" data-mini="true" ><%=wc_Case_Summary%>: </b><%=New_summary%></li>

		    <div data-role="fieldcontain">
		  	<B><%=wc_resolution%>: </b><%=New_Resolution%>
		  	</div>

		    <div data-role="fieldcontain">
		      <strong>ID: </strong><%=Case_Number%>
		     	<strong><%=wc_Date_Created%>:</strong> <%=OpendateFormatted%> &nbsp;&nbsp;&nbsp;&nbsp;
		  		<strong><%=wc_Last_Modification_Date%>:</strong> <%=Moddateformatted%>
		  	</div>
		  	 <div data-role="fieldcontain">

		  	                <% RetrieveCategories %>
          </div>
	</ul>



<% If ReturnPage = "FAQ" Then %>
	<a href="TopTen.asp">
	<%=wc_Return_to_FAQ_List%> </a>
	<%Else %>
	<B><%=wc_Press_the_back_button_block%>.
	</b>
	<CENTER>
	 <A href="<%=ReturnPage%>" data-role="button" data-mini="true">Back</a>
	 </CENTER>


	<%End if %>
</div></div></body></HTML>
<% end if %>

<% Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")


	NewText = replace(NewText, chr(13), "<br>")
'	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>


<% Sub RetrieveCategories

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	' Create the category display for this case

	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = rstemp2("C"&i)
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

			set rstemp3=conntemp.execute(mySQL4)

			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")
                 %>
                 <li>
                 <b><%=CategoryName%>: </b><%=Item_name%>
                 </li>
                 <%
				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next

	' Close this intermediate record set

	rstemp2.close
	set rstemp2=nothing

End Sub
%>
