<% 	' Module: wcLabelsAdmin.inc
	'
	' Language Module English - US version (Default)
	
	' Description: This ASP include module contains the language 
	' specific prompts for the entire Web+Center application.
	' Prompts are defined here as variables that will be used in 
	' the various ASP scripts. 
	' 
	' To make changes for various languages, change the value
	' of the label variable, but NOT the label variable name.
	' Label variable names always start with wc_ .  Spaces are
	' defined with an underscore.  If the Label in the english-us
	' version is Customers, then the variable name is:
	'	wc_Customers
	'
	' Longer blocks are defined as wc_[text block name]
	
	' Important - All variables should be alphabetically arranged
	' by their english US variable names.
	
	'
	' (C) 1999, 2000, 2001, 2002 Internet Software Sciences
	'
	'History:
	
	'Date		Who		What
	'-----		-----	-------------------------------------------------
	'04/02/2002	SAV		Created original File
	'09/16/2002     JC              Added Rest of Admin Modules
	'10/05/2011     CMB             Version 7.5
	'02/13/2013	SAV		Version 8.0 Code
%>

	<% ' NOTE: Keep This strings alphabetically arranged %>
	<% ' VARIABLE NAMES SHOULD ALL BE IN ENGLISH %>
	

<% ' Variable Name			= String Definition   ' ASP Module/Note %>

<% ' -------------		       --	--------------------------------%>
<%


wc_1_5_Radio_Buttons_Choices		= "1-5 Radio Button Choices"
wc_1_5_Range				= "1-5 Range"
   ' ***************   A  *************************************

wc_Active				= "Active"
wc_Add_Staff_Members_to_Support_Group   = "Add Staff Members to Support Group"
wc_Add_These_Staff_Members              = "Add these staff members"
wc_Add_new_case_information_below 	= "Add new case information below"
wc_Additional_Configuration_Options     = "Additional Configuration Options" 
wc_Address				= "Address"
wc_All_Cases				= "All <br>Cases"
wc_All_Late_Scheduled_Cases		= "All Late Scheduled Cases"
wc_All_Opened_Scheduled_Cases		= "All Opened Scheduled Cases"
wc_All_Records				= "All Records"
wc_All_Remaining_Fields_are_Optional	= "All_remaining fields are <B>Optional.</b>"
wc_All_Repeating_Scheduled_Cases	= "All Repeating Scheduled Cases"
wc_All_Single_Event_Scheduled_Cases	= "All Single Event Scheduled Cases"
wc_All_User_Groups			= "All User Groups"
wc_All_View                             = "All<br>View"
wc_All_cases_deleted_from               = "All cases deleted from"
wc_All_cases_reassigned_from            = "All Cases Reassigned From"
wc_Allow_customer_to_search_all_assets	= "Allow customer to search all assets"
wc_Any_Open_Status			= "Any Open Status"
wc_Any_Priority			 	= "Any Priority"
wc_Are_you_sure_you_want_to_do_this     = "Are you sure you want to do this?"
wc_Asset_Assignments			= "Asset Assignments"
wc_Asset_Number				= "Asset Number"
wc_Asset_Search				= "Asset Search"
wc_Assets_back_to_no_customer_assignment = "Assets back to no customer assignment"
wc_Assign_Staff_Records_Into_Category	= "Assign Staff Records <br> Into Category"
wc_Assign_to_group                      = "--Assign To Group -----&gt;"
wc_Assigned_Group			= "Assigned Group"
wc_Assigned_Staff_Member		= "Assigned Staff Member"
wc_Assigned_To				= "Assigned To"
wc_At_least_one_group_must_be_defined   = " At least one group must be defined"
wc_Attach_File_To_Case			= "Attach File To Case"
wc_Attached_File			= "Attached File"

    ' ***************   B  ************************************* 
 
wc_Background_Colors                    = "Background Colors"
wc_Brief				= "Brief"	
wc_Build_Options                        = "Build Options"
wc_Business_Center			= "Business+Center"
wc_business40_default			= "business40 - default"

    ' ***************   C  ************************************* 
 
wc_Case					= "Case"
wc_Case_History				= "Case History"
wc_Case_Number				= "Case Number"       
wc_Case_Number_Descending		= "Case Number Descending"
wc_Case_Resolution			= "Case Resolution"
wc_Case_Search				= "Case Search"
wc_Case_Search_Limits                   = "Case Search Limits"
wc_Case_Search_Results			= "Case Search Results"
wc_Case_Size_Limits                     = "Case Size Limits"
wc_Case_Status				= "Case Status"
wc_Case_Summary				= "Case Summary"
wc_Case_Text_Field_Number		= "Case Text Field Number"			
wc_Case_Text_Fields_Labels_Updated	= "Case Text Field Labels have been updated."
wc_Case_entries_re_assigned             = "Case entries re-assigned"
wc_Case_record_successfully_deleted     = "Case record successfully deleted"  
wc_Case_records                         = "case records."
wc_Cases_assigned_to_your_FAQ_list      = "Cases assigned to your FAQ list"
wc_Cases_re_assigned                    = "Cases re-assigned"   
wc_Category                             = "Category"
wc_Category_Description_block           =  "* Categories selection define the initial group assignment if they are enabled above. " & _
                                            "If the no category is selected or is the user does not select any category " & _
                                            "item, it will default to the initial group assignment defined above."
wc_Category_Item_Text                   = "Category Item Text"
wc_Category_name                        = "Category Name"
wc_Category_name_must_not_be_empty      = "Category name must not be empty"       
wc_Caution_this_case_FAQ_block          = "Caution - this case is associated with an FAQ which will also be deleted if you delete this case"       
wc_Cell_email_notification_email        = "Cell Email: (Notification Email)"
wc_Change_Default_Support_Group         = "Change Default Support Group"
wc_Change_default_group_from            = "Change default group from"
wc_Change_the_default_group_from_this_group = "Change the default group from this group"
wc_Chars                                = "Chars"
wc_Check_For_Escalation_Every		= "Check For Escalation Every "
wc_Check_Interval			= "Check Interval (Minutes)"
wc_Choose_One_Option_Below		= "Choose one option below"
wc_City					= "City"
wc_City_state				= "City/State"
wc_Clear				= "Clear"
wc_Clear_all_KB_Information             = "Clear all Knowledge Base Information"
wc_Click_On_Block			= "Click on the case number to view or update case"
wc_Close                                = "Close"       
wc_Closed				= "Closed"
wc_Closed_Cases				= "Closed cases"
wc_Company				= "Company"
wc_Complete_Reg_Form_Block		= "Please complete the following registration form. <br>Entries marked with the <font color=red>*</font> are required fields."
wc_Configuration_Administration         = "Configuration Administration" 
wc_Configuration_Options                = "Configuration Options"
wc_Configure_Default_Group_Assignment   = "Configure Default Group Assignment"
wc_Configure_Initial_Group_Assignments  = "Configure Initial Group Assignments" 
wc_Confirm_Password			= "Confirm Password"
wc_Confirm_Password_Block		= "Confirm Password does not match password."
wc_Confirmation                         = "Confirmation"
wc_Contact_Method			= " Contact Method"
wc_Contact_Preferences			= "Contact Preferences"
wc_Control_Panel_Window_Color           = "Control Panel Window Color"
wc_Country				= "Country"
wc_Create_Category_List                 = "Create Category List"
wc_Create_Last_Modify			= "Create/Last Modify"
wc_Create_New_Asset			= "Create New Asset"
wc_Create_New_Case			= "Create New Case"
wc_Create_Support_Group                 = "Create Support Group"
wc_Create_a_Username_Block		= "<I>Create a Username<br> and password to<br> access this site <br>	at a later date.</i>"
wc_Create_new_category                  = "Create New Category"
wc_Create_New_Question			= "Create New Question"
wc_Create_staff_member                  =  "Create staff member"
wc_Currently_processing_case            = "Currently processing case number"
wc_Customer				= "Customer"
wc_customer40_default			= "customer40 - default"
wc_Customer_Assets_and_Searches		= "Customer Assets and Searches"
wc_CustomerTech_entries_re_assigned     = "CustomerTech entries re-assigned"
wc_Customer_Case_Search_Limit           = "Customer Case Search Limit"
wc_Customer_Center			= "Customer+Center"
wc_Customer_Center_File_Upload		= "Customer+Center File Upload"
wc_Customer_Center_Security		= "Customer+Center Security"
wc_Customer_ID				= "Customer_ID"
wc_Customer_ID_Confirmation             = "Customer_ID Confirmation"
wc_Customer_Information 		= "Customer Information" 	' NewCustomer.asp
wc_Customer_Notes_entries_re_assigned   = "Customer Notes entries re-assigned"
wc_Customer_Password			= "Customer Password"
wc_Customer_Search			= "Customer Search"
wc_Customer_Search_Results		= "Customer Search Results"
wc_Customer_Survey			= "Customer Survey"
wc_Customer_Survey_Builder		= "Customer Survey Builder"
wc_Customer_Survey_For			= "Customer Survey For "
wc_Customer_Survey_Reports		= "Customer Survey Reports"
wc_Customer_Survey_Test			= "Customer Survey Test"
wc_Customer_Tech_Assignments            = "Customer-Tech Assignments"
wc_Customer_Tech_assignments_deleted    = "Customers-Tech assignments deleted"

   ' ***************   D  *************************************
wc_Database				= "Database"
wc_Database_Type			= "Database Type"
wc_Date                                 = "Date"
wc_Date_Type				= "Date Type"
wc_Date_of_Last_Update                  = "Date of Last Update"
wc_Deassign_cases_from_group            = "Deassign all cases (open and closed) from this group"
wc_Deassign_cases_from_staff_member     = "Deassign all cases (open and closed) from this staff member"
wc_Default_Download_Virtual_Directory	= "wcFileDownloads"
wc_Default_Group_set_to_Group           = "Default Group set to Group"
wc_Default_Reply_To_Address             = "Default Reply To Address"
wc_Default_group_successfully_changed   = "Default group successfully changed"
wc_DeleteList_entries_re_assigned       = "DeleteList entries re-assigned"
wc_Delete_Customer                      = "Delete Customer "     
wc_Delete_Support_Group                 = "Delete Support Group"
wc_Delete_a_Case                        = "Delete A Case"
wc_Delete_case                          =  "Delete case"
wc_Delete_confirm_block                 = "Do you wish to delete this customer and related cases and FAQ's?"     
wc_Delete_customer_and_attached_cases   =  "Delete customer and attached cases"  
wc_Delete_customer_block                = "IMPORTANT NOTE: &nbsp; Deleting a customer will also DELETE ALL related recorded that are associated with that " & _
					    "customer including all cases.  Any assets connected with customer will" & _
					    "be saved but the customer asset assignment will be lost.<P>" & _
					    "If you wish to save the cases that are associated with this customer, you" & _
				            "should first re-assign the cases to another customer first.<P>" & _
					    "To delete the customer, select or enter the customer (Customer_ID) and press the Submit button."
wc_Delete_staff_member                  = "Delete Staff Member"
wc_Delete_this_case                     = "Delete this case"
wc_Delete_this_support_group            = "Delete this support group"
wc_Deleted_From_Email_List		= "Deleted From <br> Email List"
wc_Deleting_Customer                    = "Deleting Customer"
wc_Department                           = "Department"
wc_Describe_the_problem_Block 		= "Describe the problem or question in detail"	
wc_Detailed				= "Detailed"
wc_Disable                              = "Disable"
wc_Disable_All_Escalation		= "Disable All Escalation"
wc_Disabled				= "DISABLED"
wc_Dispatcher                           = "Dispatcher"
wc_Dispatcher_Open_Cases_Refresh_Rate   = "Dispatcher Open Cases Refresh Rate"
wc_Dispatcher_Refresh_Rates             = "Dispatcher Refresh Rates"
wc_Dispatcher_Status			= "Dispatcher Status"
wc_Dispatcher_Status_Page_Refresh_Rate  = "Dispatcher Status Page Refresh Rate"
wc_Display_member_on_dispatch_screen    = "Display member on dispatch screen"
wc_Display_Order			= "Display Order"
wc_Do_not_encrypt_passwords		= "Do not encrypt passwords"
wc_Do_not_re_assign			= "Do not re-assign"
wc_Do_not_require_password		= "Do not require password"
wc_Do_you_wish_to_re_assign_cases       = "Do you wish to re-assign cases to this new customer?"
wc_Donot_change_filename		= "Do not change file name"
wc_Do_not_display_assets_for_customers	= "Do not display assets for customers"
wc_Due_Date				= "Due Date"
wc_Dup_Case_Number			= "Dup Case Number"
wc_Duplicates				= "Duplicates"

    ' ***************   E  *************************************
 
wc_Edit					= "Edit"
wc_EditMailMsg_Box1_Block               = "HTML text and graphics entered here will be displayed in the Tech+Center User Window whenever a staff member logs into Tech+Center:"
wc_EditMailMsg_Box2_Block               = "Text entered here will be appended to the beginning of all email messages sent automatically by Tech+Center to customers whenever techs update their cases:"
wc_EditMailMsg_Box3_Block               = "Text entered here will be appended to the beginning of all email messages sent automatically by Customer+Center to customers whenever customers update their cases:"
wc_EditMailMsg_Box4_Block               = "Text entered here will be appended to the beginning of all email messages sent automatically by Tech+Center to customers to confirm customer registration:"
wc_EditMailMsg_Box5_Block               = "Text entered here will be appended to the beginning of all email messages sent to customers who have requested Customer+Center to find their lost username and password:"
wc_EditMailMsg_Screen_Head              = "Email Message/User Window Configuration"
wc_Edit_Case_Text_Field_Labels		= "Edit Case Text Field Labels"
wc_Edit_Category                        = "Edit Category"
wc_Edit_Category_Help_Block             = "<li> To <b>Edit</b> the category name or the name of an individual item entry, modify the name in the slot provided." & _
                                             "<li> To <b>Add</b> new entries, enter their names in the empty slots at the end of the list." & _
                                             "<li> To <b>Disable</b> an <u>individual entry</u>, click the radio button associated with that entry." & _
                                             "<li> To <b>Disable</b> the <u>whole category</u>, click the radio button at the catefory level." & _
                                             "<li> To <b>Re-enable</b>a category that has been disabled as a whole, you must both enable the category itself " & _
                                                   "<u>as well as at least one </u>of its entries" & _
                                             "<li> To <b>Delete</b> an entry, delete the name of the entry in its slot, but " & _
                                             "<font color=red>(Caution!)</font> make sure you have read the help screen first " & _
                                             "to understand the implications of this action. See &quot;Help&quot; button on right. " 
wc_Edit_Category_List                   = "Edit Category List"
wc_Edit_Priority_Instruction_block      = "<b>Instructions:</b> You can set up to 10 priorities (0-9). " & _
                                            "Priority 0 is reserved for the default priority value when no priority is set."
wc_Edit_Priority_Table                  = "Edit Priority Table"
wc_Edit_Priority_Table_Entries          =  "Edit Priority Table Entries"
wc_Edit_Staff_Member                    = "Edit Staff Member"
wc_Edit_Survey_Question			= "Edit Survey Question"
wc_Edit_user_page_and_email_messages    =  "Edit user page and email messages"
wc_Email 				= "Email"
wc_Email1				= "Email1"
wc_Email2				= "Email2"
wc_Email3				= "Email3"
wc_Email_Addresses                      = "Email Addresses"
wc_Email_In_use_Block			= "This email is already in use.  Please use the Lost Username/Password link to recover your previously registered username and password."
wc_Enable                               = "Enable"
wc_Enable_Assets_Database               = "Enable assets database"
wc_Enable_Customer_Email_Notification   = "Enable customer email notification"
wc_Enable_Customer_Id_List              = "Enable Customer ID List"
wc_Encrypt_Passwords_in_DB		= "Encrypt Passwords in DB"
wc_End_Date				= "End Date"
wc_Enter_New_Category			= "Enter New Category"
wc_Escalate_Case_After			= "Escalate Case After "
wc_Escalation_Methods			= "Escalation Methods"
wc_Escalation_Options			= "Escalation Options"
wc_Escalation_Report			= "Escalation Report"
wc_Escalation_Window			= "Escalation Window (Close To Stop)"
wc_Events_entries_re_assigned		= "Event entries re-assigned"
wc_Existing				= "Existing"
wc_Existing_Case_Escalation		= "Existing Case Escalation"
wc_Exists_Already                       = "Exists already!"
wc_Export				= "Export"
wc_Export_Assets			= "Export Assets"
wc_Export_Format			= "Export Format"
wc_Export_Search			= "Export Search"
wc_Export_Tech_Contact_Information	= "Export Tech Contact Information"
wc_Export_Tech_Staff			= "Export Tech Staff"
wc_Export_Tech_Staff_Block		= "To export selected or all tech records into <br>an exportable  file,		 submit the form below. (<a href=pdainstructions.asp>Instructions</a>) <br>"

    ' ***************   F  *************************************
 
wc_FAQ_Cases_Deleted                    = "FAQ Cases Deleted"
wc_Fax					= "Fax"
wc_File_Renaming_Options		= "File Renaming Options"
wc_File_Upload_Options			= "File Upload Options"
wc_File_Upload_Physical_Path		= "File Upload Physical Path"
wc_File_Upload_Virtual_Directory	= "File Upload Virtual Directory"
wc_Final_Case_Re_assignment_Confirmation = "Final Case Re-assignment Confirmation"
wc_Final_One_Case_Re_assignment_Confirmation = "Final One Case Re-assignment Confirmation"
wc_Find_Asset				= "Find Asset"
wc_First				= "First"
wc_First_Name 				= "First Name"
wc_First_Name_Required_Block		= "First Name is a required field."
wc_Following_members_removed_from       = "Following members removed from"       
wc_From_this_group                      = "From this group"

    ' ***************   G  *************************************
 
wc_Go					= "Go"
wc_Group				= "Group"
wc_Group_Does_Not_Exist                 = "Group Does Not Exist"
wc_Group_Name				= "Group Name"
wc_Group_Notify			        = "Group<br>Notify"             
wc_Group_has_no_members                 = "Group has no members" 

    ' ***************   H  *************************************
 
wc_Has_been_assigned_to_this_group      = "Has been assigned to this group"
wc_Has_been_re_assigned_to              = "has been re-assigned to" 
wc_Has_been_renamed_as                  = "has been renamed as"   
wc_Has_been_renamed_to_new_Customer_ID  = "has been renamed to the new Customer_ID" 
wc_Home                                 = "Home"

    ' ***************   I  *************************************
 
wc_If_selected_assign_to_group          = "--If Selected Assign To Group ---&gt;"
wc_In_row_number                        = "in row number"
wc_In_Active				= "IN-ACTIVE"
wc_Include_Case_History_in_KB           = "Include Case History in KB"
wc_Include_Case_Resolution_in_KB        = "Include Case Resolution in KB"   
wc_Include_Case_Summary_in_KB           = "Include Case Summary in KB"
wc_Include_One_Line_Descr_in_KB         = "Include One Line Description in KB"
wc_Include_text_sections_in_KB          = "Include text from sections in Knowledge base"
wc_Initial_Group_Assignment_based_on_Category = "Initial Group Assignment based on Category"
wc_Initial_Group_Assignment_directly_to_group = "Initial Group Assignment directly to group*"
wc_Instructions				= "Instructions"
wc_Invalid_Case_Number                  = "Invalid Case Number"
wc_Invalid_FROM_Customer_ID_Value       = "Invalid FROM Customer ID Value"
wc_Invalid_TO_Customer_ID_Value         = "Invalid TO Customer ID Value" 
wc_Invalid_User_Name			= "<LI>Invalid User Name Or Password"
wc_Is_A_Required_Field		 	= " is a required field."
wc_Item_List                            = "Item List"
wc_Item_Name                            = "Item Name" 

    ' ***************   J  *************************************
 
wc_Jobs					= "Jobs"

    ' ***************   K  *************************************
 
wc_Knowledge_Base_Options               = "Knowledge Base Options"
wc_Knowledge_Base_Update                = "Knowledge Base Update"

    ' ***************   L  *************************************
 
wc_LATE				        = "LATE"
wc_Label			        = "Label"
wc_Language_Files			= "Language Files"
wc_Last				        = "Last"
wc_Last_Name 			        = "Last Name"
wc_Log_Out			        = "Log Out"
wc_Login_id                             = "Login ID"
wc_Long_description                     = "Long Description"   
wc_Lost_Username_Block		        = "If you have lost your username or password, you can recover it using the Lost ID/Password link on the previous page."

    ' ***************   M  *************************************
 
wc_Mailstop			        = "Mailstop"
wc_Manage_Category_Lists                = "Manage Category Lists"
wc_Matching_records		        = "matching records"
wc_Matching_start_criteria              = "matching start criteria"
wc_Max_Case_History_Size                = "Max Case History Size"
wc_Max_Case_Resolution_Size             = "Max Case Resolution Size"
wc_Max_Case_Summary_Size                = "Max Case Summary Size"
wc_Maximum_File_Size_in_Bytes		= "Maximum File Size in Bytes"
wc_Minimum_5_characters	        	= "Minimum 5 characters"
wc_Minumum_priority_setting        	= "Minimum Priority Setting"
wc_Minutes		        	= "Minutes"
wc_Minutes_Of_No_Activity        	= "Minutes of NO activity"
wc_Miscellaneous_Settings               = "Miscellaneous Settings"
wc_Modified		        	= "Modified"
wc_More_Configuration_Options		= "More Configuration Options"
wc_My_Cases		        	= "My Cases"

    ' ***************   N  *************************************
 
wc_Name			        	= "Name"
wc_Name_of_new_group                    = "Name of new group"        
wc_New			        	= "New"
wc_New_Case		        	= "New <br>Case"
wc_New_Case_Escalation	        	= "New Case Escalation"
wc_New_Contact_Notes 	        	= "New Contact Notes"
wc_New_Customer		        	= "New Customer"
wc_New_Customer_assignment_is_same      = "New Customer assignment is the same as the original customer."
wc_New_Window		        	= "New Window"
wc_New_items_to_add_to_list             = "New items to add to list"       
wc_New_name_of_group                    = "New name of group"
wc_Next		        		= "Next"
wc_No                                   = "No"
wc_No_Assignment        		= "No Assignment"
wc_No_Cases_Found        		= "No Cases Found"
wc_No_Categories_Found_must_be_defined_first = "No Categories Found - Categories must be defined first"
wc_No_Customers_Found        		= "No_Customers_Found" 
wc_No_Group_Found                       = "No Group Found"                                                
wc_No_Records_Found_Date        	= "No Records Found for this data range."
wc_No_Staff_Entries_Exist_For_This_Group = "No Staff Entries Exist For This Group"
wc_No_selection_was_made                = "No selection was made"      
wc_None                                 = "None"
wc_Not_currently_member_support_group   = "Not currently a member of any support group."
wc_Not_found_in_Database                = "not found in Database."
wc_Notes		        	= "Notes"
wc_Nothing                              = "nothing"        
wc_Notify_by_email_if_case_assigned2    = "Notify by email if a case is assigned to this group"
wc_Notify_by_email_if_case_assigned1    = "Notify by email if a case is assigned to this staff member"

    ' ***************   O  *************************************
 
wc_OR		        		= "OR"
wc_Of_Total                             = "of Total"
wc_On_Hold		         	= "On Hold"
wc_Only_show_customer_assets_only	= "Only show customer assets only"
wc_One_Line_Description         	= "One Line Description"
wc_Open			        	= "Open"
wc_Open_Active		        	= "Open (Active)"
wc_Open_Cases		        	= "Open cases"
wc_Open_Cases_By_Duration        	= "Open Cases By Duration"
wc_Open_Cases_By_Group	        	= "Open Cases By Group"
wc_Open_Cases_By_Priority        	= "Open Cases By Priority"	
wc_Open_Cases_By_Status	        	= "Open Cases By Status"
wc_Open_Cases_By_Tech	        	= "Open Cases By Tech"
wc_Open_Cases_Reports	        	= "Open Cases Reports"
wc_Open_Cases_Window_Color              = "Open Cases Window Color"
wc_Open_ended_multiple_line_text_box	= "Open Ended multiple line text box"
wc_Open_ended_one_line_text_box		= "Open Ended one line Text Box"
wc_Open_On_Hold		        	= "Open (On-hold)"
wc_Open_Waiting		        	= "Open (Waiting)"
wc_Open_cases_for	        	= "Open cases for"
wc_Open_new_case	        	="Open_New_Case"
wc_Opened		        	= "Opened"
wc_Option_1                             = "Option 1"
wc_Option_2                             = "Option 2"
wc_Option_3                             = "Option 3"
wc_Option_4                             = "Option 4"
wc_Option_5                             = "Option 5"
wc_Optional				= "Optional"
wc_Optional_Information_Fields         	= "Optional Information Fields"
wc_Order				= "Order"
wc_Organization_From_Name		= "Organization From Name"
wc_Other_Asset			        = "Other Asset"
wc_Other_Cases_Title		        = "Show Individual / Group / Scheduled Cases / Export Tech Info"
wc_Other_Configuration_Options		= "Other Configuration Options"

    ' ***************   P  *************************************
 
wc_P				        = "P" ' Abreviation for Priority
wc_Password			        = "Password"
wc_Password_Error_Block        		= "Password can only contain letters or numbers."
wc_Password_Error_Block2        	= "Password must be 5 to 10 characters only."
wc_Password_Required_Block	        = "Password is a required field"
wc_Phone			        = "Phone"
wc_Phone1			        = "Phone1"
wc_Phone2			        = "Phone2"
wc_Phone2_Cell			        = "Phone2/Cell"
wc_Physical_Path_Default		= "c:\WCdownloads"
wc_Please_confirm_Assignments_below     = "Please confirm these Category/ Default Group Assignments below."
wc_Please_press_back_and_submit_again   = "Please press the back button and submit again"
wc_Please_refer_to_User_Guide_for_instructions = "Please refer to User Guide for instructions"
wc_Preferred_Contact_Method	        = "Preferred <br>Contact Method"
wc_Prev				        = "Prev"
wc_Pri				        = "Pri"   ' Short for Priority
wc_Priorities_have_been_updated         = "Priorities have  been updated."
wc_Priority			        = "Priority"
wc_Proccessing                          = "Proccessing"
wc_Proccessing_Record                   = "Proccessing Record"
wc_Process_one_case_into_KB             = "Process one case into Knowledge Base"

    ' ***************   Q  *************************************
 
wc_Question				= "Question"
wc_Question_ID				= "Question ID"

    ' ***************   R  *************************************
 
wc_Re_Assign_Case_Customer_ID           = "Re-Assign Case Customer ID"
wc_Re_Assign_One_Case_Confirmation      = "Re-Assign One Case Customer Confirmation"
wc_Re_Assign_One_Case_Customer_ID       = "Re-Assign One Case Customer ID"
wc_Re_Assign_To_Customer		= "Re-assign To Customer"
wc_Re_Assign_To_Group		        = "Re-assign To Group"
wc_Re_assigning_case                    = "Re-assigning case"
wc_Re_assigning_cases_from              = "Re-assigning cases from"
wc_Rearrange_Category_Help_Block        = "To rearrange these entries in a different order, simply adjust the &quot;Sequence Number&quot; " & _
                                            " field opposite each to specify the order in which you wish them to be listed. (Sequence numbers " & _
                                            " need not be contiguous, and can be any number between 0 and 9999)"
wc_Rearrange_Category_list              = "Rearrange Category List"       
wc_Rearrange_items_within_category      = "Rearrange Items Within Category" 
wc_Re_Assign_Case_Customer_ID_block     = "You can transfer all cases that are associated with one customer to another customer " & _
                                           " using the form below. This does not delete the customer, but only transfers the customer " & _ 
                                           " cases from one customer to  another customer."                                          
wc_Re_Assign_One_Case_Customer_block    = "You can reassign ONE case to another customer by entering the case number " & _
					   " and the new customer by entering the case number and entering a customer below."                                                                                    
wc_Reassign_Staff_Member_Cases          = "Reassign Staff Member Cases"
wc_Reassign_Support_Group_Cases         = "Reassign Support Group Cases"
wc_Reassign_all_cases_from_one_staff_member_to_another  =  "Reassign all cases from one staff member to another"
wc_Reassign_all_cases_from_one_support_group_to_another  = "Reassign all cases from one support group to another" 
wc_Reassign_all_cases_to_this_group     = "And reassign all cases (open and closed) to this group"        
wc_Reassign_them_to_this_group          = "And reassign them to this group"
wc_Reassign_them_to_this_member         = "And reassign them to this member"        
wc_Reassigned_to                        = "and reassigned to"
wc_Reference_Number		        = "Reference Number"
wc_Reference_Type	        	= "Reference Type"
wc_Refresh		        	= "Refresh"
wc_Registration		        	= "Registration"
wc_Related_Assets_Un_assigned           = "Related Assets Un-assigned"
wc_Related_Cases_Deleted                = "Related Cases Deleted"
wc_Remove_Staff_Members_from_Support_Group = "Remove Staff Members from Support Group"
wc_Remove_selection_of_members_from_group  = "Remove a selection of staff members from this group"        
wc_Remove_these_staff_members           = "Remove These Staff Members"
wc_Rename_Based_On_Case_Number   	= "Rename file based on case number"
wc_Rename_uploaded_file_based_on_Case_Number = "Rename uploaded file based on Case Number"
wc_Rename_Customer_ID                   = "Rename Customer ID"
wc_Rename_Customer_ID_block		= "Customer_IDs are typically created as LastName  underscore  Firstname. "
wc_Rename_Support_Group                 = "Rename Support Group"
wc_Rename_this_support_group            = "Rename this support group"      
wc_Reports			        = "Reports"
wc_Require_Password			= "Require Password"
wc_Result_Pages			        = "Result Pages"
wc_Results_View			        = "Results View"
wc_Return_to_KB_Options                 = "Return to Knowledge Base Options"
wc_Return_to_Survey_Builder		= "Return to Survey Builder"
wc_Return_to_User_Screen	        = "Return to User Screen"	
wc_Running		        	= "RUNNING"

    ' ***************   S  *************************************
 
wc_Scheduled_Cases	        	= "Scheduled Cases"
wc_Search_Help_Database	        	= "Search Help Database"
wc_Search_Knowledge_Base        	= "Search Knowledge Base"
wc_Search_Your_Assets	        	= "Search Your Assets"
wc_Secs                                 = "Secs"
wc_Security_level                       = "Security Level"
wc_Select_One		        	= "Select One"
wc_Select_Staff_Member_to_edit          = "Select Staff Member To Edit"        
wc_Select_The_Best_Block	        = "Select the best category choices below"
wc_Select_a_category_or_set_to_None     = "Select a category or set to None"
wc_Select_an_Asset_Block	        = "<B>Select an asset (optional):</b><br>Press the Find Asset link to assign an asset from the asset database to this case."
wc_Select_an_initial_group_assignment   = "Select an initial group assignment"
wc_Selected_Group_Below		        = "Selected Group Below"
wc_Send_Cell_Email_To		        = "Send Cell Email To:"
wc_Send_Email_Alert_To		        = "Send Email Alert To:"
wc_Send_Email_Results_To		= "Send Email Results To"
wc_Sequence_number                      = "Sequence<br>Number"
wc_Sequence_numbers_must_be_numeric     = "Sequence numbers must be numeric"
wc_Set_the_Group_Assignment             = "Set the Group Assignment for each category item below."
wc_Short_description                    = "Short Description"
wc_Show_All_Cases		        = "Show All Cases"
wc_Show_All_Closed_Group_Cases        	= "Show All Closed Group Cases"
wc_Show_All_Group_Cases		        = "Show All Group Cases"
wc_Show_All_Open_Group_Cases	        = "Show All Open Group Cases"
wc_Show_All_Staff_Instruction_Block     = "1) If the entry in the &quot;Tech Notify&quot; column is toggled to &quot;Yes&quot; then an email notification" _
    					      &   " will be sent to the staff member whenever a new case report is assigned to that member.<p>" _
    					      &   "2) If the entry in the &quot;Tech Dispatch&quot; column is toggled to &quot;Yes&quot; then the staff" _
    					      &   " member will be displayed on the Dispatcher screen."
wc_Show_All_Staff_Screen_Head           = "Show All Staff Members"        
wc_Show_Closed_Cases		        = "Show Closed Cases"
wc_Show_Group_Open_Cases	        = "Show Group Open Cases"
wc_Show_Individual_Open_Cases	        = "Show Individual Open Cases"
wc_Show_Open_Cases		        = "Show Open Cases"
wc_Show_Staff_by_Group_Instruction_Block = "3) If the entry in the &quot;Group Notify&quot; column is toggled to &quot;Yes&quot; then an email notification" _
    		         			&   " will be sent to the staff member whenever a new case report is assigned to that group.<p>" 
wc_Show_Support_Groups_and_Members      = "Show Support Groups and Members"
wc_Show_all_staff_members               =  "Show all staff members"
wc_Show_members_for_this_group          = "Show members for this group"
wc_Show_staff_members_by_support_group  =  "Show staff members by support group"
wc_Show_staff_members_in_group          = "Show Members in the support group" 
wc_Simple_Case_Search		        = "Simple Case Search"
wc_Smtp_Mail_Server_Address             = "SMTP Mail Server Address"
wc_Sorry_we_cannot_re_assign_the_cases  = "Sorry, we  cannot  re-assign the cases because "
wc_Sort_By			        = "Sort By"
wc_Sort_Order			        = "Sort_Order"
wc_Staff_Member			        = "Staff Member"
wc_Staff_Member_Information	        = "Staff Member Information"
wc_Start_Date			        = "Start Date"
wc_Start_Escalation		        = "Start Escalation"
wc_State 			        = "State"
wc_Status			        = "Status"
wc_Stop_Processing                      = "STOP<br>PROCESSING" 
wc_Submit			        = "Submit"
wc_Support_Case_Update		        = "Support Case Update"
wc_Support_Cases                        = "Support Cases"
wc_Support_Options		        = "Support Options"
wc_Support_group_membership             = "Support Group Membership"
wc_Support_group_successfully_created   = "Support group successfully created"
wc_Support_staff_read_only              = "Support Staff (Read Only)"
wc_Support_staff_read_write             = "Support Staff (Read/Write)"
wc_Survey_Builder			= "Survey Builder"
wc_Survey_Email_Text			= "Survey Email Text"
wc_Survey_Question			= "Survey Question"
wc_Survey_Question_Result_Type		= "Survey Question Result Type"
wc_Survey_Results_entries_re_assigned	= "Survey Results entries re-assigned"
wc_System_Administration                = "System Administration" 
wc_SysConfigInstruction_Block           = "Changing configuration settings will immediately modify the look " _
                                          & " and function of the Customer Support System. For more information " _
                                          & " see the &quot;Web+Center User's Guide&quot;"
wc_System_Configuration_Menu            =  "System Configuration Menu"
wc_System_Configuration_Options         =  "System Configuration Options"
wc_System_administrator                 = "System Administrator"
wc_System_configurator                  = "System Configurator"

    ' ***************   T  *************************************
 
wc_Tech				        = "Tech"
wc_tech40_default			= "tech40 - default"
wc_Tech_Case_Search_Limit               = "Tech Case Search Limit"
wc_Tech_Center				= "Tech+Center"
wc_Tech_Center_File_Upload		= "Tech+Center File Upload"
wc_Tech_Dispatch		        = "Tech<br>Dispatch"
wc_Tech_ID			        = "Tech ID"
wc_Tech_Notify			        = "Tech<br>Notify"	 
wc_Tech_Report			        = "Tech Report"
wc_Tech_View_Only		        = "Tech View Only"
wc_Tech_view                            = "Tech<br>View"      
wc_Technician_Report_For	        = "Technician Report For "
wc_Test_Survey				= "Test Survey"
wc_Text_Field_Status		        = "Text Field Status"
wc_Text_Box				= "Text Box"		
wc_Text_Line				= "Text Line"
wc_Thank_You				= "Thank You"
wc_The_KB_is_being_created              = "The knowledge base is being created...please wait"
wc_The_following_re_assigned_from_customer = "The following records have been re-assigned from customer "
wc_The_new_Customer_ID_already_exists   = "The new Customer_ID already exists.. please select another Customer_ID. "
wc_The_new_Customer_ID_must_be_at_least_5_characters = "The new Customer_ID must be at least 5 characters.. please select another Customer_ID."
wc_The_original_Customer_ID_can_not_be_found = "The original Customer_ID can not be found.  Please search and confirm the customer_ID "
wc_The_requested_KB_update_completed    = "The requested knowledge base update is completed."
wc_This_case_number_does_not_exist      = "This Case Number does not exist"
wc_Time			 	        = "Time"
wc_Time_Spent_Reports		        = "Time Spent Reports"	
wc_To                                   = "To"       
wc_To_Customer                          = "To Customer"
wc_To_New_Customer_ID                   = "To New Customer_ID"
wc_To_This_Group                        = "To this group"
wc_Todays_Scheduled_Cases	        = "Today's Scheduled Cases"
wc_Top_Window 			        = "Top Window"
wc_Transfer_all_cases_for_Customer      = "Transfer all cases for Customer"
wc_Type					= "Type"

    ' ***************   U  *************************************
 
wc_Un_assign                            = "Un-assign"
wc_Update_All_Cases_Into                = "Update All Cases Into Knowledge Base using KB configurations below."
wc_Update_Registration		        = "Update Registration"
wc_Update_all_cases_modified            = "Update all cases modified since last KB Update using configurations below."
wc_Update_confirmed                     = "(Update Confirmed)"
wc_Update_with_cases_since              = "Update with cases created or modified since Date (MM/DD/YYYY)"
wc_User_Categories_entries_re_assigned	= "User Categories entries re-assigned"
wc_User_Group_Read_Access	        = "User Group Read Access"
wc_User_Groups			        = "User Groups"
wc_User_Window_Color                    = "User Window Color"
wc_Username			        = "Username"
wc_Username_Error_Block		        = "Username must be at least 5 characters long."
wc_Username_In_use_Block	        = "This username is already being used.  Please select another username."
wc_Username_Login 		        = "User Name Login"

    ' ***************   V  *************************************
 
wc_VIEW				        = "VIEW"
wc_View_Info			        = "View Info"
wc_View_Survey_Results			= "View Survey Results"
wc_Virtual_Directory_Names		= "Virtual Directory Names"

    ' ***************   W  *************************************
 
wc_Waiting			        = "Waiting"
wc_Was_already_assigned_to_this_group   = "Was already assigned to this group"  
wc_wclanguage_default			= "wclanguage - default"
wc_Which_has_re_assigned                = "which has re-assigned"
wc_Will_re_assign                       = "will re-assign"
wc_Work                                 = "Work"
wc_Work_email_notification_email        = "WorkEmail: (Notification Email)"

    ' ***************   X  *************************************
 

    ' ***************   Y  *************************************
 
wc_Yes                                  = "Yes" 
wc_YES_NO				= "Yes/No"
wc_YES_NO_Radio_Buttons			= "YES/NO Radio Buttons"
wc_You_have                             = "You have"
wc_You_may_not_delete_category_name     = "You may not delete the Category Name"
wc_You_may_note_delete_category_block   = "If you wish to delete a whole category, this may be accomplished by " & _    
					 " deleting each of the individual item entries within the list"
wc_You_must_enter_a_case_number         = "You must enter a case number"
wc_You_must_select_a_customer_from      = "You must select a customer to transfer cases FROM."
wc_You_must_select_to_transfer_TO       = "You must select a customer to transfer cases TO"
wc_Your_Search_Has_Found	        = "Your search has found "

    ' ***************   Z  *************************************
 
wc_Zero_is_disable                      = "0=Disable"
wc_Zip_Country			        = "Zip/Country"
wc_Zipcode			        = "Zipcode"


' ***************  Modifications 1 Feb 2003 (Duplicates that over-ride previously declared) ******************

wc_Edit_Category_List                   = "Edit Entries in a Category List"
wc_Rearrange_Category_list              = "Rearrange Entries in a Category List" 

' ***************  Additions 1 Feb 2003 (New) *************************************

wc_RearrangeAllCategoryLists            = "Rearrange Sequence of Category Lists" 
wc_Rearrange_Category_Lists_Help_Block  = "To rearrange the sequence in which the Category pull-down menus are displayed on various user-screens, " & _
                                          " simply adjust the &quot;Sequence Number&quot; " & _
                                          " field opposite each Category Name to specify the order in which you wish them to be displayed. (Sequence numbers " & _
                                          " need not be contiguous, and can be any number between 0 and 9999)"
wc_New_Category_Name                    = "New Category Name"

' ***************  Additions for version 4.5 Linux Migration (New) *************************************

wc_File_Upload_Linux_Directory          = "File Upload Directory (path relative<br>to Web Root folder as shown in <font color=red>red</font> below)"

%>


<% ' Added 4/2/2004 in support of new options for customer_id selection by user

    wc_Option_how_user_enters_customer_id = "Option for how user enters Customer_Id in Form Fields"
    wc_Use_Form_with_cut_paste            = "Copy and Paste from Entry in Pop-up Window"
    wc_Use_Pull_Down_Menu                 = "Use Pull-Down Menu"
    wc_Use_Form_with_Assist               = "Click on Entry in Pop-up Window"

%>  

<% ' ***************  Additions for version 5.0 (June 4 2004) *************************************

    wc_Delete_default_grp_not_permited_block = "You may not delete the &quot;Default&quot; group. You must first make some other group " & _
                                               " the default group before you can delete this one "
    wc_Click                              = "Click"
    wc_Here                               = "here"
    wc_To_do_this                         = "to do this"
    
%>

<% ' ***************  Additions for version 5.0 (October 13th 2004) *************************************

    wc_SMTP_User_Name                              = "SMTP User Name"
    wc_SMTP_Password                               = "SMTP Password"
    wc_Send_HTML_Emails                     	    = "Send HTML Emails"
    wc_SMTP_and_Email_Settings			= "SMTP and Email Settings"
    wc_Send_Plain_Text_Notification_Emails	= "Send Plain Text Notification Emails"
    wc_Send_HTML_Notification_Emails	 	= "Send HTML Notification Emails"
    wc_Select_Notification_Email_Format		= "Select Notification Email Format"
    
    
%>
<% ' ***************  Additions for version 5.0 (October 28th 2004) *************************************

   wc_Delete_Case_from_Knowledge_Base          = "Delete Case from Knowledge Base"

%>

<%	' New Configure Option for Extended Time Spent
	wc_Extended_Time_Spent_Options	= "Extended Time Spent Options"
	wc_Enable_Extended_Time_Spent_Reporting	= "Enable Extended Time Spent Reporting"
%>

<% ' New Customer Import tool labeled added 6/23/05

	wc_Import_Customers_Wizard = 		"Import Customers Wizard"
%>

<% ' New Definitions for System Configuration Menu Page links

	wc_Search_View_Delete_Survey_Results = " Search / View / Delete Survey Results"

%>

<%

	wc_Edit_Customer_Center_Message_Board = "Edit Customer+Center Message Board"
	wc_EditCustomerCenterMessageBoard_Block = "Enter just the Customer+Center Message Board HTML formatted Message - <Br>To remove Customer+Center Message Board, blank out all text from this box and press Submit."
	wc_Edit_Tech_Business_Center_White_board_and_email_messages = "Tech+Center White Board / Notification Emails"


%>

<%  ' ************** Version 7.5 options ******************

	wc_Enable_Projects = "Enable Project Management"
	wc_Enable_Asset_Inspections = "Enable Asset Inspections"
	wc_Enable_Expenses = "Enable Expense Reporting"
	wc_Enable_Reservation_Center = "Enable Reservation Center"
	wc_Asset_Audit_Trail = "Enable Asset Audit Trail"
	wc_Additional_Emails = "Enable Additional Emails"
%>


<% ' **************** Version 8.0 Options *********************
	wc_Enable_Additional_Customer_Case_Assignments = "Enable Additional Customer Case Assignments"
	wc_Enable_Enhanced_Auto_Escalation = "Enable Enhanced Auto-escalation"
%>
